package com.gic.enterprise.constant;

/**
 * 发起方
 * @Description:
 * @author zhiwj
 * @date 2019/8/20 13:41
 */
public enum BillingInitiatorTypeEnum {

    /**
     * 商户
     */
    ENTERPRISE(1, "商户"),
    /**
     * 运维后台
     */
    OPERATION(2, "运维后台");

    BillingInitiatorTypeEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    private Integer code;
    private String msg;

    public Integer getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
