package com.gic.enterprise.constant;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/8/26 15:26
 */
public enum BuyProductTypeEnum {

    /**
     * 短信
     */
    SHORT_MESSAGE(1, "短信"),
    /**
     * 短信套餐
     */
    SHORT_MESSAGE_PACKAGE(2, "短信套餐"),
    /**
     * 应用市场
     */
    APP_MARKET(3, "应用市场"),
    /**
     * 双向呼叫
     */
    DOUBLE_CALLING(4, "双向呼叫"),
    /**
     * 语音验证码
     */
    VOICE_CODE(6, "语音验证码"),
    /**
     * 语音存储
     */
    RECORDING_STORAGE(6, "语音存储");

    BuyProductTypeEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    private int code;
    private String message;

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
