package com.gic.enterprise.constant;

/**
 * @author guojx
 * @date 2019/7/16 4:49 PM
 */
public enum CoupCardStatusEnum {
    /**
     * 待使用
     */
    UNUSE(1, "待使用"),
    /**
     * 无效
     */
    INVALID(0, "无效"),
    /**
     * 已使用
     */
    USEED(2, "已使用"),
    /**
     * 已过期
     */
    NOAMOUNT(3, "已过期");

    private int code;
    private String message;

    CoupCardStatusEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
