package com.gic.enterprise.constant;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-10-25 14:28
 */
public enum DataSecurityAuditEnum {

    /**
     * 待审核
     */
    WAIT(0, "待审核"),
    /**
     * 通过
     */
    PASS(1, "通过"),
    /**
     * 不通过
     */
    FAIL(2, "不通过"),
    /**
     * 超时
     */
    OVER_TIME(3, "超时"),
    /**
     * 关闭
     */
    CLOSE(4, "关闭"),
    ;
    private Integer code;
    private String msg;

    DataSecurityAuditEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public Integer getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

}
