package com.gic.enterprise.constant;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-11 11:44
 */
public enum DiscountTypeEnum {
    /**
     * 优惠券
     */
    CARD(1, "优惠券"),
    /**
     * 线下优惠
     */
    OFFLINE(2, "线下优惠")
    ;
    private Integer code;
    private String msg;

    DiscountTypeEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public Integer getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

    public static String parse(Integer code) {
        for (DiscountTypeEnum discountTypeEnum : values()) {
            if (discountTypeEnum.code.equals(code)) {
                return discountTypeEnum.getMsg();
            }
        }
        return null;
    }

}
