package com.gic.enterprise.constant;


/** 企业排序
 * @Description:
 * @author taogs
 * @Date 20:16 2020/9/9
 * @Param
 * @return
*/
public enum  EnterpriseListOrderByEnum {
    /**
     * order by a.create_time
     */
    CreateTime_ASC(1, " order by a.create_time "),
    /**
     * order by a.create_time desc
     */
    CreateTime_DESC(2, " order by a.create_time desc "),
    /**
     * order by a.audit_time
     */
    ExpireTime_ASC(3, " order by a.audit_time "),
    /**
     * order by a.audit_time desc
     */
    ExpireTime_DESC(4, " order by a.audit_time desc ");

    private int code;
    private String message;

    private EnterpriseListOrderByEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public static String getOrderBy(int code) {
        for (EnterpriseListOrderByEnum orderByEnum : values()) {
            if (code == orderByEnum.getCode()) {
                return orderByEnum.getMessage();
            }
        }
        return null;
    }
}
