package com.gic.enterprise.constant;


/**企业版本状态枚举
 * @Description:
 * @author taogs
 * @Date 20:17 2020/9/9
 * @Param
 * @return
*/
public enum EnterpriseVersionStatusEnum {
    /**
     * 无服务
     */
    INVALID(0, "无服务"),
    /**
     * 正常
     */
    EFFECTIVE(1, "正常"),
    /**
     * 停用
     */
    DISABLE(2, "停用"),
    /**
     * 逾期
     */
    OVERDUE(3, "逾期"),
    /**
     * 即将到期
     */
    ABOUT_TO_EXPIRE(4, "即将到期");

    private int code;
    private String message;

    private EnterpriseVersionStatusEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
