package com.gic.enterprise.constant;

/**套餐包有效期
 * @Description:
 * @author taogs
 * @Date 20:24 2020/9/9
 * @Param
 * @return
*/
public enum PackageHoursEnum {
    /**
     * 12个月
     */
    HOURS1(12, "12个月"),
    /**
     * 24个月
     */
    HOURS2(24, "24个月");

    private int code;
    private String message;

    private PackageHoursEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
