package com.gic.enterprise.constant;

/**套餐包使用状态
 * @author guojx
 * @date 2019/7/16 4:49 PM
 */
public enum SmsPackageStatusEnum {
    /**
     * 待使用
     */
    UNUSE(1, "待使用"),
    /**
     * 无效
     */
    INVALID(0, "无效"),
    /**
     * 使用中
     */
    USEING(2, "使用中"),
    /**
     * 无余量
     */
    NOAMOUNT(3, "无余量"),
    /**
     * 已过期
     */
    EXPIRED(4, "已过期");

    private int code;
    private String message;

    private SmsPackageStatusEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
