package com.gic.enterprise.constant.applet;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-27 17:28
 */
public enum AppletServiceConfigEnum {
    /**
     * 小程序
     */
    APPLET(1, "小程序"),
    /**
     * 服务号
     */
    SERVICE_CONFIG(2, "服务号"),
    ;
    private int code;
    private String message;

    AppletServiceConfigEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
    public static String parseCode(int code){
        for(AppletServiceConfigEnum transactType : values()){
            if (transactType.getCode() == code) {
                return transactType.message;
            }
        }
        return null;
    }
}
