package com.gic.enterprise.constant.billing;
/**
 *
 * @ClassName: DeductTypeEnum
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:31
 */
public enum DeductTypeEnum {
    /**
     * 短信套餐包扣费
     */
    PACKAGE(0, "短信套餐包扣费"),
    /**
     * 余额扣费
     */
    BALANCE(4, "余额扣费");

    private Integer type;
    private String desc;

    DeductTypeEnum(Integer type, String desc){
        this.type = type;
        this.desc = desc;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
