package com.gic.enterprise.constant.union;
/**
 * 联合商户授权资源操作类型
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/3 2:03 PM 
 */
public enum UnionEnterpriseAuthResOperateEnum {
    /**
     * 发起联合
     */
    UNION(1, "发起联合"),
    /**
     * 重新授权
     */
    RE_AUTH(2, "重新授权"),
    /**
     * 解除联合
     */
    RELIEVED(3, "解除联合"),
    /**
     * 编辑资源范围
     */
    EDIT_RESOURCE_AREA(4, "编辑资源范围"),
    /**
     * 发起解除联合
     */
    START_RELIEVE(5, "发起解除联合");

    private Integer code;
    private String message;

    UnionEnterpriseAuthResOperateEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public UnionEnterpriseAuthResOperateEnum setCode(Integer code) {
        this.code = code;
        return this;
    }

    public String getMessage() {
        return message;
    }

    public UnionEnterpriseAuthResOperateEnum setMessage(String message) {
        this.message = message;
        return this;
    }
}
