package com.gic.enterprise.constant.union;
/**
 * 联合商户授权状态
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/3 2:03 PM 
 */
public enum UnionEnterpriseAuthStatusEnum {
    /**
     * 有效
     */
    NORMAL(1, "有效"),
    /**
     * 解除中
     */
    RELIEVING(2, "解除中"),
    /**
     * 已解除
     */
    RELIEVED(3, "已解除"),
    TO_DO_RELIEVE(4, "待解除");

    private Integer code;
    private String message;

    UnionEnterpriseAuthStatusEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public UnionEnterpriseAuthStatusEnum setCode(Integer code) {
        this.code = code;
        return this;
    }

    public String getMessage() {
        return message;
    }

    public UnionEnterpriseAuthStatusEnum setMessage(String message) {
        this.message = message;
        return this;
    }
}
