package com.gic.enterprise.dto;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/8/22 14:45
 */
public class AccountBalanceRecordDTO implements Serializable {
    private static final long serialVersionUID = 8144237832868675868L;

    /**
     *
     */
    private Integer accountBalanceRecordId;

    /**
     *
     */
    private String productName;

    /**
     * 支付方式
     */
    private Integer payType=0;

    /**
     * 产品类型
     */
    private Integer productType=0;

    /**
     * 账单类型
     */
    private Integer billType=0;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Integer orderId;

    /**
     * 扣费时间
     */
    private Date deductionTime;

    private Integer enterpriseId;

    private String orderSerialNumber;

    /**
     * 应付金额
     */
    private Double fee;

    /**
     * 实付金额
     */
    private Double feePaid;

    /**
     * 优惠金额
     */
    private Double feeDiscount;

    /**
     * 请求方类型
     */
    private String requestCode;
    private String requestCodeName;
    private String operatorName;

    public Integer getAccountBalanceRecordId() {
        return accountBalanceRecordId;
    }

    public void setAccountBalanceRecordId(Integer accountBalanceRecordId) {
        this.accountBalanceRecordId = accountBalanceRecordId;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public Integer getProductType() {
        return productType;
    }

    public void setProductType(Integer productType) {
        this.productType = productType;
    }

    public Integer getBillType() {
        return billType;
    }

    public void setBillType(Integer billType) {
        this.billType = billType;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public Date getDeductionTime() {
        return deductionTime;
    }

    public void setDeductionTime(Date deductionTime) {
        this.deductionTime = deductionTime;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Double getFee() {
        return fee;
    }

    public void setFee(Double fee) {
        this.fee = fee;
    }

    public void setOrderSerialNumber(String orderSerialNumber) {
        this.orderSerialNumber = orderSerialNumber;
    }

    public String getOrderSerialNumber() {
        return orderSerialNumber;
    }

    public String getRequestCode() {
        return requestCode;
    }

    public void setRequestCode(String requestCode) {
        this.requestCode = requestCode;
    }

    public void setRequestCodeName(String requestCodeName) {
        this.requestCodeName = requestCodeName;
    }

    public String getRequestCodeName() {
        return requestCodeName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public Double getFeePaid() {
        return feePaid;
    }

    public void setFeePaid(Double feePaid) {
        this.feePaid = feePaid;
    }

    public Double getFeeDiscount() {
        return feeDiscount;
    }

    public void setFeeDiscount(Double feeDiscount) {
        this.feeDiscount = feeDiscount;
    }


    @Override
    public String toString() {
        return "AccountBalanceRecordDTO{" +
                "accountBalanceRecordId=" + accountBalanceRecordId +
                ", productName='" + productName + '\'' +
                ", payType=" + payType +
                ", productType=" + productType +
                ", billType=" + billType +
                ", createTime=" + createTime +
                ", orderId=" + orderId +
                ", deductionTime=" + deductionTime +
                ", enterpriseId=" + enterpriseId +
                ", orderSerialNumber='" + orderSerialNumber + '\'' +
                ", fee=" + fee +
                ", feePaid=" + feePaid +
                ", feeDiscount=" + feeDiscount +
                ", requestCode='" + requestCode + '\'' +
                ", requestCodeName='" + requestCodeName + '\'' +
                ", operatorName='" + operatorName + '\'' +
                '}';
    }
}
