package com.gic.enterprise.dto;

import java.io.Serializable;
import java.util.Date;
/**
 * 
 * @ClassName: BillingOrderDTO
 * @Description:  
 * @author taogs
 * @date 2020/9/17 16:23
 */
public class BillingOrderDTO implements Serializable {
    private static final long serialVersionUID = -2050607465329409777L;

    /**
     *
     */
    private Integer orderId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 流水号
     */
    private String serialNumber;

    /**
     * 订单状态
     */
    private Integer orderStatus;

    /**
     * 订单内容
     */
    private String orderContent;

    /**
     * 支付方式 1微信 2支付宝 3.线下支付  4余额支付
     */
    private Integer payType;

    /**
     * 应付金额
     */
    private Double totalFee;

    /**
     * 实付金额
     */
    private Double totalFeePaid;

    /**
     * 支付信息表id
     */
    private Integer payInfoId;

    /**
     * 优惠券id
     */
    private Integer couponCardId;


    /**
     * 审批结果id
     */
    private Integer auditResultId;

    /**
     * 订单项
     */
    private String itemJson;

    private Date createTime;
    /**
     * 支付流水号
     */
    private String payInfoSerialNumber;
    /**
     * 优惠内容
     */
    private Double couponCardContent;
    /**
     * 优惠券名
     */
    private String couponCardName;

    /**
     * 申请人id
     */
    private Integer initiatorUser;
    /**
     * 申请人name
     */
    private String initiatorName;

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public Integer getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    public String getOrderContent() {
        return orderContent;
    }

    public void setOrderContent(String orderContent) {
        this.orderContent = orderContent;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public Double getTotalFee() {
        return totalFee;
    }

    public void setTotalFee(Double totalFee) {
        this.totalFee = totalFee;
    }

    public Double getTotalFeePaid() {
        return totalFeePaid;
    }

    public void setTotalFeePaid(Double totalFeePaid) {
        this.totalFeePaid = totalFeePaid;
    }

    public Integer getPayInfoId() {
        return payInfoId;
    }

    public void setPayInfoId(Integer payInfoId) {
        this.payInfoId = payInfoId;
    }

    public Integer getCouponCardId() {
        return couponCardId;
    }

    public void setCouponCardId(Integer couponCardId) {
        this.couponCardId = couponCardId;
    }

    public Integer getAuditResultId() {
        return auditResultId;
    }

    public void setAuditResultId(Integer auditResultId) {
        this.auditResultId = auditResultId;
    }

    public String getItemJson() {
        return itemJson;
    }

    public void setItemJson(String itemJson) {
        this.itemJson = itemJson;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public void setPayInfoSerialNumber(String payInfoSerialNumber) {
        this.payInfoSerialNumber = payInfoSerialNumber;
    }

    public String getPayInfoSerialNumber() {
        return payInfoSerialNumber;
    }

    public void setCouponCardContent(Double couponCardContent) {
        this.couponCardContent = couponCardContent;
    }

    public Double getCouponCardContent() {
        return couponCardContent;
    }

    public void setCouponCardName(String couponCardName) {
        this.couponCardName = couponCardName;
    }

    public String getCouponCardName() {
        return couponCardName;
    }

    public Integer getInitiatorUser() {
        return initiatorUser;
    }

    public void setInitiatorUser(Integer initiatorUser) {
        this.initiatorUser = initiatorUser;
    }

    public String getInitiatorName() {
        return initiatorName;
    }

    public void setInitiatorName(String initiatorName) {
        this.initiatorName = initiatorName;
    }

    @Override
    public String toString() {
        return "BillingOrderDTO{" +
                "orderId=" + orderId +
                ", enterpriseId=" + enterpriseId +
                ", serialNumber='" + serialNumber + '\'' +
                ", orderStatus=" + orderStatus +
                ", orderContent='" + orderContent + '\'' +
                ", payType=" + payType +
                ", totalFee=" + totalFee +
                ", totalFeePaid=" + totalFeePaid +
                ", payInfoId=" + payInfoId +
                ", couponCardId=" + couponCardId +
                ", auditResultId=" + auditResultId +
                ", itemJson='" + itemJson + '\'' +
                ", createTime=" + createTime +
                ", payInfoSerialNumber='" + payInfoSerialNumber + '\'' +
                ", couponCardContent=" + couponCardContent +
                ", couponCardName='" + couponCardName + '\'' +
                ", initiatorUser=" + initiatorUser +
                ", initiatorName='" + initiatorName + '\'' +
                '}';
    }
}
