package com.gic.enterprise.dto;

import java.io.Serializable;
import java.util.Date;
/**
 *
 * @ClassName: BillingSmsRecordDTO
 * @Description:
 * @author taogs
 * @date 2020/9/17 16:23
 */
public class BillingSmsRecordDTO implements Serializable {
    /**
     * 
     */
    private Long smsRecordId;

    /**
     * 发送时间
     */
    private Date sendTime;

    /**
     * 接收号码
     */
    private String receivePhone;

    /**
     * 支付方式
     */
    private Integer payType;

    /**
     * 应用
     */
    private String appCode;

    /**
     * 应用name
     */
    private String appName;

    /**
     * 短信类型
     */
    private Integer smsType;

    /**
     * 计费条数
     */
    private Integer billNumber;

    /**
     * 费用
     */
    private Double fee;

    /**
     * 短信内容
     */
    private String smsContent;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    /**
     * 扣费时间
     */
    private Date deductionTime;

    /**
     * 
     */
    private Integer enterpriseId;

    /**
     * 套餐包id
     */
    private Integer enterpriseSmsPackageId;

    /**
     * 会员姓名
     */
    private String memberName;

    /**
     * 门店id
     */
    private Integer storeId;

    /**
     * 门店名称
     */
    private String storeName;

    /**
     * 门店分组id
     */
    private Integer storeGroupId;

    /**
     * 门店分组名称
     */
    private String storeGroupName;

    public Long getSmsRecordId() {
        return smsRecordId;
    }

    public void setSmsRecordId(Long smsRecordId) {
        this.smsRecordId = smsRecordId;
    }

    public Date getSendTime() {
        return sendTime;
    }

    public void setSendTime(Date sendTime) {
        this.sendTime = sendTime;
    }

    public String getReceivePhone() {
        return receivePhone;
    }

    public void setReceivePhone(String receivePhone) {
        this.receivePhone = receivePhone;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public String getAppCode() {
        return appCode;
    }

    public void setAppCode(String appCode) {
        this.appCode = appCode;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public Integer getSmsType() {
        return smsType;
    }

    public void setSmsType(Integer smsType) {
        this.smsType = smsType;
    }

    public Integer getBillNumber() {
        return billNumber;
    }

    public void setBillNumber(Integer billNumber) {
        this.billNumber = billNumber;
    }

    public Double getFee() {
        return fee;
    }

    public void setFee(Double fee) {
        this.fee = fee;
    }

    public String getSmsContent() {
        return smsContent;
    }

    public void setSmsContent(String smsContent) {
        this.smsContent = smsContent;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getDeductionTime() {
        return deductionTime;
    }

    public void setDeductionTime(Date deductionTime) {
        this.deductionTime = deductionTime;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getEnterpriseSmsPackageId() {
        return enterpriseSmsPackageId;
    }

    public void setEnterpriseSmsPackageId(Integer enterpriseSmsPackageId) {
        this.enterpriseSmsPackageId = enterpriseSmsPackageId;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public Integer getStoreGroupId() {
        return storeGroupId;
    }

    public void setStoreGroupId(Integer storeGroupId) {
        this.storeGroupId = storeGroupId;
    }

    public String getStoreGroupName() {
        return storeGroupName;
    }

    public void setStoreGroupName(String storeGroupName) {
        this.storeGroupName = storeGroupName;
    }

    @Override
    public String toString() {
        return "BillingSmsRecordDTO{" +
                "smsRecordId=" + smsRecordId +
                ", sendTime=" + sendTime +
                ", receivePhone='" + receivePhone + '\'' +
                ", payType=" + payType +
                ", appCode='" + appCode + '\'' +
                ", appName='" + appName + '\'' +
                ", smsType=" + smsType +
                ", billNumber=" + billNumber +
                ", fee=" + fee +
                ", smsContent='" + smsContent + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", deductionTime=" + deductionTime +
                ", enterpriseId=" + enterpriseId +
                ", enterpriseSmsPackageId=" + enterpriseSmsPackageId +
                ", memberName='" + memberName + '\'' +
                ", storeId=" + storeId +
                ", storeName='" + storeName + '\'' +
                ", storeGroupId=" + storeGroupId +
                ", storeGroupName='" + storeGroupName + '\'' +
                '}';
    }
}