package com.gic.enterprise.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * 达摩情报销商户黑名单
 * @ClassName:  
 * @Description:    
 * @author guojuxing   
 * @date 2021/5/18 3:31 PM  
 */
public class BlackListDTO implements Serializable{
    private static final long serialVersionUID = 9182488694825156872L;

    /**
     *
     */
    private Integer blackListId;

    /**
     * 商户ID
     */
    private Integer enterpriseId;

    /**
     * 商户名称
     */
    private String enterpriseName;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 状态（0：正常；1：删除）
     */
    private Integer deleteFlag;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public Integer getBlackListId() {
        return blackListId;
    }

    public BlackListDTO setBlackListId(Integer blackListId) {
        this.blackListId = blackListId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public BlackListDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public BlackListDTO setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
        return this;
    }

    public String getCompanyName() {
        return companyName;
    }

    public BlackListDTO setCompanyName(String companyName) {
        this.companyName = companyName;
        return this;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public BlackListDTO setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public BlackListDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public BlackListDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    @Override
    public String toString() {
        return "BlackListDTO{" +
                "blackListId=" + blackListId +
                ", enterpriseId=" + enterpriseId +
                ", enterpriseName='" + enterpriseName + '\'' +
                ", companyName='" + companyName + '\'' +
                ", deleteFlag=" + deleteFlag +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
