package com.gic.enterprise.dto;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @ClassName: CustomStoreDTO
 * @Description:
 * @author taogs
 * @date 2020/9/17 16:23
 */
public class CustomStoreDTO implements Serializable {
    /**
     * 
     */
    private Integer customStoreId;

    private String title;

    /**
     * 
     */
    private Integer enterpriseId;

    /**
     * 
     */
    private String appid;

    /**
     * 1开启 2关闭  0删除
     */
    private Integer status;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    /**
     * 门店控件id
     */
    private Integer storeWidgetId;

    /**
     * 1小程序  2服务号
     */
    private Integer appType;

    /**
     * 快捷导航开关 1:开启 0:关闭
     */
    private Integer quickGuideSwitch;

    public Integer getCustomStoreId() {
        return customStoreId;
    }

    public void setCustomStoreId(Integer customStoreId) {
        this.customStoreId = customStoreId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getStoreWidgetId() {
        return storeWidgetId;
    }

    public void setStoreWidgetId(Integer storeWidgetId) {
        this.storeWidgetId = storeWidgetId;
    }

    public Integer getAppType() {
        return appType;
    }

    public void setAppType(Integer appType) {
        this.appType = appType;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Integer getQuickGuideSwitch() {
        return quickGuideSwitch;
    }

    public CustomStoreDTO setQuickGuideSwitch(Integer quickGuideSwitch) {
        this.quickGuideSwitch = quickGuideSwitch;
        return this;
    }

    @Override
    public String toString() {
        return "CustomStoreDTO{" +
                "customStoreId=" + customStoreId +
                ", title='" + title + '\'' +
                ", enterpriseId=" + enterpriseId +
                ", appid='" + appid + '\'' +
                ", status=" + status +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", storeWidgetId=" + storeWidgetId +
                ", appType=" + appType +
                ", quickGuideSwitch=" + quickGuideSwitch +
                '}';
    }
}