package com.gic.enterprise.dto;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @ClassName: CustomUdeskFieldDTO
 * @Description:
 * @author taogs
 * @date 2020/9/17 16:24
 */
public class CustomUdeskFieldDTO implements Serializable {
    private static final long serialVersionUID = 3629705521334915819L;
    /**
     * 
     */
    private Integer id;

    /**
     * 
     */
    private String udeskFieldId;

    /**
     * 
     */
    private Integer gicFieldId;

    /**
     * 
     */
    private String gicFieldName;

    /**
     * 0删除  1开启  2关闭
     */
    private Integer status;

    private String appId;

    /**
     * 1:用户信息 2：会员卡信息 3：物流信息
     */
    private Integer fieldType;

    /**
     * 
     */
    private Integer enterpriseId;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    public Integer getId() {
        return id;
    }

    public CustomUdeskFieldDTO setId(Integer id) {
        this.id = id;
        return this;
    }

    public String getUdeskFieldId() {
        return udeskFieldId;
    }

    public CustomUdeskFieldDTO setUdeskFieldId(String udeskFieldId) {
        this.udeskFieldId = udeskFieldId;
        return this;
    }

    public Integer getGicFieldId() {
        return gicFieldId;
    }

    public CustomUdeskFieldDTO setGicFieldId(Integer gicFieldId) {
        this.gicFieldId = gicFieldId;
        return this;
    }

    public String getGicFieldName() {
        return gicFieldName;
    }

    public CustomUdeskFieldDTO setGicFieldName(String gicFieldName) {
        this.gicFieldName = gicFieldName;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public CustomUdeskFieldDTO setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public String getAppId() {
        return appId;
    }

    public CustomUdeskFieldDTO setAppId(String appId) {
        this.appId = appId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public CustomUdeskFieldDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public CustomUdeskFieldDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public CustomUdeskFieldDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Integer getFieldType() {
        return fieldType;
    }

    public CustomUdeskFieldDTO setFieldType(Integer fieldType) {
        this.fieldType = fieldType;
        return this;
    }

    @Override
    public String toString() {
        return "CustomUdeskFieldDTO{" +
                "id=" + id +
                ", udeskFieldId='" + udeskFieldId + '\'' +
                ", gicFieldId=" + gicFieldId +
                ", gicFieldName='" + gicFieldName + '\'' +
                ", status=" + status +
                ", appId='" + appId + '\'' +
                ", fieldType=" + fieldType +
                ", enterpriseId=" + enterpriseId +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}