package com.gic.enterprise.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * @author guojx
 * @date 2019/7/18 11:03 AM
 */
public class EnterpriseInitDTO implements Serializable{
    private static final long serialVersionUID = -6673226754430906347L;
    /**
     *
     */
    private Integer enterpriseInitId;

    /**
     * 配置信息名称
     */
    private String configName;

    /**
     * 前往商户后台的url
     */
    private String configUrl;

    /**
     * 父级ID
     */
    private Integer parentId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     *
     */
    private Integer sort;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     * 配置代码
     */
    private String configCode;

    /**
     * 层级，用于排序
     */
    private Integer level;

    /**
     * 是否初始化 1:已经初始化 0:为初始化
     */
    private Integer isInitConfig;

    public Integer getEnterpriseInitId() {
        return enterpriseInitId;
    }

    public void setEnterpriseInitId(Integer enterpriseInitId) {
        this.enterpriseInitId = enterpriseInitId;
    }

    public String getConfigName() {
        return configName;
    }

    public void setConfigName(String configName) {
        this.configName = configName;
    }

    public String getConfigUrl() {
        return configUrl;
    }

    public void setConfigUrl(String configUrl) {
        this.configUrl = configUrl;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getConfigCode() {
        return configCode;
    }

    public void setConfigCode(String configCode) {
        this.configCode = configCode;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Integer getIsInitConfig() {
        return isInitConfig;
    }

    public void setIsInitConfig(Integer isInitConfig) {
        this.isInitConfig = isInitConfig;
    }

    @Override
    public String toString() {
        return "EnterpriseInitDTO{" +
                "enterpriseInitId=" + enterpriseInitId +
                ", configName='" + configName + '\'' +
                ", configUrl='" + configUrl + '\'' +
                ", parentId=" + parentId +
                ", enterpriseId=" + enterpriseId +
                ", sort=" + sort +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", configCode='" + configCode + '\'' +
                ", level=" + level +
                ", isInitConfig=" + isInitConfig +
                '}';
    }
}
