package com.gic.enterprise.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * 企业基础服务license数据
 * @ClassName: EnterpriseLicenseDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/10/8 9:20 AM 
 */
public class EnterpriseLicenseDTO implements Serializable{
    private static final long serialVersionUID = -23648632212873434L;

    /**
     *
     */
    private Integer enterpriseLicenseId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * license id
     */
    private Long licenseId;

    /**
     * 下限
     */
    private Integer lowerLimit;

    /**
     * 上限
     */
    private Integer upperLimit;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     *
     */
    private String licenseName;

    private String licenseCode;

    public Integer getEnterpriseLicenseId() {
        return enterpriseLicenseId;
    }

    public EnterpriseLicenseDTO setEnterpriseLicenseId(Integer enterpriseLicenseId) {
        this.enterpriseLicenseId = enterpriseLicenseId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public EnterpriseLicenseDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public Long getLicenseId() {
        return licenseId;
    }

    public EnterpriseLicenseDTO setLicenseId(Long licenseId) {
        this.licenseId = licenseId;
        return this;
    }

    public Integer getLowerLimit() {
        return lowerLimit;
    }

    public EnterpriseLicenseDTO setLowerLimit(Integer lowerLimit) {
        this.lowerLimit = lowerLimit;
        return this;
    }

    public Integer getUpperLimit() {
        return upperLimit;
    }

    public EnterpriseLicenseDTO setUpperLimit(Integer upperLimit) {
        this.upperLimit = upperLimit;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public EnterpriseLicenseDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public EnterpriseLicenseDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public String getLicenseName() {
        return licenseName;
    }

    public EnterpriseLicenseDTO setLicenseName(String licenseName) {
        this.licenseName = licenseName;
        return this;
    }

    public String getLicenseCode() {
        return licenseCode;
    }

    public EnterpriseLicenseDTO setLicenseCode(String licenseCode) {
        this.licenseCode = licenseCode;
        return this;
    }

    @Override
    public String toString() {
        return "EnterpriseLicenseDTO{" +
                "enterpriseLicenseId=" + enterpriseLicenseId +
                ", enterpriseId=" + enterpriseId +
                ", licenseId=" + licenseId +
                ", lowerLimit=" + lowerLimit +
                ", upperLimit=" + upperLimit +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", licenseName='" + licenseName + '\'' +
                ", licenseCode='" + licenseCode + '\'' +
                '}';
    }
}
