package com.gic.enterprise.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * 商户和前置资源的关联
 * @ClassName: EnterpriseResourceRelDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/2/14 4:00 PM 
 */
public class EnterpriseResourceRelDTO implements Serializable{
    private static final long serialVersionUID = -1107474208757248300L;

    /**
     * id
     */
    private Integer enterpriseResourceId;

    /**
     * 前置资源code
     */
    private String resourceCode;

    /**
     * 前置资源名称
     */
    private String resourceName;

    /**
     * 企业ID
     */
    private Integer enterpriseId;

    /**
     * 状态1:有效 0:无效
     */
    private Integer deleteFlag;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     * 是否拥有权限，1:有 0:无
     */
    private Integer resourceSwitch;

    public Integer getEnterpriseResourceId() {
        return enterpriseResourceId;
    }

    public void setEnterpriseResourceId(Integer enterpriseResourceId) {
        this.enterpriseResourceId = enterpriseResourceId;
    }

    public String getResourceCode() {
        return resourceCode;
    }

    public void setResourceCode(String resourceCode) {
        this.resourceCode = resourceCode;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getResourceSwitch() {
        return resourceSwitch;
    }

    public void setResourceSwitch(Integer resourceSwitch) {
        this.resourceSwitch = resourceSwitch;
    }

    @Override
    public String toString() {
        return "EnterpriseResourceRelDTO{" +
                "enterpriseResourceId=" + enterpriseResourceId +
                ", resourceCode='" + resourceCode + '\'' +
                ", resourceName='" + resourceName + '\'' +
                ", enterpriseId=" + enterpriseId +
                ", status=" + deleteFlag +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", resourceSwitch=" + resourceSwitch +
                '}';
    }
}
