package com.gic.enterprise.dto;

import com.gic.enterprise.constant.FieldFilterOptEnum;
import com.gic.enterprise.constant.FieldTypeEnum;

import java.io.Serializable;
import java.util.List;

public class HiveQueryCondition implements Serializable {
    /**字段名 enterprise_id*/
    private String fieldName;
    /**字段中文名 企业id**/
    private String fieldMark;
    /**字段类型**/
    private FieldTypeEnum fieldTypeEnum;
    /**需要过滤的value值**/
    private List<?> filterValue;
    /**查询条件操作符**/
    private FieldFilterOptEnum fieldFilterOptEnum;

    public String getFieldName() {
        return fieldName;
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public String getFieldMark() {
        return fieldMark;
    }

    public void setFieldMark(String fieldMark) {
        this.fieldMark = fieldMark;
    }

    public FieldTypeEnum getFieldTypeEnum() {
        return fieldTypeEnum;
    }

    public void setFieldTypeEnum(FieldTypeEnum fieldTypeEnum) {
        this.fieldTypeEnum = fieldTypeEnum;
    }

    public List<?> getFilterValue() {
        return filterValue;
    }

    public void setFilterValue(List<?> filterValue) {
        this.filterValue = filterValue;
    }

    public FieldFilterOptEnum getFieldFilterOptEnum() {
        return fieldFilterOptEnum;
    }

    public void setFieldFilterOptEnum(FieldFilterOptEnum fieldFilterOptEnum) {
        this.fieldFilterOptEnum = fieldFilterOptEnum;
    }
}
