package com.gic.enterprise.dto;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-13 15:04
 */
public class IndexModuleDTO implements Serializable {
    private static final long serialVersionUID = -6367858640932138763L;
    /**
     *
     */
    private Integer indexModuleId;

    /**
     * 组件名称
     */
    private String indexModuleName;

    /**
     * 组件code
     */
    private String indexModuleCode;

    /**
     * 组件类型
     */
    private Integer moduleType;

    /**
     * 设计模板 code
     */
    private String moduleTemplateCode;

    /**
     * 生效状态
     */
    private Integer isUse;

    /**
     * 创建人id
     */
    private String createUserLoginName;

    /**
     * 适用对象  1:全部商户   2:部分商户
     */
    private Integer objectType;

    /**
     *
     */
    private Integer deleteFlag;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     *
     */
    private Double sort;

    private List<Integer> enterpriseIdList;
    private String createUserRealName;
    private String moduleTemplateName;

    public Integer getIndexModuleId() {
        return indexModuleId;
    }

    public void setIndexModuleId(Integer indexModuleId) {
        this.indexModuleId = indexModuleId;
    }

    public String getIndexModuleName() {
        return indexModuleName;
    }

    public void setIndexModuleName(String indexModuleName) {
        this.indexModuleName = indexModuleName;
    }

    public String getIndexModuleCode() {
        return indexModuleCode;
    }

    public void setIndexModuleCode(String indexModuleCode) {
        this.indexModuleCode = indexModuleCode;
    }

    public Integer getModuleType() {
        return moduleType;
    }

    public void setModuleType(Integer moduleType) {
        this.moduleType = moduleType;
    }

    public String getModuleTemplateCode() {
        return moduleTemplateCode;
    }

    public void setModuleTemplateCode(String moduleTemplateCode) {
        this.moduleTemplateCode = moduleTemplateCode;
    }

    public Integer getIsUse() {
        return isUse;
    }

    public void setIsUse(Integer isUse) {
        this.isUse = isUse;
    }

    public String getCreateUserLoginName() {
        return createUserLoginName;
    }

    public void setCreateUserLoginName(String createUserLoginName) {
        this.createUserLoginName = createUserLoginName;
    }

    public Integer getObjectType() {
        return objectType;
    }

    public void setObjectType(Integer objectType) {
        this.objectType = objectType;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public IndexModuleDTO setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Double getSort() {
        return sort;
    }

    public void setSort(Double sort) {
        this.sort = sort;
    }

    public List<Integer> getEnterpriseIdList() {
        return enterpriseIdList;
    }

    public void setEnterpriseIdList(List<Integer> enterpriseIdList) {
        this.enterpriseIdList = enterpriseIdList;
    }

    public void setCreateUserRealName(String createUserRealName) {
        this.createUserRealName = createUserRealName;
    }

    public String getCreateUserRealName() {
        return createUserRealName;
    }

    public void setModuleTemplateName(String moduleTemplateName) {
        this.moduleTemplateName = moduleTemplateName;
    }

    public String getModuleTemplateName() {
        return moduleTemplateName;
    }

    @Override
    public String toString() {
        return "IndexModuleDTO{" +
                "indexModuleId=" + indexModuleId +
                ", indexModuleName='" + indexModuleName + '\'' +
                ", indexModuleCode='" + indexModuleCode + '\'' +
                ", moduleType=" + moduleType +
                ", moduleTemplateCode='" + moduleTemplateCode + '\'' +
                ", isUse=" + isUse +
                ", createUserLoginName='" + createUserLoginName + '\'' +
                ", objectType=" + objectType +
                ", deleteFlag=" + deleteFlag +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", sort=" + sort +
                ", enterpriseIdList=" + enterpriseIdList +
                ", createUserRealName='" + createUserRealName + '\'' +
                ", moduleTemplateName='" + moduleTemplateName + '\'' +
                '}';
    }
}
