package com.gic.enterprise.dto;

import java.io.Serializable;
/**
 * 开票申请开户信息
 * @ClassName: InvoiceDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/15 4:24 PM 
 */
public class InvoiceDTO implements Serializable{
    private static final long serialVersionUID = -4717853287158102316L;

    /**
     * 开户单位名称
     */
    private String accountName;

    /**
     * 纳税识别号
     */
    private String taxNumber;

    /**
     * 地址
     */
    private String address;

    /**
     * 开户行
     */
    private String bank;

    /**
     * 开户电话
     */
    private String accountPhone;

    /**
     * 开户账号
     */
    private String bankAccount;

    /**
     * 收货人
     */
    private String shippingName;

    /**
     * 收货电话
     */
    private String shippingPhone;

    /**
     * 收货地址
     */
    private String shippingAddress;

    /**
     * 电子发票类型，接收人邮箱
     */
    private String email;

    /**
     * 营业执照 图片地址
     */
    private String businessLicense;

    public String getAccountName() {
        return accountName;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

    public String getTaxNumber() {
        return taxNumber;
    }

    public void setTaxNumber(String taxNumber) {
        this.taxNumber = taxNumber;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getBank() {
        return bank;
    }

    public void setBank(String bank) {
        this.bank = bank;
    }

    public String getAccountPhone() {
        return accountPhone;
    }

    public void setAccountPhone(String accountPhone) {
        this.accountPhone = accountPhone;
    }

    public String getBankAccount() {
        return bankAccount;
    }

    public void setBankAccount(String bankAccount) {
        this.bankAccount = bankAccount;
    }

    public String getShippingName() {
        return shippingName;
    }

    public void setShippingName(String shippingName) {
        this.shippingName = shippingName;
    }

    public String getShippingPhone() {
        return shippingPhone;
    }

    public void setShippingPhone(String shippingPhone) {
        this.shippingPhone = shippingPhone;
    }

    public String getShippingAddress() {
        return shippingAddress;
    }

    public void setShippingAddress(String shippingAddress) {
        this.shippingAddress = shippingAddress;
    }

    public String getEmail() {
        return email;
    }

    public InvoiceDTO setEmail(String email) {
        this.email = email;
        return this;
    }

    public String getBusinessLicense() {
        return businessLicense;
    }

    public InvoiceDTO setBusinessLicense(String businessLicense) {
        this.businessLicense = businessLicense;
        return this;
    }

    @Override
    public String toString() {
        return "InvoiceDTO{" +
                "accountName='" + accountName + '\'' +
                ", taxNumber='" + taxNumber + '\'' +
                ", address='" + address + '\'' +
                ", bank='" + bank + '\'' +
                ", accountPhone='" + accountPhone + '\'' +
                ", bankAccount='" + bankAccount + '\'' +
                ", shippingName='" + shippingName + '\'' +
                ", shippingPhone='" + shippingPhone + '\'' +
                ", shippingAddress='" + shippingAddress + '\'' +
                ", email='" + email + '\'' +
                ", businessLicense='" + businessLicense + '\'' +
                '}';
    }
}
