package com.gic.enterprise.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * 达摩产品情报站
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/5/17 5:02 PM 
 */
public class ProductMarketDTO implements Serializable{
    private static final long serialVersionUID = -1488266149086925629L;

    /**
     *
     */
    private Integer productMarketId;

    /**
     * 标题
     */
    private String title;

    /**
     * 类型（1 功能更新、2 产品推广、3 成功案例）
     */
    private Integer infoType;

    /**
     * 超链接
     */
    private String hyperLink;

    /**
     * 发布时间
     */
    private Date releaseTime;

    /**
     * 状态（0：正常；1：删除）
     */
    private Integer deleteFlag;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public Integer getProductMarketId() {
        return productMarketId;
    }

    public ProductMarketDTO setProductMarketId(Integer productMarketId) {
        this.productMarketId = productMarketId;
        return this;
    }

    public String getTitle() {
        return title;
    }

    public ProductMarketDTO setTitle(String title) {
        this.title = title;
        return this;
    }

    public Integer getInfoType() {
        return infoType;
    }

    public ProductMarketDTO setInfoType(Integer infoType) {
        this.infoType = infoType;
        return this;
    }

    public String getHyperLink() {
        return hyperLink;
    }

    public ProductMarketDTO setHyperLink(String hyperLink) {
        this.hyperLink = hyperLink;
        return this;
    }

    public Date getReleaseTime() {
        return releaseTime;
    }

    public ProductMarketDTO setReleaseTime(Date releaseTime) {
        this.releaseTime = releaseTime;
        return this;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public ProductMarketDTO setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public ProductMarketDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public ProductMarketDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    @Override
    public String toString() {
        return "ProductMarketDTO{" +
                "productMarketId=" + productMarketId +
                ", title='" + title + '\'' +
                ", infoType=" + infoType +
                ", hyperLink='" + hyperLink + '\'' +
                ", releaseTime=" + releaseTime +
                ", deleteFlag=" + deleteFlag +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
