package com.gic.enterprise.dto;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/8/27 14:31
 */
public class RefundReturnDTO implements Serializable {
    private static final long serialVersionUID = 1456502963460603377L;

    /**
     * 企业id
     */
    private Integer enterpriseId;
    /**
     * 请求方式
     */
    private String requestCode;
    /**
     * 原始订单号
     */
    private String orderSerialNumber;
    /**
     * 退款单号
     */
    private String refundSerialNumber;
    /**
     * 退款交易流水号
     */
    private String refundPaySerialNumber;
    /**
     * 退款金额
     */
    private Double refundFee;
    /**
     * 退款成功时间
     */
    private Date deductionTime;

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getRequestCode() {
        return requestCode;
    }

    public void setRequestCode(String requestCode) {
        this.requestCode = requestCode;
    }

    public String getOrderSerialNumber() {
        return orderSerialNumber;
    }

    public void setOrderSerialNumber(String orderSerialNumber) {
        this.orderSerialNumber = orderSerialNumber;
    }

    public String getRefundSerialNumber() {
        return refundSerialNumber;
    }

    public void setRefundSerialNumber(String refundSerialNumber) {
        this.refundSerialNumber = refundSerialNumber;
    }

    public String getRefundPaySerialNumber() {
        return refundPaySerialNumber;
    }

    public void setRefundPaySerialNumber(String refundPaySerialNumber) {
        this.refundPaySerialNumber = refundPaySerialNumber;
    }

    public Double getRefundFee() {
        return refundFee;
    }

    public void setRefundFee(Double refundFee) {
        this.refundFee = refundFee;
    }

    public void setDeductionTime(Date deductionTime) {
        this.deductionTime = deductionTime;
    }

    public Date getDeductionTime() {
        return deductionTime;
    }

    @Override
    public String toString() {
        return "RefundReturnDTO{" +
                "enterpriseId=" + enterpriseId +
                ", requestCode='" + requestCode + '\'' +
                ", orderSerialNumber='" + orderSerialNumber + '\'' +
                ", refundSerialNumber='" + refundSerialNumber + '\'' +
                ", refundPaySerialNumber='" + refundPaySerialNumber + '\'' +
                ", refundFee=" + refundFee +
                ", deductionTime=" + deductionTime +
                '}';
    }
}
