package com.gic.enterprise.dto.market;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @ClassName: BasicServiceDTO 
 * @Description:    服务
 * @author guojuxing 
 * @date 2019/9/30 9:26 AM 
 */
public class BasicServiceDTO implements Serializable{
    private static final long serialVersionUID = 8182491684510171794L;

    /**
     * id(服务id,license的id,拓展包id)
     */
    private String serveId;

    /**
     * 名称
     */
    private String serveName;

    /**
     *
     */
    private String serveInfo;

    /**
     * 图片
     */
    private String imageUrl;
    /**
     * 订单项原价
     */
    private BigDecimal totalAmount;

    /**
     * 销售价
     */
    private BigDecimal saleAmount;

    /**
     * 订单项实付金额
     */
    private BigDecimal payAmount;
    /**
     * 订单项优惠详情{200:优惠券}
     */
    private String discountDetail;

    /**
     * 支付详情{100:现金}
     */
    private String payDetail;

    private String skuId;
    private String skuVersion;
    private String skuPeriod;
    private Integer skuPeriodDay;
    private String skuInfo;



    public String getServeName() {
        return serveName;
    }

    public void setServeName(String serveName) {
        this.serveName = serveName;
    }

    public String getServeInfo() {
        return serveInfo;
    }

    public void setServeInfo(String serveInfo) {
        this.serveInfo = serveInfo;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public BigDecimal getSaleAmount() {
        return saleAmount;
    }

    public void setSaleAmount(BigDecimal saleAmount) {
        this.saleAmount = saleAmount;
    }

    public BigDecimal getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(BigDecimal payAmount) {
        this.payAmount = payAmount;
    }

    public String getDiscountDetail() {
        return discountDetail;
    }

    public void setDiscountDetail(String discountDetail) {
        this.discountDetail = discountDetail;
    }

    public String getPayDetail() {
        return payDetail;
    }

    public void setPayDetail(String payDetail) {
        this.payDetail = payDetail;
    }

    public String getServeId() {
        return serveId;
    }

    public void setServeId(String serveId) {
        this.serveId = serveId;
    }

    public String getSkuId() {
        return skuId;
    }

    public void setSkuId(String skuId) {
        this.skuId = skuId;
    }

    public String getSkuVersion() {
        return skuVersion;
    }

    public void setSkuVersion(String skuVersion) {
        this.skuVersion = skuVersion;
    }

    public String getSkuPeriod() {
        return skuPeriod;
    }

    public void setSkuPeriod(String skuPeriod) {
        this.skuPeriod = skuPeriod;
    }

    public Integer getSkuPeriodDay() {
        return skuPeriodDay;
    }

    public void setSkuPeriodDay(Integer skuPeriodDay) {
        this.skuPeriodDay = skuPeriodDay;
    }

    public String getSkuInfo() {
        return skuInfo;
    }

    public void setSkuInfo(String skuInfo) {
        this.skuInfo = skuInfo;
    }

    @Override
    public String toString() {
        return "BasicServiceDTO{" +
                "serveId='" + serveId + '\'' +
                ", serveName='" + serveName + '\'' +
                ", serveInfo='" + serveInfo + '\'' +
                ", imageUrl='" + imageUrl + '\'' +
                ", totalAmount=" + totalAmount +
                ", saleAmount=" + saleAmount +
                ", payAmount=" + payAmount +
                ", discountDetail='" + discountDetail + '\'' +
                ", payDetail='" + payDetail + '\'' +
                ", skuId='" + skuId + '\'' +
                ", skuVersion='" + skuVersion + '\'' +
                ", skuPeriod='" + skuPeriod + '\'' +
                ", skuPeriodDay=" + skuPeriodDay +
                ", skuInfo='" + skuInfo + '\'' +
                '}';
    }
}
