package com.gic.enterprise.dto.rule;

import java.io.Serializable;
import java.util.List;

/**
 * 商户规则详情
 * @ClassName: EnterpriseRuleDetailDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/3/5 1:29 PM 
 */
public class EnterpriseRuleDetailDTO implements Serializable{
    private static final long serialVersionUID = 8170315160087981103L;

    /**
     * 规则树
     */
    private List<RuleListDTO> ruleList;

    /**
     *
     */
    private Integer enterpriseRuleId;

    /**
     * 规则名称
     */
    private String ruleName;

    /**
     * 1:部分商户 2:全部商户
     */
    private Integer enterpriseType;

    /**
     * 商户列表
     */
    private List<EnterpriseListDTO> enterpriseList;

    public List<RuleListDTO> getRuleList() {
        return ruleList;
    }

    public EnterpriseRuleDetailDTO setRuleList(List<RuleListDTO> ruleList) {
        this.ruleList = ruleList;
        return this;
    }

    public Integer getEnterpriseRuleId() {
        return enterpriseRuleId;
    }

    public EnterpriseRuleDetailDTO setEnterpriseRuleId(Integer enterpriseRuleId) {
        this.enterpriseRuleId = enterpriseRuleId;
        return this;
    }

    public String getRuleName() {
        return ruleName;
    }

    public EnterpriseRuleDetailDTO setRuleName(String ruleName) {
        this.ruleName = ruleName;
        return this;
    }

    public Integer getEnterpriseType() {
        return enterpriseType;
    }

    public EnterpriseRuleDetailDTO setEnterpriseType(Integer enterpriseType) {
        this.enterpriseType = enterpriseType;
        return this;
    }

    public List<EnterpriseListDTO> getEnterpriseList() {
        return enterpriseList;
    }

    public EnterpriseRuleDetailDTO setEnterpriseList(List<EnterpriseListDTO> enterpriseList) {
        this.enterpriseList = enterpriseList;
        return this;
    }

    @Override
    public String toString() {
        return "EnterpriseRuleDetailDTO{" +
                "ruleList=" + ruleList +
                ", enterpriseRuleId=" + enterpriseRuleId +
                ", ruleName='" + ruleName + '\'' +
                ", enterpriseType=" + enterpriseType +
                ", enterpriseList=" + enterpriseList +
                '}';
    }
}
