package com.gic.enterprise.dto.rule;

import java.io.Serializable;
import java.util.List;

/**
 * 分类列表
 * @ClassName: RuleClassifyListDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/3/4 3:02 PM 
 */
public class RuleClassifyListDTO implements Serializable{
    private static final long serialVersionUID = 6964223664642288932L;

    /**
     * 分类ID
     */
    private Integer ruleId;

    /**
     * 分类名称
     */
    private String ruleName;

    /**
     * 分类类型:icon
     */
    private String classifyIcon;

    /**
     * 分类描述
     */
    private String ruleDesc;

    /**
     * 分类备注
     */
    private String remark;

    /****************下面数据给商户规则配置使用**************/

    /**
     * 是否选中有效
     */
    private Boolean select;

    /**
     * 分类下的场景列表
     */
    private List<RuleClassifySceneListDTO> ruleClassifySceneList;

    public Integer getRuleId() {
        return ruleId;
    }

    public RuleClassifyListDTO setRuleId(Integer ruleId) {
        this.ruleId = ruleId;
        return this;
    }

    public String getRuleName() {
        return ruleName;
    }

    public RuleClassifyListDTO setRuleName(String ruleName) {
        this.ruleName = ruleName;
        return this;
    }

    public String getClassifyIcon() {
        return classifyIcon;
    }

    public RuleClassifyListDTO setClassifyIcon(String classifyIcon) {
        this.classifyIcon = classifyIcon;
        return this;
    }

    public String getRuleDesc() {
        return ruleDesc;
    }

    public RuleClassifyListDTO setRuleDesc(String ruleDesc) {
        this.ruleDesc = ruleDesc;
        return this;
    }

    public String getRemark() {
        return remark;
    }

    public RuleClassifyListDTO setRemark(String remark) {
        this.remark = remark;
        return this;
    }

    public Boolean getSelect() {
        return select;
    }

    public RuleClassifyListDTO setSelect(Boolean select) {
        this.select = select;
        return this;
    }

    public List<RuleClassifySceneListDTO> getRuleClassifySceneList() {
        return ruleClassifySceneList;
    }

    public RuleClassifyListDTO setRuleClassifySceneList(List<RuleClassifySceneListDTO> ruleClassifySceneList) {
        this.ruleClassifySceneList = ruleClassifySceneList;
        return this;
    }

    @Override
    public String toString() {
        return "RuleClassifyListDTO{" +
                "ruleId=" + ruleId +
                ", ruleName='" + ruleName + '\'' +
                ", classifyIcon='" + classifyIcon + '\'' +
                ", ruleDesc='" + ruleDesc + '\'' +
                ", remark='" + remark + '\'' +
                ", select=" + select +
                ", ruleClassifySceneList=" + ruleClassifySceneList +
                '}';
    }
}
