package com.gic.enterprise.dto.rule;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 商户规则
 * @ClassName: RuleEnterpriseDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/3/4 3:20 PM 
 */
public class RuleEnterpriseDTO implements Serializable{
    private static final long serialVersionUID = -3847931338484539450L;

    /**
     *
     */
    private Integer enterpriseRuleId;

    /**
     * 规则名称
     */
    private String ruleName;

    /**
     * 1:部分商户 2:全部商户
     */
    private Integer enterpriseType;

    /**
     * 状态值 1:有效 0:无效
     */
    private Integer deleteFlag;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;
    /**
     * 选择部分商户的时候，英文逗号隔开
     */
    private String enterpriseIds;
    /**
     * 平台规则树的，规则/分类/场景ID，英文逗号隔开
     */
    private String ruleIds;

    /**
     * 运维登录用户所拥有的权限商户集合，如果是空的，表示全部商户
     */
    private List<Integer> enterpriseIdList;

    /***************************下面是前端展示字段*****************************/

    /**
     * 规则下商户个数
     */
    private Integer countEnterpriseId;
    /**
     * 企业主键
     */
    private Integer enterpriseId;

    /**
     * 商户名称
     */
    private String enterpriseName;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     *
     */
    private String logo;

    public Integer getEnterpriseRuleId() {
        return enterpriseRuleId;
    }

    public RuleEnterpriseDTO setEnterpriseRuleId(Integer enterpriseRuleId) {
        this.enterpriseRuleId = enterpriseRuleId;
        return this;
    }

    public String getRuleName() {
        return ruleName;
    }

    public RuleEnterpriseDTO setRuleName(String ruleName) {
        this.ruleName = ruleName;
        return this;
    }

    public Integer getEnterpriseType() {
        return enterpriseType;
    }

    public RuleEnterpriseDTO setEnterpriseType(Integer enterpriseType) {
        this.enterpriseType = enterpriseType;
        return this;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public RuleEnterpriseDTO setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public RuleEnterpriseDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public RuleEnterpriseDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public String getEnterpriseIds() {
        return enterpriseIds;
    }

    public RuleEnterpriseDTO setEnterpriseIds(String enterpriseIds) {
        this.enterpriseIds = enterpriseIds;
        return this;
    }

    public String getRuleIds() {
        return ruleIds;
    }

    public RuleEnterpriseDTO setRuleIds(String ruleIds) {
        this.ruleIds = ruleIds;
        return this;
    }

    public Integer getCountEnterpriseId() {
        return countEnterpriseId;
    }

    public RuleEnterpriseDTO setCountEnterpriseId(Integer countEnterpriseId) {
        this.countEnterpriseId = countEnterpriseId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public RuleEnterpriseDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public RuleEnterpriseDTO setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
        return this;
    }

    public String getCompanyName() {
        return companyName;
    }

    public RuleEnterpriseDTO setCompanyName(String companyName) {
        this.companyName = companyName;
        return this;
    }

    public String getLogo() {
        return logo;
    }

    public RuleEnterpriseDTO setLogo(String logo) {
        this.logo = logo;
        return this;
    }

    public List<Integer> getEnterpriseIdList() {
        return enterpriseIdList;
    }

    public RuleEnterpriseDTO setEnterpriseIdList(List<Integer> enterpriseIdList) {
        this.enterpriseIdList = enterpriseIdList;
        return this;
    }

    @Override
    public String toString() {
        return "RuleEnterpriseDTO{" +
                "enterpriseRuleId=" + enterpriseRuleId +
                ", ruleName='" + ruleName + '\'' +
                ", enterpriseType=" + enterpriseType +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", enterpriseIds='" + enterpriseIds + '\'' +
                ", ruleIds='" + ruleIds + '\'' +
                ", enterpriseIdList=" + enterpriseIdList +
                ", countEnterpriseId=" + countEnterpriseId +
                ", enterpriseId=" + enterpriseId +
                ", enterpriseName='" + enterpriseName + '\'' +
                ", companyName='" + companyName + '\'' +
                ", logo='" + logo + '\'' +
                '}';
    }
}
