package com.gic.enterprise.dto.wm;

import java.io.Serializable;
/**
 * 微盟店铺会员卡配置
 * @ClassName: WmMemberCardConfigDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/4/30 4:06 PM 
 */
public class WmMemberCardConfigDTO implements Serializable{
    private static final long serialVersionUID = 3646796243951200869L;

    /**
     * 开卡方式 1:达摩开卡 2:微盟开卡
     */
    private Integer openCardMode;

    /**
     * GIC会员归属信息同步微盟 1:开启 0:关闭
     */
    private Integer gicMemberToWm;

    /**
     * //微盟会员导购关系同步GIC 1:开启 0:关闭
     */
    private Integer wmMemberClerkToGic;

    /**
     * 微盟会员信息（包括门店关系）同步GIC 1:开启 0:关闭
     */
    private Integer wmMemberToGic;

    public Integer getOpenCardMode() {
        return openCardMode;
    }

    public WmMemberCardConfigDTO setOpenCardMode(Integer openCardMode) {
        this.openCardMode = openCardMode;
        return this;
    }

    public Integer getGicMemberToWm() {
        return gicMemberToWm;
    }

    public WmMemberCardConfigDTO setGicMemberToWm(Integer gicMemberToWm) {
        this.gicMemberToWm = gicMemberToWm;
        return this;
    }

    public Integer getWmMemberClerkToGic() {
        return wmMemberClerkToGic;
    }

    public WmMemberCardConfigDTO setWmMemberClerkToGic(Integer wmMemberClerkToGic) {
        this.wmMemberClerkToGic = wmMemberClerkToGic;
        return this;
    }

    public Integer getWmMemberToGic() {
        return wmMemberToGic;
    }

    public WmMemberCardConfigDTO setWmMemberToGic(Integer wmMemberToGic) {
        this.wmMemberToGic = wmMemberToGic;
        return this;
    }

    @Override
    public String toString() {
        return "WmMemberCardConfigDTO{" +
                "openCardMode=" + openCardMode +
                ", gicMemberToWm=" + gicMemberToWm +
                ", wmMemberClerkToGic=" + wmMemberClerkToGic +
                ", wmMemberToGic=" + wmMemberToGic +
                '}';
    }
}
