package com.gic.enterprise.qo;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-25 13:51
 */
public class LinkQO extends PageQO {
    private static final long serialVersionUID = 6231800026087198848L;
    private Integer pageNum;

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public Integer getPageNum() {
        return pageNum;
    }

    public interface LinkSaveValid{}

    public interface LinkUpdateValid{}

    private String search;

    private Integer sortColumn;

    private Integer sortType;


    private String orderBy;
    @NotNull(message = "父级id不能为空", groups = LinkSaveValid.class)
    private Integer parentId;
    @NotNull(message = "id不能为空", groups = LinkUpdateValid.class)
    private Integer linkId;
    private Integer objectType;
    @NotBlank(message = "名称不能为空", groups = LinkSaveValid.class)
    private String name;
    private String h5Content;
    private String appletContent;

    public String getSearch() {
        return search;
    }

    public void setSearch(String search) {
        this.search = search;
    }

    public Integer getSortColumn() {
        return sortColumn;
    }

    public void setSortColumn(Integer sortColumn) {
        this.sortColumn = sortColumn;
    }

    public Integer getSortType() {
        return sortType;
    }

    public void setSortType(Integer sortType) {
        this.sortType = sortType;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public String getOrderBy() {
        return orderBy;
    }

    public void setOrderBy(String orderBy) {
        this.orderBy = orderBy;
    }

    public Integer getLinkId() {
        return linkId;
    }

    public void setLinkId(Integer linkId) {
        this.linkId = linkId;
    }

    public Integer getObjectType() {
        return objectType;
    }

    public void setObjectType(Integer objectType) {
        this.objectType = objectType;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getH5Content() {
        return h5Content;
    }

    public void setH5Content(String h5Content) {
        this.h5Content = h5Content;
    }

    public String getAppletContent() {
        return appletContent;
    }

    public void setAppletContent(String appletContent) {
        this.appletContent = appletContent;
    }
}
