package com.gic.enterprise.qo;

import java.io.Serializable;
/**
 * 达摩产品情报站
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/5/18 11:03 AM 
 */
public class ProductMarketQO implements Serializable{
    private static final long serialVersionUID = 5426587736244141621L;

    /**
     * 标题
     */
    private String title;

    /**
     * 类型（1 功能更新、2 产品推广、3 成功案例）
     */
    private Integer infoType;

    private Integer pageNum;

    private Integer pageSize;

    /**
     * 是否显示在gic后台的，如果是，则发布时间小于等于此刻的数据 1:是
     */
    private Integer isShowGic;

    public String getTitle() {
        return title;
    }

    public ProductMarketQO setTitle(String title) {
        this.title = title;
        return this;
    }

    public Integer getInfoType() {
        return infoType;
    }

    public ProductMarketQO setInfoType(Integer infoType) {
        this.infoType = infoType;
        return this;
    }

    public Integer getPageNum() {
        if (pageNum == null) {
            return 1;
        }
        return pageNum;
    }

    public ProductMarketQO setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
        return this;
    }

    public Integer getPageSize() {
        if (pageSize == null) {
            return 20;
        }
        return pageSize;
    }

    public ProductMarketQO setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
        return this;
    }

    public Integer getShowGic() {
        return isShowGic;
    }

    public ProductMarketQO setShowGic(Integer showGic) {
        isShowGic = showGic;
        return this;
    }

    @Override
    public String toString() {
        return "ProductMarketQO{" +
                "title='" + title + '\'' +
                ", infoType=" + infoType +
                ", pageNum=" + pageNum +
                ", pageSize=" + pageSize +
                ", isShowGic=" + isShowGic +
                '}';
    }
}
