package com.gic.enterprise.qo.union;

import java.io.Serializable;
/**
 * 资源操作日志
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/8 10:40 AM 
 */
public class UnionEnterpriseAuthResLogQO implements Serializable{
    private static final long serialVersionUID = 6287422364343763319L;
    /**
     * 内容
     */
    private String content;

    private Integer unionEnterpriseAuthId;

    private String startTime;

    private String endTime;

    private Integer pageNum;

    private Integer pageSize;

    public String getContent() {
        return content;
    }

    public UnionEnterpriseAuthResLogQO setContent(String content) {
        this.content = content;
        return this;
    }

    public Integer getUnionEnterpriseAuthId() {
        return unionEnterpriseAuthId;
    }

    public UnionEnterpriseAuthResLogQO setUnionEnterpriseAuthId(Integer unionEnterpriseAuthId) {
        this.unionEnterpriseAuthId = unionEnterpriseAuthId;
        return this;
    }

    public String getStartTime() {
        return startTime;
    }

    public UnionEnterpriseAuthResLogQO setStartTime(String startTime) {
        this.startTime = startTime;
        return this;
    }

    public String getEndTime() {
        return endTime;
    }

    public UnionEnterpriseAuthResLogQO setEndTime(String endTime) {
        this.endTime = endTime;
        return this;
    }

    public Integer getPageNum() {
        if (pageNum == null) {
            return 1;
        }
        return pageNum;
    }

    public UnionEnterpriseAuthResLogQO setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
        return this;
    }

    public Integer getPageSize() {
        if (pageSize == null) {
            return 20;
        }
        return pageSize;
    }

    public UnionEnterpriseAuthResLogQO setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
        return this;
    }

    @Override
    public String toString() {
        return "UnionEnterpriseAuthResLogQO{" +
                "content='" + content + '\'' +
                ", unionEnterpriseAuthId=" + unionEnterpriseAuthId +
                ", startTime='" + startTime + '\'' +
                ", endTime='" + endTime + '\'' +
                ", pageNum=" + pageNum +
                ", pageSize=" + pageSize +
                '}';
    }
}
