package com.gic.enterprise.service;

import com.gic.api.base.commons.ServiceResponse;
/**
 *
 * @ClassName: CustomThemeApiService
 * @Description:
 * @author taogs
 * @date 2020/9/17 16:24
 */
public interface CustomThemeApiService {
    /**
     * saveTheme
     * @Title: saveTheme
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param appid
     * @param theme
     * @param type
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> saveTheme(Integer enterpriseId, String appid, Integer theme, Integer type);
    /**
     * getTheme
     * @Title: getTheme
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param appid
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> getTheme(Integer enterpriseId, String appid);
    /**
     * getTheme
     * @Title: getTheme
     * @Description:
     * @author taogs
     * @param theme
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.String>
     * @throws
     */
    ServiceResponse<String> getTheme(Integer theme);
}
