package com.gic.enterprise.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.DictDTO;

import java.util.List;

/**
 *
 * @ClassName: DictApiService
 * @Description:
 * @author zhiwj
 * @date 2019-10-29 10:59
 */
public interface DictApiService {

   /**
    * listBusinessCategory 
    * @Title: listBusinessCategory
    * @Description: 
    * @author taogs 
    * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.DictDTO>>
    * @throws 
    */
    ServiceResponse<List<DictDTO>> listBusinessCategory();

    /**
     * listRiskModeDuration 
     * @Title: listRiskModeDuration
     * @Description: 
     * @author taogs 
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.DictDTO>>
     * @throws 
     */
    ServiceResponse<List<DictDTO>> listRiskModeDuration();

    /**
     * getDict 
     * @Title: getDict
     * @Description: 
     * @author taogs 
     * @param categoryCode
     * @param code
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.DictDTO>
     * @throws 
     */
    ServiceResponse<DictDTO> getDict(String categoryCode, String code);

    /**
     * getDictOriginal 
     * @Title: getDictOriginal
     * @Description: 
     * @author taogs 
     * @param categoryCode
     * @param code
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.DictDTO>
     * @throws 
     */
    ServiceResponse<DictDTO> getDictOriginal(String categoryCode, String code);

    /**
     * listModuleTemplateCode 
     * @Title: listModuleTemplateCode
     * @Description: 
     * @author taogs 
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.DictDTO>>
     * @throws 
     */
    ServiceResponse<List<DictDTO>> listModuleTemplateCode();

    /**
     * listSmsAppType 
     * @Title: listSmsAppType
     * @Description: 
     * @author taogs 
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.DictDTO>>
     * @throws 
     */
    ServiceResponse<List<DictDTO>> listSmsAppType();

    /**
     * 待办事项类型
     * @Title: listTodoItemType
     * @Description:
     * @author zhiwj
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.DictDTO>>
     * @throws
     */
    ServiceResponse<List<DictDTO>> listTodoItemType();

    /**
     * listRequestCode 
     * @Title: listRequestCode
     * @Description: 
     * @author taogs 
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.DictDTO>>
     * @throws 
     */
    ServiceResponse<List<DictDTO>> listRequestCode();
}
