package com.gic.enterprise.service;

import com.gic.api.base.commons.ServiceResponse;

/**
 * 商品资源接口
 * @ClassName:  
 * @Description:  
 * @author guojuxing 
 * @date 2020/11/19 1:47 PM 
 */
public interface EnterpriseGoodsResourceApiService {

    /**
     * 商户是否有商品权限
     * @Title: validGoodsAuth 
     * @Description:
     * @author guojuxing
     * @param enterpriseId 商户ID
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Boolean> 
     */
    ServiceResponse<Boolean> validGoodsAuth(Integer enterpriseId);
}
