package com.gic.enterprise.service;

import com.gic.api.base.commons.ServiceResponse;

/**
 * license查询接口
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/6/22 11:00 AM 
 */
public interface EnterpriseLicensePatternApiService {

    /**
     * 授权资源组是否用户域license足够
     * @param resourceGroupId
     * @param unionEnterpriseId
     * @return
     */
    ServiceResponse<Boolean> validUserLicenseEnough(Integer resourceGroupId, Integer unionEnterpriseId);

}
