package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabAccountStandard;
import org.apache.ibatis.annotations.Param;
/**
 *
 * @ClassName: TabAccountStandardMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:35
 */
public interface TabAccountStandardMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabAccountStandard record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabAccountStandard record);

    /**
     * 根据主键查询
     *
     * @param standardId 主键
     * @return 实体对象
     */
    TabAccountStandard selectByPrimaryKey(Integer standardId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabAccountStandard record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabAccountStandard record);
    /**
     * queryUnitFee
     * @Title: queryUnitFee
     * @Description: 
     * @author taogs 
     * @param enterpriseId
     * @param accountType
     * @return java.lang.Integer
     * @throws 
     */
    Integer queryUnitFee(@Param("enterpriseId") Integer enterpriseId, @Param("accountType") Integer accountType);
}