package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabAppletQrcode;
/**
 *
 * @ClassName: TabAppletQrcodeMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:36
 */
public interface TabAppletQrcodeMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabAppletQrcode record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabAppletQrcode record);

    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 实体对象
     */
    TabAppletQrcode selectByPrimaryKey(Integer id);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabAppletQrcode record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabAppletQrcode record);
}