package com.gic.enterprise.dao.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.gic.enterprise.entity.TabConfigRuleRel;
/**
 *
 * @ClassName: TabConfigRuleRelMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:40
 */
public interface TabConfigRuleRelMapper {

    /**
     * insert
     * @Title: insert
     * @Description:
     * @author taogs
     * @param record
     * @return int
     * @throws
     */

    int insert(TabConfigRuleRel record);
    /**
     * insertSelective
     * @Title: insertSelective
     * @Description:
     * @author taogs
     * @param record
     * @return int
     * @throws
     */

    int insertSelective(TabConfigRuleRel record);

    /**
     * selectByPrimaryKey
     * @Title: selectByPrimaryKey
     * @Description:
     * @author taogs
     * @param ruleRelId
     * @return com.gic.enterprise.entity.TabConfigRuleRel
     * @throws
     */
    TabConfigRuleRel selectByPrimaryKey(Integer ruleRelId);

    /**
     * updateByPrimaryKeySelective
     * @Title: updateByPrimaryKeySelective
     * @Description:
     * @author taogs
     * @param record
     * @return int
     * @throws
     */
    int updateByPrimaryKeySelective(TabConfigRuleRel record);

    /**
     * updateByPrimaryKey
     * @Title: updateByPrimaryKey
     * @Description:
     * @author taogs
     * @param record
     * @return int
     * @throws
     */
    int updateByPrimaryKey(TabConfigRuleRel record);
    /**
     * insertBatch
     * @Title: insertBatch
     * @Description:
     * @author taogs
     * @param list
     * @return void
     * @throws
     */
    void insertBatch(@Param("list") List<TabConfigRuleRel> list);
    /**
     * deleteByEnterpriseRuleId
     * @Title: deleteByEnterpriseRuleId
     * @Description:
     * @author taogs
     * @param enterpriseRuleId
     * @return void
     * @throws
     */
    void deleteByEnterpriseRuleId(Integer enterpriseRuleId);
    /**
     * listRuleRel
     * @Title: listRuleRel
     * @Description:
     * @author taogs
     * @param enterpriseRuleId
     * @return java.util.List<com.gic.enterprise.entity.TabConfigRuleRel>
     * @throws
     */
    List<TabConfigRuleRel> listRuleRel(Integer enterpriseRuleId);
}