package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabGuideType;

import java.util.List;
/**
 *
 * @ClassName: TabGuideTypeMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:43
 */
public interface TabGuideTypeMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabGuideType record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabGuideType record);

    /**
     * 根据主键查询
     *
     * @param guideTypeId 主键
     * @return 实体对象
     */
    TabGuideType selectByPrimaryKey(Integer guideTypeId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabGuideType record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabGuideType record);
    /**
     * listGuideType
     * @Title: listGuideType
     * @Description: 
     * @author taogs 
     * @return java.util.List<com.gic.enterprise.entity.TabGuideType>
     * @throws 
     */
    List<TabGuideType> listGuideType();
}