package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabHelpCenter;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 *
 * @ClassName: TabHelpCenterMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:43
 */
public interface TabHelpCenterMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabHelpCenter record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabHelpCenter record);

    /**
     * 根据主键查询
     *
     * @param helpId 主键
     * @return 实体对象
     */
    TabHelpCenter selectByPrimaryKey(Integer helpId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabHelpCenter record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabHelpCenter record);
    /**
     * pageHelpCenter
     * @Title: pageHelpCenter
     * @Description:
     * @author taogs
     * @param search
     * @param mode
     * @param isShow
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabHelpCenter>
     * @throws
     */
    Page<TabHelpCenter> pageHelpCenter(@Param("search") String search,
                                       @Param("mode") Integer mode,
                                       @Param("isShow") Integer isShow);
    /**
     * list
     * @Title: list
     * @Description:
     * @author taogs
     * @return java.util.List<com.gic.enterprise.entity.TabHelpCenter>
     * @throws
     */
    List<TabHelpCenter> list();
}