package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabRiskMode;
/**
 * 
 * @ClassName: TabRiskModeMapper
 * @Description:  
 * @author taogs
 * @date 2020/9/11 16:21
 */
public interface TabRiskModeMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabRiskMode record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabRiskMode record);

    /**
     * 根据主键查询
     *
     * @param riskModeId 主键
     * @return 实体对象
     */
    TabRiskMode selectByPrimaryKey(Integer riskModeId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabRiskMode record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabRiskMode record);
    /**
     * getLastWaitAuditByApplyUser
     * @Title: getLastWaitAuditByApplyUser
     * @Description: 
     * @author taogs 
 * @param riskMode
     * @return com.gic.enterprise.entity.TabRiskMode
     * @throws 
     */
    TabRiskMode getLastWaitAuditByApplyUser(TabRiskMode riskMode);
}