package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabSysUnionEnterpriseAuthResLog;
import com.gic.enterprise.qo.union.UnionEnterpriseAuthResLogQO;

import java.util.List;

/**
 * 资源操作日志
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/8 9:33 AM 
 */
public interface TabSysUnionEnterpriseAuthResLogMapper {

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysUnionEnterpriseAuthResLog record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysUnionEnterpriseAuthResLog record);

    /**
     * 根据主键查询
     *
     * @param unionEnterpriseAuthResLogId 主键
     * @return 实体对象
     */
    TabSysUnionEnterpriseAuthResLog selectByPrimaryKey(Integer unionEnterpriseAuthResLogId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysUnionEnterpriseAuthResLog record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysUnionEnterpriseAuthResLog record);

    /**
     * 日志列表
     * @param param
     * @return
     */
    List<TabSysUnionEnterpriseAuthResLog> listUnionEnterpriseAuthResLog(UnionEnterpriseAuthResLogQO param);
}