package com.gic.enterprise.entity;

import java.util.Date;

/**
 *
 * @ClassName: TabAppletDecorationConfig
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:36
 */
public class TabAppletDecorationConfig {
    /**
     * 
     */
    private Integer configId;

    /**
     * 
     */
    private Integer enterpriseId;

    /**
     * 会员中心页面卡范围,会员卡ID，英文逗号隔开
     */
    private String memberCardArea;

    /**
     * 会员码，默认与卡显示一样，可多选，英文逗号隔开
     */
    private String memberCode;

    /**
     * 会员特权，默认与卡显示一样，单选
     */
    private String memberPrivilege;

    /**
     * 数据资产范围：积分、卡券包、零售订单、商城订单 json
     */
    private String dataAssetArea;

    /**
     * 开卡认证关联,会员卡ID，英文逗号隔开
     */
    private String openCardAuth;

    /**
     * GPS智能判定卡 1：开启 0 ：关闭
     */
    private Integer gpsDecisionCard;

    /**
     * 小程序的key
     */
    private String appId;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    public Integer getConfigId() {
        return configId;
    }

    public void setConfigId(Integer configId) {
        this.configId = configId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getMemberCardArea() {
        return memberCardArea;
    }

    public void setMemberCardArea(String memberCardArea) {
        this.memberCardArea = memberCardArea;
    }

    public String getDataAssetArea() {
        return dataAssetArea;
    }

    public void setDataAssetArea(String dataAssetArea) {
        this.dataAssetArea = dataAssetArea;
    }

    public String getOpenCardAuth() {
        return openCardAuth;
    }

    public void setOpenCardAuth(String openCardAuth) {
        this.openCardAuth = openCardAuth;
    }

    public Integer getGpsDecisionCard() {
        return gpsDecisionCard;
    }

    public void setGpsDecisionCard(Integer gpsDecisionCard) {
        this.gpsDecisionCard = gpsDecisionCard;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getMemberCode() {
        return memberCode;
    }

    public TabAppletDecorationConfig setMemberCode(String memberCode) {
        this.memberCode = memberCode;
        return this;
    }

    public String getMemberPrivilege() {
        return memberPrivilege;
    }

    public TabAppletDecorationConfig setMemberPrivilege(String memberPrivilege) {
        this.memberPrivilege = memberPrivilege;
        return this;
    }
}