package com.gic.enterprise.entity;

import java.util.Date;

/**
 *
 * @ClassName: TabBillingRechargeRecord
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:38
 */
public class TabBillingRechargeRecord {
    /**
     * 
     */
    private Integer rechargeRecordId;

    /**
     * 
     */
    private Integer enterpriseId;

    /**
     * 流水号
     */
    private String serialNumber;

    /**
     * 第三方的交易单号（微信）
     */
    private String onlineSerialNumber;

    /**
     * 充值金额
     */
    private Double totalFee;

    /**
     * 实付金额
     */
    private Double totalFeePaid;

    /**
     * 支付方式  支付方式 1微信 2支付宝 3.银行对公转账  4余额支付
     */
    private Integer payType;

    /**
     * 支付信息表id
     */
    private Integer payInfoId;

    /**
     * 
     */
    private Integer deleteFlag;

    /**
     * 发起方  1：商户  2运维后台
     */
    private Integer initiator;

    /**
     * 发起人id
     */
    private Integer initiatorUser;

    /**
     * 发起人name
     */
    private String initiatorName;

    /**
     * 0:"待支付",    1:"审核中",    2:"已取消",    3:"审核失败",    4:"已完成"
     */
    private Integer auditStatus;

    /**
     * 验证码
     */
    private String verificationCode;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    /**
     * 扣费时间
     */
    private Date deductionTime;

    public Integer getRechargeRecordId() {
        return rechargeRecordId;
    }

    public void setRechargeRecordId(Integer rechargeRecordId) {
        this.rechargeRecordId = rechargeRecordId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public String getOnlineSerialNumber() {
        return onlineSerialNumber;
    }

    public void setOnlineSerialNumber(String onlineSerialNumber) {
        this.onlineSerialNumber = onlineSerialNumber;
    }

    public Double getTotalFee() {
        return totalFee;
    }

    public void setTotalFee(Double totalFee) {
        this.totalFee = totalFee;
    }

    public Double getTotalFeePaid() {
        return totalFeePaid;
    }

    public void setTotalFeePaid(Double totalFeePaid) {
        this.totalFeePaid = totalFeePaid;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public Integer getPayInfoId() {
        return payInfoId;
    }

    public void setPayInfoId(Integer payInfoId) {
        this.payInfoId = payInfoId;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public Integer getInitiator() {
        return initiator;
    }

    public void setInitiator(Integer initiator) {
        this.initiator = initiator;
    }

    public Integer getInitiatorUser() {
        return initiatorUser;
    }

    public void setInitiatorUser(Integer initiatorUser) {
        this.initiatorUser = initiatorUser;
    }

    public String getInitiatorName() {
        return initiatorName;
    }

    public void setInitiatorName(String initiatorName) {
        this.initiatorName = initiatorName;
    }

    public Integer getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(Integer auditStatus) {
        this.auditStatus = auditStatus;
    }

    public String getVerificationCode() {
        return verificationCode;
    }

    public void setVerificationCode(String verificationCode) {
        this.verificationCode = verificationCode;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getDeductionTime() {
        return deductionTime;
    }

    public void setDeductionTime(Date deductionTime) {
        this.deductionTime = deductionTime;
    }
}