package com.gic.enterprise.entity;

import java.util.Date;

/**
 *
 * @ClassName: TabPstnCallBill
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:45
 */
public class TabPstnCallBill {
    /**
     * 
     */
    private Integer id;

    /**
     * 必选	如：65766
     */
    private String appId;

    /**
     * 必选	回拨请求响应中返回的 callId
     */
    private String callId;

    /**
     * 必选	回拨请求时请求携带的 requestId，原样返回
     */
    private String requestId;

    /**
     * 必选	主叫号码
     */
    private String src;

    /**
     * 必选	被叫号码
     */
    private String dst;

    /**
     * 必选	主叫呼叫开始时间
     */
    private String startSrcCallTime;

    /**
     * 必选	主叫响铃开始时间
     */
    private String startSrcRingTime;

    /**
     * 必选	主叫接听时间
     */
    private String srcAcceptTime;

    /**
     * 必选	被叫呼叫开始时间 start_dst_call_time
     */
    private String startDstCallTime;

    /**
     * 必选	被叫响铃开始时间  start_dst_ring_time
     */
    private String startDstRingTime;

    /**
     * 必选	被叫接听时间 dst_accept_time
     */
    private String dstAcceptTime;

    /**
     * 必选	用户挂机通话结束时间 end_call_time
     */
    private String endCallTime;

    /**
     * 必选	通话最后状态：0：未知状态 1：正常通话2：主叫未接 3：主叫接听，被叫未接 4：主叫未接通 5：被叫未接通
     */
    private Integer callEndStatus;

    /**
     * 必选	通话计费时间(单位秒)
     */
    private Integer duration;

    /**
     * 可选	通话类型(1: VOIP 2:IP TO PSTN 3: PSTN TO PSTN)，如果话单中没有该字段，默认值为回拨 3 (PSTN TO PSTN)
     */
    private Integer callType;

    /**
     * 可选	同回拨请求中的 bizId，如果回拨请求中带 bizId 会有该字段返回
     */
    private String bizId;

    /**
     * 可选	订单 ID，最大长度不超过 64 个字节，对于一些有订单状态 App 相关应用（如达人帮接入 App 应用)，该字段只在帐单中带上，其它回调不附带该字段
     */
    private String orderId;

    /**
     * 
     */
    private String enterpriseId;

    /**
     * 
     */
    private Date createTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getCallId() {
        return callId;
    }

    public void setCallId(String callId) {
        this.callId = callId;
    }

    public String getRequestId() {
        return requestId;
    }

    public void setRequestId(String requestId) {
        this.requestId = requestId;
    }

    public String getSrc() {
        return src;
    }

    public void setSrc(String src) {
        this.src = src;
    }

    public String getDst() {
        return dst;
    }

    public void setDst(String dst) {
        this.dst = dst;
    }

    public String getStartSrcCallTime() {
        return startSrcCallTime;
    }

    public void setStartSrcCallTime(String startSrcCallTime) {
        this.startSrcCallTime = startSrcCallTime;
    }

    public String getStartSrcRingTime() {
        return startSrcRingTime;
    }

    public void setStartSrcRingTime(String startSrcRingTime) {
        this.startSrcRingTime = startSrcRingTime;
    }

    public String getSrcAcceptTime() {
        return srcAcceptTime;
    }

    public void setSrcAcceptTime(String srcAcceptTime) {
        this.srcAcceptTime = srcAcceptTime;
    }

    public String getStartDstCallTime() {
        return startDstCallTime;
    }

    public void setStartDstCallTime(String startDstCallTime) {
        this.startDstCallTime = startDstCallTime;
    }

    public String getStartDstRingTime() {
        return startDstRingTime;
    }

    public void setStartDstRingTime(String startDstRingTime) {
        this.startDstRingTime = startDstRingTime;
    }

    public String getDstAcceptTime() {
        return dstAcceptTime;
    }

    public void setDstAcceptTime(String dstAcceptTime) {
        this.dstAcceptTime = dstAcceptTime;
    }

    public String getEndCallTime() {
        return endCallTime;
    }

    public void setEndCallTime(String endCallTime) {
        this.endCallTime = endCallTime;
    }

    public Integer getCallEndStatus() {
        return callEndStatus;
    }

    public void setCallEndStatus(Integer callEndStatus) {
        this.callEndStatus = callEndStatus;
    }

    public Integer getDuration() {
        return duration;
    }

    public void setDuration(Integer duration) {
        this.duration = duration;
    }

    public Integer getCallType() {
        return callType;
    }

    public void setCallType(Integer callType) {
        this.callType = callType;
    }

    public String getBizId() {
        return bizId;
    }

    public void setBizId(String bizId) {
        this.bizId = bizId;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}