package com.gic.enterprise.entity;

import java.util.Date;

/**
 * 应用策略
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/5 10:01 AM 
 */
public class TabSysUnionEnterpriseAuthApp {
    /**
     * id
     */
    private Integer unionEnterpriseAuthAppId;

    /**
     * 联合商户授权主键ID，关联字段
     */
    private Integer unionEnterpriseAuthId;

    /**
     * 策略名称
     */
    private String strategyName;

    /**
     * 应用ID，多选，英文逗号隔开
     */
    private String appId;

    /**
     * 0:不授予 1:授予
     */
    private Integer appAuthStatus;

    /**
     * 所选资源组中的用户域中的域资源（mcu,fcu,acu,scu），json数组格式
     */
    private String authData;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    /**
     * 状态（0：正常；1：删除）
     */
    private Integer deleteFlag;

    public Integer getUnionEnterpriseAuthAppId() {
        return unionEnterpriseAuthAppId;
    }

    public TabSysUnionEnterpriseAuthApp setUnionEnterpriseAuthAppId(Integer unionEnterpriseAuthAppId) {
        this.unionEnterpriseAuthAppId = unionEnterpriseAuthAppId;
        return this;
    }

    public Integer getUnionEnterpriseAuthId() {
        return unionEnterpriseAuthId;
    }

    public TabSysUnionEnterpriseAuthApp setUnionEnterpriseAuthId(Integer unionEnterpriseAuthId) {
        this.unionEnterpriseAuthId = unionEnterpriseAuthId;
        return this;
    }

    public String getStrategyName() {
        return strategyName;
    }

    public TabSysUnionEnterpriseAuthApp setStrategyName(String strategyName) {
        this.strategyName = strategyName;
        return this;
    }

    public String getAppId() {
        return appId;
    }

    public TabSysUnionEnterpriseAuthApp setAppId(String appId) {
        this.appId = appId;
        return this;
    }

    public Integer getAppAuthStatus() {
        return appAuthStatus;
    }

    public TabSysUnionEnterpriseAuthApp setAppAuthStatus(Integer appAuthStatus) {
        this.appAuthStatus = appAuthStatus;
        return this;
    }

    public String getAuthData() {
        return authData;
    }

    public TabSysUnionEnterpriseAuthApp setAuthData(String authData) {
        this.authData = authData;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public TabSysUnionEnterpriseAuthApp setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public TabSysUnionEnterpriseAuthApp setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public TabSysUnionEnterpriseAuthApp setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }
}