package com.gic.enterprise.entity;

import java.util.Date;
/**
 * 
 * @ClassName: TabWmMemberCardConfig
 * @Description:  
 * @author taogs
 * @date 2020/9/11 16:27
 */
public class TabWmMemberCardConfig {
    /**
     * 
     */
    private Integer memberCardConfigId;

    /**
     * 
     */
    private Integer enterpriseId;

    /**
     * 微盟主账号(平台唯一)，用于关联配置
     */
    private String wmMainAccount;

    /**
     * 开卡方式 1:达摩开卡 2:微盟开卡
     */
    private Integer openCardMode;

    /**
     * GIC会员归属信息同步微盟 1:开启 0:关闭
     */
    private Integer gicMemberToWm;

    /**
     * 微盟会员导购关系同步GIC 1:开启 0:关闭
     */
    private Integer wmMemberClerkToGic;

    /**
     * 微盟会员信息（包括门店关系）同步GIC 1:开启 0:关闭
     */
    private Integer wmMemberToGic;

    /**
     * 1:有效
     */
    private Integer status;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    public Integer getMemberCardConfigId() {
        return memberCardConfigId;
    }

    public TabWmMemberCardConfig setMemberCardConfigId(Integer memberCardConfigId) {
        this.memberCardConfigId = memberCardConfigId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public TabWmMemberCardConfig setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public String getWmMainAccount() {
        return wmMainAccount;
    }

    public TabWmMemberCardConfig setWmMainAccount(String wmMainAccount) {
        this.wmMainAccount = wmMainAccount;
        return this;
    }

    public Integer getOpenCardMode() {
        return openCardMode;
    }

    public TabWmMemberCardConfig setOpenCardMode(Integer openCardMode) {
        this.openCardMode = openCardMode;
        return this;
    }

    public Integer getGicMemberToWm() {
        return gicMemberToWm;
    }

    public TabWmMemberCardConfig setGicMemberToWm(Integer gicMemberToWm) {
        this.gicMemberToWm = gicMemberToWm;
        return this;
    }

    public Integer getWmMemberClerkToGic() {
        return wmMemberClerkToGic;
    }

    public TabWmMemberCardConfig setWmMemberClerkToGic(Integer wmMemberClerkToGic) {
        this.wmMemberClerkToGic = wmMemberClerkToGic;
        return this;
    }

    public Integer getWmMemberToGic() {
        return wmMemberToGic;
    }

    public TabWmMemberCardConfig setWmMemberToGic(Integer wmMemberToGic) {
        this.wmMemberToGic = wmMemberToGic;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public TabWmMemberCardConfig setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public TabWmMemberCardConfig setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public TabWmMemberCardConfig setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }
}