package com.gic.enterprise.entity;

import java.util.Date;

/**
 * 
 * @ClassName: TabWmOrderConfig
 * @Description:  
 * @author taogs
 * @date 2020/9/11 16:27
 */
public class TabWmOrderConfig {
    /**
     * 
     */
    private Integer orderConfigId;

    /**
     * 
     */
    private Integer enterpriseId;

    /**
     * 微盟主账号(平台唯一)，用于关联配置
     */
    private String wmMainAccount;

    /**
     * 微盟订单是否进入了线下订单系统（例如ERP） 1:是 0:不是
     */
    private Integer wmOrderToOffline;

    /**
     * 在线下订单系统是否可以区分出微盟订单 1:是 0:否
     */
    private Integer offlineDifferentiateWm;

    /**
     * 订单获取方案 1:从微盟获取订单 2:从ERP获取订单
     */
    private Integer orderFromMode;

    /**
     * 1:有效
     */
    private Integer status;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    public Integer getOrderConfigId() {
        return orderConfigId;
    }

    public TabWmOrderConfig setOrderConfigId(Integer orderConfigId) {
        this.orderConfigId = orderConfigId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public TabWmOrderConfig setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public String getWmMainAccount() {
        return wmMainAccount;
    }

    public TabWmOrderConfig setWmMainAccount(String wmMainAccount) {
        this.wmMainAccount = wmMainAccount;
        return this;
    }

    public Integer getWmOrderToOffline() {
        return wmOrderToOffline;
    }

    public TabWmOrderConfig setWmOrderToOffline(Integer wmOrderToOffline) {
        this.wmOrderToOffline = wmOrderToOffline;
        return this;
    }

    public Integer getOfflineDifferentiateWm() {
        return offlineDifferentiateWm;
    }

    public TabWmOrderConfig setOfflineDifferentiateWm(Integer offlineDifferentiateWm) {
        this.offlineDifferentiateWm = offlineDifferentiateWm;
        return this;
    }

    public Integer getOrderFromMode() {
        return orderFromMode;
    }

    public TabWmOrderConfig setOrderFromMode(Integer orderFromMode) {
        this.orderFromMode = orderFromMode;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public TabWmOrderConfig setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public TabWmOrderConfig setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public TabWmOrderConfig setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }
}