package com.gic.enterprise.service;

import com.gic.enterprise.dto.AppletDecorationConfigDTO;
import com.gic.enterprise.entity.TabAppletDecorationConfig;

/**
 * 小程序装修配置
 * @ClassName: AppletDecorationConfigService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/12/31 9:37 AM 
 */
public interface AppletDecorationConfigService {

    /**
     * 新增
     * @Title: save 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  int 
      */
    int save(AppletDecorationConfigDTO dto);


    /**
     * edit
     * @Title: edit
     * @Description: 
     * @author taogs 
 * @param dto
     * @return void
     * @throws 
     */
    void edit(AppletDecorationConfigDTO dto);

    /**
     * 查询详情
     * @Title: getById 
     * @Description:
      * @author guojuxing
     * @param configId 
     * @return  com.gic.enterprise.entity.TabAppletDecorationConfig 
      */
    TabAppletDecorationConfig getById(Integer configId);

    /**
     * 查询（一个小程序只有一个配置，同一个商户下）
     * @Title: getByAppId 
     * @Description:
      * @author guojuxing
     * @param appId 小程序ID
     * @param enterpriseId  商户ID
     * @return  com.gic.enterprise.entity.TabAppletDecorationConfig 
      */
    TabAppletDecorationConfig getByAppId(String appId, Integer enterpriseId);
}
