package com.gic.enterprise.service;

import com.gic.enterprise.dto.BlackListDTO;
import com.gic.enterprise.entity.TabBlackList;
import com.gic.enterprise.entity.TabEnterprise;
import com.github.pagehelper.Page;

import java.util.List;

/**
 * 达摩情报销商户黑名单
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/5/18 4:02 PM 
 */
public interface BlackListService {
    /**
     * 新增黑名单
     * @param enterprise
     */
    void saveBlackList(TabEnterprise enterprise);

    /**
     * 移除黑名单
     * @param blackListId
     */
    void deleteBlackList(Integer blackListId);

    /**
     * 分页查询
     * @param search
     * @param pageNum
     * @param pageSize
     * @return
     */
    Page<TabBlackList> pageBlackList(String search, Integer pageNum, Integer pageSize);

    /**
     * 黑名单商户列表
     * @return
     */
    List<TabBlackList> getBlankListEnterprise();
}
