package com.gic.enterprise.service;

import com.gic.enterprise.entity.TabCustomStore;
import com.github.pagehelper.Page;
/**
 *
 * @ClassName: CustomStoreService
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:29
 */
public interface CustomStoreService {
    /**
     * saveCustomStore
     * @Title: saveCustomStore
     * @Description:
     * @author taogs
     * @param tabCustomStore
     * @return int
     * @throws
     */
    int saveCustomStore(TabCustomStore tabCustomStore);
    /**
     * getCustomStore
     * @Title: getCustomStore
     * @Description:
     * @author taogs
     * @param customStoreId
     * @return com.gic.enterprise.entity.TabCustomStore
     * @throws
     */
    TabCustomStore getCustomStore(Integer customStoreId);
    /**
     * pageCustomStore
     * @Title: pageCustomStore
     * @Description:
     * @author taogs
     * @param search
     * @param enterpriseId
     * @param appid
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabCustomStore>
     * @throws
     */
    Page<TabCustomStore> pageCustomStore(String search, Integer enterpriseId, String appid);
    /**
     * deleteCustomStore
     * @Title: deleteCustomStore
     * @Description:
     * @author taogs
     * @param customStoreId
     * @return int
     * @throws
     */
    int deleteCustomStore(Integer customStoreId);
    /**
     * closeCustomStore
     * @Title: closeCustomStore
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param appid
     * @return int
     * @throws
     */
    int closeCustomStore(Integer enterpriseId, String appid);
    /**
     * openCustomStore
     * @Title: openCustomStore
     * @Description:
     * @author taogs
     * @param customStoreId
     * @return int
     * @throws
     */
    int openCustomStore(Integer customStoreId);
    /**
     * closeCustomStore
     * @Title: closeCustomStore
     * @Description:
     * @author taogs
     * @param customStoreId
     * @return int
     * @throws
     */
    int closeCustomStore(Integer customStoreId);
    /**
     * getCustomStore
     * @Title: getCustomStore
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param appid
     * @return com.gic.enterprise.entity.TabCustomStore
     * @throws
     */
    TabCustomStore getCustomStore(Integer enterpriseId, String appid);
}
