package com.gic.enterprise.service;

import com.gic.enterprise.dto.CustomUdeskFieldDTO;
import com.gic.enterprise.entity.TabCustomUdeskField;

import java.util.List;
/**
 *
 * @ClassName: CustomUdeskFieldService
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:29
 */
public interface CustomUdeskFieldService {
    /**
     * listEnterpriseField
     * @Title: listEnterpriseField
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param appId
     * @return java.util.List<com.gic.enterprise.entity.TabCustomUdeskField>
     * @throws
     */
    List<TabCustomUdeskField> listEnterpriseField(Integer enterpriseId, String appId);
    /**
     * listEnableEnterpriseField
     * @Title: listEnableEnterpriseField
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param appId
     * @return java.util.List<com.gic.enterprise.entity.TabCustomUdeskField>
     * @throws
     */
    List<TabCustomUdeskField> listEnableEnterpriseField(Integer enterpriseId, String appId);
    /**
     * saveEnterpriseField
     * @Title: saveEnterpriseField
     * @Description:
     * @author taogs
     * @param field
     * @return int
     * @throws
     */
    int saveEnterpriseField(TabCustomUdeskField field);
    /**
     * editEnterpriseField
     * @Title: editEnterpriseField
     * @Description:
     * @author taogs
     * @param dto
     * @return int
     * @throws
     */
    int editEnterpriseField(CustomUdeskFieldDTO dto);
    /**
     * getDetail
     * @Title: getDetail
     * @Description:
     * @author taogs
     * @param fieldId
     * @return com.gic.enterprise.entity.TabCustomUdeskField
     * @throws
     */
    TabCustomUdeskField getDetail(Integer fieldId);
    /**
     * deleteFiled
     * @Title: deleteFiled
     * @Description:
     * @author taogs
     * @param fieldId
     * @return int
     * @throws
     */
    int deleteFiled(Integer fieldId);
    /**
     * updateStatus
     * @Title: updateStatus
     * @Description:
     * @author taogs
     * @param id
     * @param status
     * @return int
     * @throws
     */
    int updateStatus(Integer id, Integer status);
}
