package com.gic.enterprise.service;

import com.gic.enterprise.dto.data.DataActuallyPaidConfigDTO;
import com.gic.enterprise.entity.TabDataActuallyPaidConfig;

import java.util.List;
/**
 *
 * @ClassName: DataActuallyPaidConfigService
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:29
 */
public interface DataActuallyPaidConfigService {

    /**
     * 新增实付配置
     * @Title: saveActuallyPaidConfig 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  java.lang.Integer 
     */
    Integer saveActuallyPaidConfig(DataActuallyPaidConfigDTO dto);

    /**
     * saveActuallyPaidConfig 
     * @Title: saveActuallyPaidConfig
     * @Description: 
     * @author taogs 
     * @param dto
     * @return java.lang.Integer
     * @throws 
     */
    Integer saveActuallyPaidConfig(TabDataActuallyPaidConfig dto);

    /**
     * listByEnterpriseId 
     * @Title: listByEnterpriseId
     * @Description: 
     * @author taogs 
     * @param enterpriseId
     * @return java.util.List<com.gic.enterprise.entity.TabDataActuallyPaidConfig>
     * @throws 
     */
    List<TabDataActuallyPaidConfig> listByEnterpriseId(Integer enterpriseId);

    /**
     * 逻辑删除
     * @Title: delete 
     * @Description:
     * @author guojuxing
     * @param enterpriseId
     * @param classify count
     * @return  int 
     */
    int delete(Integer enterpriseId, Integer classify);

   /**
    * get
    * @Title: get
    * @Description: 
    * @author taogs 
 * @param enterpriseId
 * @param classify
    * @return com.gic.enterprise.entity.TabDataActuallyPaidConfig
    * @throws 
    */
    TabDataActuallyPaidConfig get(Integer enterpriseId, Integer classify);
}
