package com.gic.enterprise.service;

import com.gic.enterprise.dto.data.DataMemberConsumeConfigDTO;
import com.gic.enterprise.entity.TabDataMemberConsumeConfig;
/**
 *
 * @ClassName: DataMemberConsumeConfigService
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:30
 */
public interface DataMemberConsumeConfigService {
    /**
     * 新增会员消费配置
     * @param dto
     * @return
     */
    Integer saveMemberConsumeConfig(DataMemberConsumeConfigDTO dto);

    /**
     * 更新配置信息
     * @Title: editMemberConsumeConfig 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  void 
     */
    void editMemberConsumeConfig(DataMemberConsumeConfigDTO dto);

    /**
     * getByEnterpriseId
     * @Title: getByEnterpriseId
     * @Description: 
     * @author taogs 
 * @param enterpriseId
     * @return com.gic.enterprise.entity.TabDataMemberConsumeConfig
     * @throws 
     */
    TabDataMemberConsumeConfig getByEnterpriseId(Integer enterpriseId);
}
