package com.gic.enterprise.service;

import com.gic.enterprise.dto.data.DataPerformanceConfigDTO;
import com.gic.enterprise.entity.TabDataPerformanceConfig;
/**
 *
 * @ClassName: DataPerformanceConfigService
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:30
 */
public interface DataPerformanceConfigService {

    /**
     * 新增单效取值配置
     * @Title: savePerformanceConfig 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  void 
     */
    void savePerformanceConfig(DataPerformanceConfigDTO dto);

    /**
     * editPerformanceConfig
     * @Title: editPerformanceConfig
     * @Description: 
     * @author taogs 
 * @param dto
     * @return void
     * @throws 
     */
    void editPerformanceConfig(DataPerformanceConfigDTO dto);

    /**
     * 根据商户ID查询配置
     * @Title: getByEnterpriseId 
     * @Description:
     * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.enterprise.entity.TabDataPerformanceConfig 
     */
    TabDataPerformanceConfig getByEnterpriseId(Integer enterpriseId);
}
