package com.gic.enterprise.service;

import com.gic.enterprise.entity.TabHelpCenter;
import com.github.pagehelper.Page;

import java.util.List;
/**
 *
 * @ClassName: HelpCenterService
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:32
 */
public interface HelpCenterService {
    /**
     * pageHelpCenter
     * @Title: pageHelpCenter
     * @Description:
     * @author taogs
     * @param search
     * @param mode
     * @param isShow
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabHelpCenter>
     * @throws
     */
    Page<TabHelpCenter> pageHelpCenter(String search, Integer mode, Integer isShow);
    /**
     * saveHelpCenter
     * @Title: saveHelpCenter
     * @Description:
     * @author taogs
     * @param hellpCenter
     * @return java.lang.Integer
     * @throws
     */
    Integer saveHelpCenter(TabHelpCenter hellpCenter);
    /**
     * delHelpCenter
     * @Title: delHelpCenter
     * @Description:
     * @author taogs
     * @param helpId
     * @return java.lang.Integer
     * @throws
     */
    Integer delHelpCenter(Integer helpId);
    /**
     * getHelpCenterById
     * @Title: getHelpCenterById
     * @Description:
     * @author taogs
     * @param helpId
     * @return com.gic.enterprise.entity.TabHelpCenter
     * @throws
     */
    TabHelpCenter getHelpCenterById(Integer helpId);
    /**
     * listHelpCenter
     * @Title: listHelpCenter
     * @Description:
     * @author taogs
     * @return java.util.List<com.gic.enterprise.entity.TabHelpCenter>
     * @throws
     */
    List<TabHelpCenter> listHelpCenter();
    /**
     * countHelpCenterByIsShow
     * @Title: countHelpCenterByIsShow
     * @Description:
     * @author taogs
     * @return java.lang.Integer
     * @throws
     */
    Integer countHelpCenterByIsShow();
}
