package com.gic.enterprise.service;

import com.gic.enterprise.entity.TabSysUnionEnterpriseAuthResLog;
import com.gic.enterprise.qo.union.UnionEnterpriseAuthResLogQO;
import com.github.pagehelper.Page;

import java.util.Date;

/**
 * 资源授权操作日志
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/7 7:27 PM 
 */
public interface UnionEnterpriseAuthResLogService {
    /**
     * 新增操作日志
     * @param unionEnterpriseAuthId
     * @param resourceType UnionEnterpriseAuthResTypeEnum
     * @param logContent 日志内容 UnionEnterpriseAuthResOperateEnum
     * @return
     */
    int saveUnionEnterpriseAuthResLog(Integer unionEnterpriseAuthId, Integer resourceType, String logContent);

    /**
     * 新增操作日志
     * @param unionEnterpriseAuthId
     * @param resourceType
     * @param logContent UnionEnterpriseAuthResOperateEnum
     * @param dealStartTime 处理开始时间
     * @param dealEndTime 处理结束时间
     * @return
     */
    int saveUnionEnterpriseAuthResLog(Integer unionEnterpriseAuthId, Integer resourceType, String logContent, Date dealStartTime, Date dealEndTime);

    /**
     * 操作日志查询
     * @param param
     * @return
     */
    Page<TabSysUnionEnterpriseAuthResLog> listUnionEnterpriseAuthResLog(UnionEnterpriseAuthResLogQO param);
}
