package com.gic.enterprise.service;

import com.gic.enterprise.entity.TabWmStoreSyncLog;
import com.github.pagehelper.Page;

import java.util.List;

/**
 * 
 * @ClassName: WmStoreSyncLogService
 * @Description:  
 * @author taogs
 * @date 2020/9/16 16:11
 */
public interface WmStoreSyncLogService {

    /**
     * saveWmStoreSyncLog
     * @Title: saveWmStoreSyncLog
     * @Description:
     * @author taogs
     * @param storeId
     * @param wmMallStoreId
     * @param type
     * @param enterpriseId
     * @param storeCode
     * @param storeName
     * @return void
     * @throws
     */
    void saveWmStoreSyncLog(Integer storeId, Integer wmMallStoreId,
                            Integer type, Integer enterpriseId, String storeCode, String storeName);
    /**
     * pageWmStoreSyncLog
     * @Title: pageWmStoreSyncLog
     * @Description:
     * @author taogs
     * @param search
     * @param type
     * @param wmMallStoreId
     * @param pageNum
     * @param pageSize
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabWmStoreSyncLog>
     * @throws
     */
    Page<TabWmStoreSyncLog> pageWmStoreSyncLog(String search, Integer type, Integer wmMallStoreId,
                                               Integer pageNum, Integer pageSize);
    /**
     * getStoreList
     * @Title: getStoreList
     * @Description:
     * @author taogs
     * @param type
     * @param wmMallStoreId
     * @return java.util.List<com.gic.enterprise.entity.TabWmStoreSyncLog>
     * @throws
     */
    List<TabWmStoreSyncLog> getStoreList(List<Integer> type, Integer wmMallStoreId);
    /**
     * deleteLogic
     * @Title: deleteLogic
     * @Description:
     * @author taogs
     * @param storeId
     * @param wmMallStoreId
     * @return int
     * @throws
     */
    int deleteLogic(Integer storeId, Integer wmMallStoreId);
    /**
     * listByStoreId
     * @Title: listByStoreId
     * @Description:
     * @author taogs
     * @param storeId
     * @param enterpriseId
     * @return java.util.List<com.gic.enterprise.entity.TabWmStoreSyncLog>
     * @throws
     */
    List<TabWmStoreSyncLog> listByStoreId(Integer storeId, Integer enterpriseId);
    /**
     * listByStoreId
     * @Title: listByStoreId
     * @Description:
     * @author taogs
     * @param storeIdList
     * @param wmMallStoreId
     * @return java.util.List<com.gic.enterprise.entity.TabWmStoreSyncLog>
     * @throws
     */
    List<TabWmStoreSyncLog> listByStoreId(List<Integer> storeIdList, Integer wmMallStoreId);
}
