package com.gic.enterprise.service.impl;

import com.gic.enterprise.dao.mapper.TabAppletQrcodeMapper;
import com.gic.enterprise.entity.TabAppletQrcode;
import com.gic.enterprise.service.AppletQrcodeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
/**
 *
 * @ClassName: AppletQrcodeServiceImpl
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:25
 */
@Service("appletQrcodeService")
public class AppletQrcodeServiceImpl implements AppletQrcodeService {
    @Autowired
    private TabAppletQrcodeMapper tabAppletQrcodeMapper;
    @Override
    public int saveQrcode(TabAppletQrcode tabAppletQrcode) {
        tabAppletQrcode.setCreateTime(new Date());
        this.tabAppletQrcodeMapper.insertSelective(tabAppletQrcode);
        return tabAppletQrcode.getId();
    }

    @Override
    public TabAppletQrcode getQrcode(Integer id) {
        return this.tabAppletQrcodeMapper.selectByPrimaryKey(id);
    }
}
