package com.gic.enterprise.service.impl;

import com.gic.enterprise.dao.mapper.TabAuditProcessMapper;
import com.gic.enterprise.entity.TabAuditProcess;
import com.gic.enterprise.service.AuditProcessService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-10-25 15:29
 */
@Service
public class AuditProcessServiceImpl implements AuditProcessService {

    @Autowired
    private TabAuditProcessMapper tabAuditProcessMapper;

    @Override
    public int save(TabAuditProcess auditProcess) {
        auditProcess.setDeleteFlag(0);
        auditProcess.setCreateTime(new Date());
        return tabAuditProcessMapper.insertSelective(auditProcess);
    }

    @Override
    public TabAuditProcess getOtherTypeProcess(Integer enterpriseId, Integer auditLogId, Integer auditorType) {
        return tabAuditProcessMapper.getOtherTypeProcess(enterpriseId, auditLogId, auditorType);
    }
}
