package com.gic.enterprise.service.impl;

import com.gic.enterprise.dao.mapper.TabBillingEnterpriseSmsPackageMapper;
import com.gic.enterprise.entity.TabBillingEnterpriseSmsPackage;
import com.gic.enterprise.service.PackageService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
/**
 *
 * @ClassName: PackageServiceImpl
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:33
 */
@Service("packageService")
public class PackageServiceImpl implements PackageService {
    @Autowired
    private TabBillingEnterpriseSmsPackageMapper tabBillingEnterpriseSmsPackageMapper;

    @Override
    public Page<TabBillingEnterpriseSmsPackage> pageEnterpriseSmsPackage(Integer enterpriseId, String search,
                                                                         Integer status, String startDate, String endDate,
                                                                         int pageNum, int pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        if (status != null) {
            List<TabBillingEnterpriseSmsPackage> list = this.tabBillingEnterpriseSmsPackageMapper.listEnterpriseSmsPackage(enterpriseId, status, search, startDate, endDate);
            return (Page<TabBillingEnterpriseSmsPackage>) list;
        } else {
            List<TabBillingEnterpriseSmsPackage> list = this.tabBillingEnterpriseSmsPackageMapper
                    .listEnterpriseSmsPackageNoStatus(enterpriseId, status, search, startDate, endDate, pageNum, pageSize, pageNum * pageSize);
            return (Page<TabBillingEnterpriseSmsPackage>) list;
        }

    }
}
