package com.gic.enterprise.service.outer.impl.pay;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.ApprovalCallBackDTO;
import com.gic.enterprise.dto.BillingPayInfoDTO;
import com.gic.enterprise.dto.OutPayDTO;
import com.gic.enterprise.error.ErrorCode;
import org.springframework.stereotype.Component;


/**
 * 
 * @ClassName: AliPayStrategy
 * @Description:  
 * @author zhiwj
 * @date 2020/9/11 15:24
 */
@Component("2")
public class AliPayStrategy implements PayStrategy {


    @Override
    public ServiceResponse<BillingPayInfoDTO> savePrePayInfo(OutPayDTO outPayDTO) {
        return ServiceResponse.failure(ErrorCode.UNKNOWN_ERROR.getCode(), ErrorCode.UNKNOWN_ERROR.getMsg());
    }

    @Override
    public ServiceResponse<BillingPayInfoDTO> confirmPay(OutPayDTO outPayDTO) {
        return ServiceResponse.failure(ErrorCode.UNKNOWN_ERROR.getCode(), ErrorCode.UNKNOWN_ERROR.getMsg());
    }

    @Override
    public ServiceResponse<Boolean> queryAndUpdatePayStatus(Integer enterpriseId, String serialNumber) {
        return ServiceResponse.failure(ErrorCode.UNKNOWN_ERROR.getCode(), ErrorCode.UNKNOWN_ERROR.getMsg());
    }

    @Override
    public ServiceResponse<Void> callBack(ApprovalCallBackDTO resData) {

        return ServiceResponse.failure(ErrorCode.UNKNOWN_ERROR.getCode(), ErrorCode.UNKNOWN_ERROR.getMsg());
    }
}
