package com.gic.enterprise.service.outer.impl.paycomplete;

import com.gic.enterprise.dto.ApprovalCallBackDTO;
import com.gic.enterprise.entity.TabBillingPayInfo;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2020-11-24 15:39
 */
public interface PayCompleteHandler {

    /**
     * 购买套餐包或余额充值以后的统一处理
     * @Title: payComplete
     * @Description:
     * @author zhiwj
     * @param callBackDTO
     * @param billingPayInfo
     * @return void
     * @throws
     */
    void payComplete(ApprovalCallBackDTO callBackDTO, TabBillingPayInfo billingPayInfo);

}
