package com.gic.enterprise.utils.chart;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.gic.enterprise.dto.HomeStatisticsDTO;
import com.gic.enterprise.qo.HomeStatisticsQO;
import com.gic.enterprise.service.BillingAccountBalanceRecordService;
/**
 * 余额支付消费明细
 * @ClassName: BillingAccountBalanceRecord 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/23 2:19 PM 
 */
@Component("billingAccountBalanceRecord")
public class BillingAccountBalanceRecord implements IFeeChart{
    @Autowired
    private BillingAccountBalanceRecordService billingAccountBalanceRecordService;

    @Override
    public List<HomeStatisticsDTO> listHomeStatistics(HomeStatisticsQO params) {
        return this.billingAccountBalanceRecordService.listHomeStatistics(params);
    }

    @Override
    public double getFee(Integer enterpriseId, Integer dateType) {
        return this.billingAccountBalanceRecordService.getFee(enterpriseId, dateType);
    }
}
