package com.gic.enterprise.utils.chart;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.gic.enterprise.dto.HomeStatisticsDTO;
import com.gic.enterprise.qo.HomeStatisticsQO;
import com.gic.enterprise.service.BillingDoubleCallingRecordService;
/**
 * 双向呼叫消费明细
 * @ClassName: BillingDoubleCallingRecord 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/23 2:20 PM 
 */
@Component("billingDoubleCallingRecord")
public class BillingDoubleCallingRecord implements IFeeChart{
    @Autowired
    private BillingDoubleCallingRecordService billingDoubleCallingRecordService;
    @Override
    public List<HomeStatisticsDTO> listHomeStatistics(HomeStatisticsQO params) {
        return this.billingDoubleCallingRecordService.listHomeStatistics(params);
    }

    @Override
    public double getFee(Integer enterpriseId, Integer dateType) {
        return this.billingDoubleCallingRecordService.getFee(enterpriseId, dateType);
    }
}
