package com.gic.enterprise.utils.chart;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.gic.enterprise.dto.HomeStatisticsDTO;
import com.gic.enterprise.qo.HomeStatisticsQO;
import com.gic.enterprise.service.BillingInternationalSmsRecordService;

/**
 * 海外短信消费明细
 * @ClassName: BillingAccountBalanceRecord 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/23 2:19 PM 
 */
@Component("billingInternationSmsRecord")
public class BillingInternationSmsRecord implements IFeeChart{
    @Autowired
    private BillingInternationalSmsRecordService billingInternationalSmsRecordService;
    @Override
    public List<HomeStatisticsDTO> listHomeStatistics(HomeStatisticsQO params) {
        return this.billingInternationalSmsRecordService.listHomeStatistics(params);
    }

    @Override
    public double getFee(Integer enterpriseId, Integer dateType) {
        return this.billingInternationalSmsRecordService.getFee(enterpriseId, dateType);
    }
}
