package com.gic.enterprise.utils.chart;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.gic.enterprise.dto.HomeStatisticsDTO;
import com.gic.enterprise.qo.HomeStatisticsQO;
import com.gic.enterprise.service.BillingVoiceCodeRecordService;
/**
 * 语音验证码消费明细
 * @ClassName: BillingVoiceCodeRecord 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/23 2:21 PM 
 */
@Component("billingVoiceCodeRecord")
public class BillingVoiceCodeRecord implements IFeeChart{
    @Autowired
    private BillingVoiceCodeRecordService billingVoiceCodeRecordService;
    @Override
    public List<HomeStatisticsDTO> listHomeStatistics(HomeStatisticsQO params) {
        return this.billingVoiceCodeRecordService.listHomeStatistics(params);
    }

    @Override
    public double getFee(Integer enterpriseId, Integer dateType) {
        return this.billingVoiceCodeRecordService.getFee(enterpriseId, dateType);
    }
}
