package com.gic.enterprise.web.utils;

import java.util.Calendar;
import java.util.Date;

/**
 * 验证码过期时间工具
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/2 10:39 AM 
 */
public class AuthCodeExpireTimeUtils {

    /**
     * 设置过期时间
     * @param minute 分钟
     * @return
     */
    public static Date setAuthCodeExpireTime(Integer minute) {
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(new Date());
        calendar.add(Calendar.MINUTE, minute);
        return calendar.getTime();
    }
}
