package com.gic.enterprise.web.utils;

import com.ctrip.framework.apollo.Config;
import com.ctrip.framework.apollo.ConfigService;
/**
 *
 * @ClassName: DomainUtils
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:31
 */
public class DomainUtils {

    /**
     * 获取当前环境的域名
     * @Title: getCurrentDomain 
     * @Description:
     * @author guojuxing  
     * @return  java.lang.String 
     */
    public static String getCurrentDomain() {
        Config config = ConfigService.getConfig("COMMON.4.0-gic-properties");
        String url = config.getProperty("service_host", "").replace("/gic", "");
        return url;
    }
}
