package com.gic.enterprise.web.utils.union;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

import com.gic.enterprise.web.vo.union.ServiceConfigSimpleOutputVO;
import com.gic.platform.member.constant.enums.CuTypeEnum;

/**
 * 服务号
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/7 1:44 PM 
 */
public class ServiceAreaData implements IUserAreaData<ServiceConfigSimpleOutputVO>{
    @Override
    public List<ServiceConfigSimpleOutputVO> getUserArea(Map<Integer, Object> areaMap, Map<String, List<String>> authDataArr) {
        List<ServiceConfigSimpleOutputVO> areaVoList = new ArrayList<>();
        List<ServiceConfigSimpleOutputVO> area = (List<ServiceConfigSimpleOutputVO>) areaMap.get(CuTypeEnum.SCU.getType());
        List<String> areaArr = authDataArr.get(String.valueOf(CuTypeEnum.SCU.getType()));
        if (areaArr != null) {
            Map<Long, ServiceConfigSimpleOutputVO> serviceMap = area.stream().collect(Collectors.toMap(ServiceConfigSimpleOutputVO::getServiceConfigId, e -> e));
            if (area != null) {
                for (String cu : areaArr) {
                    if (serviceMap.containsKey(Long.valueOf(cu))) {
                        areaVoList.add(serviceMap.get(Long.valueOf(cu)));
                    }
                }
            }
        }
        return areaVoList;
    }
}
