package com.gic.enterprise.web.vo;

import com.gic.enterprise.constant.applet.AppletAppStatusEnum;

import java.io.Serializable;
import java.util.Date;

/**
 * 小程序API列表
 * @ClassName: AppletAppVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/12/3 2:05 PM 
 */
public class AppletAppVO implements Serializable{
    private static final long serialVersionUID = 3305444917116241544L;

    /**
     * 小程序api主键
     */
    private Integer appletAppId;

    /**
     * api名称
     */
    private String appName;

    /**
     * appId
     */
    private String appId;

    /**
     * 状态（0：删除 1：绑定 2：解绑）
     */
    private Integer appStatus;

    /**
     * 创建时间
     */
    private Date createTime;

    private String appStatusStr;

    public Integer getAppletAppId() {
        return appletAppId;
    }

    public void setAppletAppId(Integer appletAppId) {
        this.appletAppId = appletAppId;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public Integer getAppStatus() {
        return appStatus;
    }

    public void setAppStatus(Integer appStatus) {
        this.appStatus = appStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getAppStatusStr() {
        return AppletAppStatusEnum.getMessageByCode(appStatus);
    }

    public void setAppStatusStr(String appStatusStr) {
        this.appStatusStr = appStatusStr;
    }

    @Override
    public String toString() {
        return "AppletAppVO{" +
                "appletAppId=" + appletAppId +
                ", appName='" + appName + '\'' +
                ", appId='" + appId + '\'' +
                ", appStatus=" + appStatus +
                ", createTime=" + createTime +
                ", appStatusStr='" + appStatusStr + '\'' +
                '}';
    }
}
