package com.gic.enterprise.web.vo;

import java.io.Serializable;
import java.util.Date;

/**
 * 日志管理-下载日志
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/5/17 3:48 PM 
 */
public class DownloadLogVO implements Serializable{
    private static final long serialVersionUID = -4570746329401683370L;

    /**
     *
     */
    private Integer downloadLogId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 报告id
     */
    private String reportId;

    /**
     * 下载中心id
     */
    private Integer downloadReportId;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 数据内容
     */
    private String dataContent;

    /**
     * 报告类型  1：完整数据， 2：脱敏数据， 3：二维码
     */
    private Integer dataType;

    /**
     * 数据总量
     */
    private Integer dataCount;

    /**
     * 下载用户id
     */
    private Integer downloadUserId;

    /**
     * 下载人员名
     */
    private String downloadUserName;

    /**
     * 下载时间
     */
    private Date downloadTime;

    /**
     *
     */
    private String projectCode;

    /**
     *
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public Integer getDownloadLogId() {
        return downloadLogId;
    }

    public DownloadLogVO setDownloadLogId(Integer downloadLogId) {
        this.downloadLogId = downloadLogId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public DownloadLogVO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public String getReportId() {
        return reportId;
    }

    public DownloadLogVO setReportId(String reportId) {
        this.reportId = reportId;
        return this;
    }

    public Integer getDownloadReportId() {
        return downloadReportId;
    }

    public DownloadLogVO setDownloadReportId(Integer downloadReportId) {
        this.downloadReportId = downloadReportId;
        return this;
    }

    public String getFileName() {
        return fileName;
    }

    public DownloadLogVO setFileName(String fileName) {
        this.fileName = fileName;
        return this;
    }

    public String getDataContent() {
        return dataContent;
    }

    public DownloadLogVO setDataContent(String dataContent) {
        this.dataContent = dataContent;
        return this;
    }

    public Integer getDataType() {
        if (dataType != null && dataType == 3) {
            //如果是二维码，则变成完整数据类型
           return 1;
        }
        return dataType;
    }

    public DownloadLogVO setDataType(Integer dataType) {
        this.dataType = dataType;
        return this;
    }

    public Integer getDataCount() {
        return dataCount;
    }

    public DownloadLogVO setDataCount(Integer dataCount) {
        this.dataCount = dataCount;
        return this;
    }

    public Integer getDownloadUserId() {
        return downloadUserId;
    }

    public DownloadLogVO setDownloadUserId(Integer downloadUserId) {
        this.downloadUserId = downloadUserId;
        return this;
    }

    public String getDownloadUserName() {
        return downloadUserName;
    }

    public DownloadLogVO setDownloadUserName(String downloadUserName) {
        this.downloadUserName = downloadUserName;
        return this;
    }

    public Date getDownloadTime() {
        return downloadTime;
    }

    public DownloadLogVO setDownloadTime(Date downloadTime) {
        this.downloadTime = downloadTime;
        return this;
    }

    public String getProjectCode() {
        return projectCode;
    }

    public DownloadLogVO setProjectCode(String projectCode) {
        this.projectCode = projectCode;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public DownloadLogVO setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public DownloadLogVO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public DownloadLogVO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    @Override
    public String toString() {
        return "DownloadLogVO{" +
                "downloadLogId=" + downloadLogId +
                ", enterpriseId=" + enterpriseId +
                ", reportId='" + reportId + '\'' +
                ", downloadReportId=" + downloadReportId +
                ", fileName='" + fileName + '\'' +
                ", dataContent='" + dataContent + '\'' +
                ", dataType=" + dataType +
                ", dataCount=" + dataCount +
                ", downloadUserId=" + downloadUserId +
                ", downloadUserName='" + downloadUserName + '\'' +
                ", downloadTime=" + downloadTime +
                ", projectCode='" + projectCode + '\'' +
                ", status=" + status +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
