package com.gic.enterprise.web.vo.billing;

import java.io.Serializable;
/**
 * 总览短信套餐包资源监控数据
 * @ClassName: OverviewPackageVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/16 5:15 PM 
 */
public class OverviewPackageVO implements Serializable{
    private static final long serialVersionUID = 3867451222645901554L;
    /**
     * 短信余额
     */
    private Integer shortMessageBalance;
    /**
     * 短信总量
     */
    private Integer shortMessageTotalBalance;
    /**
     * 可用套餐包数量
     */
    private Integer packageCount;
    /**
     * 可用套餐包总量
     */
    private Integer packageTotalCount;
    /**
     * 最近有效期 2019-09-09
     */
    private String lastValidDate;
    /**
     * 优惠券信息
     */
    private String coupon;
    /**
     * 是否购买短信应用
     */
    private Boolean isHasBuyShortMessagePackage;
    /**
     * 套餐余额总数少于1000条时自动续充1000条
     */
    private String autoRechargeDescription;

    public Integer getShortMessageBalance() {
        return shortMessageBalance;
    }

    public void setShortMessageBalance(Integer shortMessageBalance) {
        this.shortMessageBalance = shortMessageBalance;
    }

    public Integer getPackageCount() {
        return packageCount;
    }

    public void setPackageCount(Integer packageCount) {
        this.packageCount = packageCount;
    }

    public String getLastValidDate() {
        return lastValidDate;
    }

    public void setLastValidDate(String lastValidDate) {
        this.lastValidDate = lastValidDate;
    }

    public String getCoupon() {
        return coupon;
    }

    public void setCoupon(String coupon) {
        this.coupon = coupon;
    }

    public Boolean isHasBuyShortMessagePackage() {
        return isHasBuyShortMessagePackage;
    }

    public void setHasBuyShortMessagePackage(Boolean hasBuyShortMessagePackage) {
        isHasBuyShortMessagePackage = hasBuyShortMessagePackage;
    }

    public String getAutoRechargeDescription() {
        return autoRechargeDescription;
    }

    public void setAutoRechargeDescription(String autoRechargeDescription) {
        this.autoRechargeDescription = autoRechargeDescription;
    }

    public Integer getShortMessageTotalBalance() {
        return shortMessageTotalBalance;
    }

    public void setShortMessageTotalBalance(Integer shortMessageTotalBalance) {
        this.shortMessageTotalBalance = shortMessageTotalBalance;
    }

    public Integer getPackageTotalCount() {
        return packageTotalCount;
    }

    public void setPackageTotalCount(Integer packageTotalCount) {
        this.packageTotalCount = packageTotalCount;
    }

    @Override
    public String toString() {
        return "OverviewPackageVO{" +
                "shortMessageBalance=" + shortMessageBalance +
                ", shortMessageTotalBalance=" + shortMessageTotalBalance +
                ", packageCount=" + packageCount +
                ", packageTotalCount=" + packageTotalCount +
                ", lastValidDate='" + lastValidDate + '\'' +
                ", coupon='" + coupon + '\'' +
                ", isHasBuyShortMessagePackage=" + isHasBuyShortMessagePackage +
                ", autoRechargeDescription='" + autoRechargeDescription + '\'' +
                '}';
    }
}
