package com.gic.enterprise.web.vo.data;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @ClassName: GenerationConfigVO
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:32
 */
public class GenerationConfigVO implements Serializable{
    private static final long serialVersionUID = 5559419377425622656L;

    /**
     * 档位 1:第一档 2:第二档...
     */
    private Integer ageLevel;

    /**
     * 第一个区间符号 1:小于等于 2:小于 3:大于等于 4:大于
     */
    private Integer firstSign;

    /**
     * 第一个区间值
     */
    private Integer ageFirstValue;

    /**
     * 第二个区间符号 1:小于等于 2:小于 3:大于等于 4:大于不一定有值（第一档和最后一档没有值）
     */
    private Integer secondSign;

    /**
     * 第二个区间值，不一定有值（第一档和最后一档没有值）
     */
    private Integer ageSecondValue;

    /**
     * 展示名称
     */
    private String description;

    private Date createTime;

    /**
     * 会员卡ID
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long memberCardId;

    public Integer getAgeLevel() {
        return ageLevel;
    }

    public GenerationConfigVO setAgeLevel(Integer ageLevel) {
        this.ageLevel = ageLevel;
        return this;
    }

    public Integer getFirstSign() {
        return firstSign;
    }

    public GenerationConfigVO setFirstSign(Integer firstSign) {
        this.firstSign = firstSign;
        return this;
    }

    public Integer getAgeFirstValue() {
        return ageFirstValue;
    }

    public GenerationConfigVO setAgeFirstValue(Integer ageFirstValue) {
        this.ageFirstValue = ageFirstValue;
        return this;
    }

    public Integer getSecondSign() {
        return secondSign;
    }

    public GenerationConfigVO setSecondSign(Integer secondSign) {
        this.secondSign = secondSign;
        return this;
    }

    public Integer getAgeSecondValue() {
        return ageSecondValue;
    }

    public GenerationConfigVO setAgeSecondValue(Integer ageSecondValue) {
        this.ageSecondValue = ageSecondValue;
        return this;
    }

    public String getDescription() {
        return description;
    }

    public GenerationConfigVO setDescription(String description) {
        this.description = description;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public GenerationConfigVO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Long getMemberCardId() {
        return memberCardId;
    }

    public GenerationConfigVO setMemberCardId(Long memberCardId) {
        this.memberCardId = memberCardId;
        return this;
    }

    @Override
    public String toString() {
        return "GenerationConfigVO{" +
                "ageLevel=" + ageLevel +
                ", firstSign=" + firstSign +
                ", ageFirstValue=" + ageFirstValue +
                ", secondSign=" + secondSign +
                ", ageSecondValue=" + ageSecondValue +
                ", description='" + description + '\'' +
                ", createTime=" + createTime +
                ", memberCardId=" + memberCardId +
                '}';
    }
}
