package com.gic.enterprise.web.vo.union;

import com.gic.enterprise.constant.union.UnionEnterpriseAuthResTypeEnum;

import java.io.Serializable;
import java.util.Date;

/**
 * 操作日志
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/3 10:26 AM 
 */
public class OwnEnterpriseOperationLogVO implements Serializable{
    private static final long serialVersionUID = -7334015163966737016L;

    private String resourceTypeName;

    private Integer resourceType;

    private String logContent;

    private Date dealStartTime;

    private Date dealEndTime;

    public String getResourceTypeName() {
        return UnionEnterpriseAuthResTypeEnum.getMessage(resourceType);
    }

    public OwnEnterpriseOperationLogVO setResourceTypeName(String resourceTypeName) {
        this.resourceTypeName = resourceTypeName;
        return this;
    }

    public Integer getResourceType() {
        return resourceType;
    }

    public OwnEnterpriseOperationLogVO setResourceType(Integer resourceType) {
        this.resourceType = resourceType;
        return this;
    }

    public String getLogContent() {
        return logContent;
    }

    public OwnEnterpriseOperationLogVO setLogContent(String logContent) {
        this.logContent = logContent;
        return this;
    }

    public Date getDealStartTime() {
        return dealStartTime;
    }

    public OwnEnterpriseOperationLogVO setDealStartTime(Date dealStartTime) {
        this.dealStartTime = dealStartTime;
        return this;
    }

    public Date getDealEndTime() {
        return dealEndTime;
    }

    public OwnEnterpriseOperationLogVO setDealEndTime(Date dealEndTime) {
        this.dealEndTime = dealEndTime;
        return this;
    }

    @Override
    public String toString() {
        return "OwnEnterpriseOperationLogVO{" +
                "resourceTypeName='" + resourceTypeName + '\'' +
                ", resourceType=" + resourceType +
                ", logContent='" + logContent + '\'' +
                ", dealStartTime=" + dealStartTime +
                ", dealEndTime=" + dealEndTime +
                '}';
    }
}
