package com.gic.enterprise.web.vo.union;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
/**
 * 服务号
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/4 8:17 PM 
 */
public class ServiceConfigSimpleOutputVO implements Serializable{
    private static final long serialVersionUID = 2615466789837414117L;

    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long serviceConfigId;

    private String serviceConfigName;

    private String appId;

    /**
     * 状态（1-初始化中，2-开放平台绑定中，3-正常，4-删除中，5-异常）
     */
    private Integer statusFlag;

    public Long getServiceConfigId() {
        return serviceConfigId;
    }

    public ServiceConfigSimpleOutputVO setServiceConfigId(Long serviceConfigId) {
        this.serviceConfigId = serviceConfigId;
        return this;
    }

    public String getServiceConfigName() {
        return serviceConfigName;
    }

    public ServiceConfigSimpleOutputVO setServiceConfigName(String serviceConfigName) {
        this.serviceConfigName = serviceConfigName;
        return this;
    }

    public String getAppId() {
        return appId;
    }

    public ServiceConfigSimpleOutputVO setAppId(String appId) {
        this.appId = appId;
        return this;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public ServiceConfigSimpleOutputVO setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
        return this;
    }

    @Override
    public String toString() {
        return "ServiceConfigSimpleOutputVO{" +
                "serviceConfigId=" + serviceConfigId +
                ", serviceConfigName='" + serviceConfigName + '\'' +
                ", appId='" + appId + '\'' +
                ", statusFlag=" + statusFlag +
                '}';
    }
}
