package com.gic.enterprise.web.vo.union;

import java.io.Serializable;
import java.util.List;

/**
 * 应用资源
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/2 3:48 PM 
 */
public class UnionAppResourceListVO implements Serializable{
    private static final long serialVersionUID = 4944103910280799915L;

    /**
     * 策略名称
     */
    private String strategyName;

    private String authData;

    private Integer unionEnterpriseAuthAppId;

    /**
     * 0:不授予 1:授予
     */
    private Integer appAuthStatus;

    private List<OwnerMemberCardVO> memberArea;

    private List<AppletsConfigSimpleOutputVO> appletArea;

    private List<ServiceConfigSimpleOutputVO> serviceArea;

    private List<UnionAppVO> appList;

    public String getStrategyName() {
        return strategyName;
    }

    public UnionAppResourceListVO setStrategyName(String strategyName) {
        this.strategyName = strategyName;
        return this;
    }

    public String getAuthData() {
        return authData;
    }

    public UnionAppResourceListVO setAuthData(String authData) {
        this.authData = authData;
        return this;
    }

    public Integer getUnionEnterpriseAuthAppId() {
        return unionEnterpriseAuthAppId;
    }

    public UnionAppResourceListVO setUnionEnterpriseAuthAppId(Integer unionEnterpriseAuthAppId) {
        this.unionEnterpriseAuthAppId = unionEnterpriseAuthAppId;
        return this;
    }

    public List<OwnerMemberCardVO> getMemberArea() {
        return memberArea;
    }

    public UnionAppResourceListVO setMemberArea(List<OwnerMemberCardVO> memberArea) {
        this.memberArea = memberArea;
        return this;
    }

    public List<AppletsConfigSimpleOutputVO> getAppletArea() {
        return appletArea;
    }

    public UnionAppResourceListVO setAppletArea(List<AppletsConfigSimpleOutputVO> appletArea) {
        this.appletArea = appletArea;
        return this;
    }

    public List<ServiceConfigSimpleOutputVO> getServiceArea() {
        return serviceArea;
    }

    public UnionAppResourceListVO setServiceArea(List<ServiceConfigSimpleOutputVO> serviceArea) {
        this.serviceArea = serviceArea;
        return this;
    }

    public List<UnionAppVO> getAppList() {
        return appList;
    }

    public UnionAppResourceListVO setAppList(List<UnionAppVO> appList) {
        this.appList = appList;
        return this;
    }

    public Integer getAppAuthStatus() {
        return appAuthStatus;
    }

    public UnionAppResourceListVO setAppAuthStatus(Integer appAuthStatus) {
        this.appAuthStatus = appAuthStatus;
        return this;
    }

    @Override
    public String toString() {
        return "UnionAppResourceListVO{" +
                "strategyName='" + strategyName + '\'' +
                ", authData='" + authData + '\'' +
                ", unionEnterpriseAuthAppId=" + unionEnterpriseAuthAppId +
                ", appAuthStatus=" + appAuthStatus +
                ", memberArea=" + memberArea +
                ", appletArea=" + appletArea +
                ", serviceArea=" + serviceArea +
                ", appList=" + appList +
                '}';
    }
}
