package com.gic.enterprise.web.vo.union;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
/**
 * 应用
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/2 2:43 PM 
 */
public class UnionAppVO implements Serializable{
    private static final long serialVersionUID = -4208322294988422140L;

    /**
     * 主键
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long applicationId;

    /**
     * 应用名称
     */
    private String name;

    /**
     * 应用图标链接
     */
    private String iconUrl;

    public Long getApplicationId() {
        return applicationId;
    }

    public UnionAppVO setApplicationId(Long applicationId) {
        this.applicationId = applicationId;
        return this;
    }

    public String getName() {
        return name;
    }

    public UnionAppVO setName(String name) {
        this.name = name;
        return this;
    }

    public String getIconUrl() {
        return iconUrl;
    }

    public UnionAppVO setIconUrl(String iconUrl) {
        this.iconUrl = iconUrl;
        return this;
    }

    @Override
    public String toString() {
        return "UnionAppVO{" +
                "applicationId=" + applicationId +
                ", name='" + name + '\'' +
                ", iconUrl='" + iconUrl + '\'' +
                '}';
    }
}
