package com.gic.enterprise.web.vo.union;

import java.io.Serializable;
/**
 * 应用资源授权
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/2 2:56 PM 
 */
public class UnionEnterpriseAuthAppQO implements Serializable{
    private static final long serialVersionUID = 5539422505646353315L;

    /**
     * 策略名称
     */
    private String strategyName;

    /**
     * 应用ID，多选，英文逗号隔开
     */
    private String appId;

    /**
     * 0:不授予 1:授予
     */
    private Integer appAuthStatus;

    /**
     * 所选资源组中的用户域中的域资源（mcu,fcu,acu,scu），json数组格式 CuTypeEnum
     */
    private String authData;

    /**
     * 联合商户名称
     */
    private String enterpriseName;

    /**
     * 联合商户主键
     */
    private Integer enterpriseId;
    /**
     * id
     */
    private Integer unionEnterpriseAuthAppId;

    public String getStrategyName() {
        return strategyName;
    }

    public UnionEnterpriseAuthAppQO setStrategyName(String strategyName) {
        this.strategyName = strategyName;
        return this;
    }

    public String getAppId() {
        return appId;
    }

    public UnionEnterpriseAuthAppQO setAppId(String appId) {
        this.appId = appId;
        return this;
    }

    public Integer getAppAuthStatus() {
        return appAuthStatus;
    }

    public UnionEnterpriseAuthAppQO setAppAuthStatus(Integer appAuthStatus) {
        this.appAuthStatus = appAuthStatus;
        return this;
    }

    public String getAuthData() {
        return authData;
    }

    public UnionEnterpriseAuthAppQO setAuthData(String authData) {
        this.authData = authData;
        return this;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public UnionEnterpriseAuthAppQO setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public UnionEnterpriseAuthAppQO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public Integer getUnionEnterpriseAuthAppId() {
        return unionEnterpriseAuthAppId;
    }

    public UnionEnterpriseAuthAppQO setUnionEnterpriseAuthAppId(Integer unionEnterpriseAuthAppId) {
        this.unionEnterpriseAuthAppId = unionEnterpriseAuthAppId;
        return this;
    }

    @Override
    public String toString() {
        return "UnionEnterpriseAuthAppQO{" +
                "strategyName='" + strategyName + '\'' +
                ", appId='" + appId + '\'' +
                ", appAuthStatus=" + appAuthStatus +
                ", authData='" + authData + '\'' +
                ", enterpriseName='" + enterpriseName + '\'' +
                ", enterpriseId=" + enterpriseId +
                ", unionEnterpriseAuthAppId=" + unionEnterpriseAuthAppId +
                '}';
    }
}
