package com.gic.enterprise.web.vo.union;

import java.io.Serializable;
/**
 * 资源组
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/2 1:55 PM 
 */
public class UnionResourceGroupVO implements Serializable{
    private static final long serialVersionUID = -1403789003084162857L;

    /**
     *
     */
    private Integer resourceGroupId;

    /**
     * 资源名称
     */
    private String resourceGroupName;

    /**
     * 如果已经授权过，则禁止选择
     */
    private boolean hasAuth;

    public Integer getResourceGroupId() {
        return resourceGroupId;
    }

    public UnionResourceGroupVO setResourceGroupId(Integer resourceGroupId) {
        this.resourceGroupId = resourceGroupId;
        return this;
    }

    public String getResourceGroupName() {
        return resourceGroupName;
    }

    public UnionResourceGroupVO setResourceGroupName(String resourceGroupName) {
        this.resourceGroupName = resourceGroupName;
        return this;
    }

    public boolean isHasAuth() {
        return hasAuth;
    }

    public UnionResourceGroupVO setHasAuth(boolean hasAuth) {
        this.hasAuth = hasAuth;
        return this;
    }

    @Override
    public String toString() {
        return "UnionResourceGroupVO{" +
                "resourceGroupId=" + resourceGroupId +
                ", resourceGroupName='" + resourceGroupName + '\'' +
                ", hasAuth=" + hasAuth +
                '}';
    }
}
