package com.gic.operation.web.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
/**
 *
 * @ClassName: MemberCardVO
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:33
 */
public class MemberCardVO implements Serializable{

    private static final long serialVersionUID = 1276175656828771005L;
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;

    /**
     * 会员卡基本信息表主键
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long cardConfigId;

    private Integer ownerId;

    private String cardCode;

    private String cardName;

    /**
     * 1-自有，2-共享
     */
    private Byte type;

    private Integer gradeCount;


    public Long getId() {
        return id;
    }

    public MemberCardVO setId(Long id) {
        this.id = id;
        return this;
    }

    public Long getCardConfigId() {
        return cardConfigId;
    }

    public MemberCardVO setCardConfigId(Long cardConfigId) {
        this.cardConfigId = cardConfigId;
        return this;
    }

    public Integer getOwnerId() {
        return ownerId;
    }

    public MemberCardVO setOwnerId(Integer ownerId) {
        this.ownerId = ownerId;
        return this;
    }

    public String getCardCode() {
        return cardCode;
    }

    public MemberCardVO setCardCode(String cardCode) {
        this.cardCode = cardCode;
        return this;
    }

    public String getCardName() {
        return cardName;
    }

    public MemberCardVO setCardName(String cardName) {
        this.cardName = cardName;
        return this;
    }

    public Byte getType() {
        return type;
    }

    public MemberCardVO setType(Byte type) {
        this.type = type;
        return this;
    }

    public Integer getGradeCount() {
        return gradeCount;
    }

    public MemberCardVO setGradeCount(Integer gradeCount) {
        this.gradeCount = gradeCount;
        return this;
    }

    @Override
    public String toString() {
        return "MemberCardVO{" +
                "id=" + id +
                ", cardConfigId=" + cardConfigId +
                ", ownerId=" + ownerId +
                ", cardCode='" + cardCode + '\'' +
                ", cardName='" + cardName + '\'' +
                ", type=" + type +
                ", gradeCount=" + gradeCount +
                '}';
    }
}
