package com.gic.operation.web.vo.apppay;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
/**
 *
 * @ClassName: PayConfigVO
 * @Description:
 * @author taogs
 * @date 2020/9/17 16:25
 */
public class PayConfigVO implements Serializable{

    private static final long serialVersionUID = -4455662541210390818L;
    /**
     *
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;

    /**
     * 支付配置id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long payConfigId;

    /**
     * 企业名称
     */
    private String enterpriseName;

    /**
     * 企业id
     */
    private Integer enterpriseId;

    /**
     * 服务商、服务号名称
     */
    private String serverProviderName;

    /**
     * 小程序配置id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long appletConfigId;

    /**
     * 商户号
     */
    private String mchId;

    /**
     * 子商户号
     */
    private String subMchId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getPayConfigId() {
        return payConfigId;
    }

    public void setPayConfigId(Long payConfigId) {
        this.payConfigId = payConfigId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getServerProviderName() {
        return serverProviderName;
    }

    public void setServerProviderName(String serverProviderName) {
        this.serverProviderName = serverProviderName;
    }

    public Long getAppletConfigId() {
        return appletConfigId;
    }

    public void setAppletConfigId(Long appletConfigId) {
        this.appletConfigId = appletConfigId;
    }

    public String getMchId() {
        return mchId;
    }

    public void setMchId(String mchId) {
        this.mchId = mchId;
    }

    public String getSubMchId() {
        return subMchId;
    }

    public void setSubMchId(String subMchId) {
        this.subMchId = subMchId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    @Override
    public String toString() {
        return "PayConfigVO{" +
                "id=" + id +
                ", payConfigId=" + payConfigId +
                ", enterpriseName='" + enterpriseName + '\'' +
                ", enterpriseId=" + enterpriseId +
                ", serverProviderName='" + serverProviderName + '\'' +
                ", appletConfigId=" + appletConfigId +
                ", mchId='" + mchId + '\'' +
                ", subMchId='" + subMchId + '\'' +
                '}';
    }
}
