package com.gic.operation.web.vo.enterprise;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
/**
 *
 * @ClassName: OrderVO
 * @Description:
 * @author taogs
 * @date 2020/9/17 16:25
 */
public class OrderVO implements Serializable{
    private static final long serialVersionUID = -2632230700726947518L;

    private String orderId;
    /**
     * 订单流水号
     */
    private String orderNum;
    /**
     * 商户id
     */
    private Long enterpriseId;
    /**
     * 商户名称
     */
    private String enterpriseName;
    /**
     * 1订购 2续费 3升级 4扩容
     */
    private Integer orderType;
    /**
     * 订单状态(1:待支付，2:已支付，3:已关闭 )
     */
    private Integer status;
    /**
     * 坏账金额
     */
    private BigDecimal badAmount;
    /**
     * 服务图片
     */
    private String imageUrl;
    /**
     * 名称
     */
    private String serveName;

    private Date createTime;
    /**
     * 操作人类型(1:商户,2:运维)
     */
    private Integer operType;
    private String operName;

    private String companyName;

    private String logo;
    /**
     * 审批人
     */
    private String approver;

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(String orderNum) {
        this.orderNum = orderNum;
    }

    public Long getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Long enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public BigDecimal getBadAmount() {
        return badAmount;
    }

    public void setBadAmount(BigDecimal badAmount) {
        this.badAmount = badAmount;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public String getServeName() {
        return serveName;
    }

    public void setServeName(String serveName) {
        this.serveName = serveName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getOperType() {
        return operType;
    }

    public void setOperType(Integer operType) {
        this.operType = operType;
    }

    public String getOperName() {
        return operName;
    }

    public void setOperName(String operName) {
        this.operName = operName;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public String getApprover() {
        return approver;
    }

    public void setApprover(String approver) {
        this.approver = approver;
    }

    @Override
    public String toString() {
        return "OrderVO{" +
                "orderId='" + orderId + '\'' +
                ", orderNum='" + orderNum + '\'' +
                ", enterpriseId=" + enterpriseId +
                ", enterpriseName='" + enterpriseName + '\'' +
                ", orderType=" + orderType +
                ", status=" + status +
                ", badAmount=" + badAmount +
                ", imageUrl='" + imageUrl + '\'' +
                ", serveName='" + serveName + '\'' +
                ", createTime=" + createTime +
                ", operType=" + operType +
                ", operName='" + operName + '\'' +
                ", companyName='" + companyName + '\'' +
                ", logo='" + logo + '\'' +
                ", approver='" + approver + '\'' +
                '}';
    }
}
