package com.gic.enterprise.constant;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/9/2 13:47
 */
public enum BillingPayResultEnum {
    /**待支付
     *
     */
    WAIT(0, "待支付"),
    /**支付成功
     *
     */
    SUCCESS(1, "支付成功"),
    /**支付失败
     *
     */
    FAIL(2, "支付失败"),
//    CANCEL(3, "已取消")
    ;
    private Integer code;
    private String msg;

    BillingPayResultEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public Integer getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

}
