package com.gic.enterprise.constant;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-04 20:17
 */
public enum DownloadReportDataTypeEnum {

    /**
     * 完整数据
     */
    COMPLETE_DATA(1, "完整数据"),
    /**
     * 脱敏数据
     */
    DESENSITIZATION_DATA(2, "脱敏数据"),
    /**
     * 二维码
     */
    QR_CODE(3, "二维码"),
    ;
    private Integer code;
    private String msg;

    DownloadReportDataTypeEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public Integer getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
