package com.gic.enterprise.constant;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-10-28 16:30
 */
public enum DownloadReportStatusEnum {

    /**
     *
     * 待审核
     */
    WAIT(0, "待审核"),
    /**
     *
     * 通过
     */
    PASS(1, "通过"),
    /**
     *
     * 不通过
     */
    FAIL(2, "不通过"),
    /**
     *
     * 超时
     */
    OVER_TIME(3, "超时"),
    /**
     *
     * 生成中
     */
    BUILD(4, "生成中"),
    /**
     *
     * 已生成
     */
    GENERATED(5, "已生成"),

    ERROR(6, "生成异常"),
    WAITLINE(7, "排队中");

    private Integer code;
    private String msg;

    DownloadReportStatusEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public Integer getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

}
