package com.gic.enterprise.constant;


/**企业状态
 * @Description:
 * @author taogs
 * @Date 20:16 2020/9/9
 * @Param
 * @return
*/
public enum  EnterpriseStatusTypeEnum {
    /**
     * 有效
     */
    EFFECTIVE(1, "有效"),
    /**
     * 无效
     */
    INVALID(0, "无效"),
    /**
     * 停用
     */
    DISABLE(2, "停用");

    private int code;
    private String message;

    private EnterpriseStatusTypeEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
