package com.gic.enterprise.constant;


/**  License
 * @Description:
 * @author taogs
 * @Date 20:21 2020/9/9
 * @Param
 * @return
*/
public enum LicenseTypeEnum {
    /**
     * 会员卡
     */
    MemberCard(1, "会员卡"),
    /**
     * 服务号
     */
    ServiceNumber(2, "服务号"),
    /**
     * 小程序
     */
    WeChat(3, "小程序"),
    /**
     * 门店
     */
    Store(4, "门店"),
    /**
     * 商品
     */
    Goods(5, "商品");

    private int code;
    private String message;

    private LicenseTypeEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
