package com.gic.enterprise.constant;

/**
 * 商户类型
 * @Description:
 * @author zhiwj
 * @date 2019-11-27 9:23
 */
public enum LinkEnterpriseTypeEnum {

    /**
     * 全部商户
     */
    ALL(1, "全部商户"),
    /**
     * 部分商户
     */
    PART(2, "部分商户");

    private Integer code;
    private String message;

    LinkEnterpriseTypeEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
