package com.gic.enterprise.constant;

/**
 *  链接排序
 * @Description:
 * @author zhiwj
 * @date 2019-11-25 16:52
 */
public class LinkSortEnum {

    /**链接排序
     * @Description:
     * @author taogs
     * @Date 20:23 2020/9/9
     * @Param
     * @return
    */
    public enum LinkSortColumn{
        /**
         * create_time
         */
        CREATE_TIME(1, "create_time"),
        /**
         * update_time
         */
        UPDATE_TIME(2, "update_time"),
        ;
        private Integer code;
        private String msg;

        LinkSortColumn(Integer code, String msg) {
            this.code = code;
            this.msg = msg;
        }

        public Integer getCode() {
            return code;
        }

        public String getMsg() {
            return msg;
        }

        public static String parse(Integer code) {
            for (LinkSortColumn column : values()) {
                if (column.code.equals(code)) {
                    return column.msg;
                }
            }
            return null;
        }

    }


    /** 链接排序
     * @Description:
     * @author taogs
     * @Date 20:23 2020/9/9
     * @Param
     * @return
    */
    public enum LinkSortType{
        /**
         * asc
         */
        ASC(1, "asc"),
        /**
         * desc
         */
        DESC(2, "desc"),
        ;
        private Integer code;
        private String msg;

        LinkSortType(Integer code, String msg) {
            this.code = code;
            this.msg = msg;
        }

        public Integer getCode() {
            return code;
        }

        public String getMsg() {
            return msg;
        }
        public static String parse(Integer code) {
            for (LinkSortType sortType : values()) {
                if (sortType.code.equals(code)) {
                    return sortType.msg;
                }
            }
            return null;
        }
    }
}
