package com.gic.enterprise.constant;

/**
 *  链接类型
 * @Description:
 * @author zhiwj
 * @date 2019-11-25 14:38
 */
public enum LinkTypeEnum {
    /**
     * 层级节点
     */
    HIERARCHICAL(0, "层级节点"),
    /**
     * 普通链接
     */
    COMMON_LINK(1, "普通链接");

    private Integer code;
    private String message;

    LinkTypeEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
