package com.gic.enterprise.constant;
/**
 * 情报
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/5/18 2:38 PM 
 */
public enum ProductMarketTypeEnum {
    /**
     * 功能更新
     */
    FUNCTION_UPDATE("功能更新", 1),
    /**
     * 产品推广
     */
    PRODUCT_PROMOTION("产品推广", 2),
    /**
     * 成功案例
     */
    SUCCESS_STORIES("成功案例", 3);

    private String name;
    private int code;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    private ProductMarketTypeEnum(String name, int code) {
        this.name = name;
        this.code = code;
    }

    /**
     * 用于switch
     * @param code
     * @return
     */
    public static ProductMarketTypeEnum getByCode(int code){
        for(ProductMarketTypeEnum transactType : values()){
            if (transactType.getCode() == code) {
                return transactType;
            }
        }
        return null;
    }
}
