package com.gic.enterprise.constant;

/**短信消费类型
 * @author zhiwj
 * @Description: 短信消费类型
 * @date 2020-03-30 14:45
 */
public enum SmsTypeEnum {

    /**
     * 验证码
     */
    AUTH_CODE(1, "验证码"),
    /**
     * 通知
     */
    NOTICE(2, "通知"),
    /**
     * 营销
     */
    MARKETING(3, "营销"),
    ;

    SmsTypeEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    private Integer code;
    private String name;

    public Integer getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
