package com.gic.enterprise.constant;

/**
 *  主题
 * @Description:
 * @author zhiwj
 * @date 2019-10-24 20:46
 */
public enum ThemeEnum {
    /**
     * black-blue
     */
    BLACK_BLUE(1, "black-blue"),
    /**
     * red
     */
    RED(2, "red"),
    /**
     * black-golden
     */
    BLACK_GOLDEN(3, "black-golden"),
    /**
     * dark-green
     */
    DARK_GREEN(4, "dark-green"),
    /**
     * tint-green
     */
    TINT_GREEN(5, "tint-green")
    ;

    private Integer code;
    private String msg;

    ThemeEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public Integer getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
