package com.gic.enterprise.constant;

/**
 *  代办事项天数
 * @Description:
 * @author zhiwj
 * @date 2019-11-14 16:54
 */
public enum TodoItemTimeTypeEnum {

    /**
     * 近三天
     */
    THREE_DAY(1, "近三天"),
    /**
     * 近一周
     */
    WEEK(2, "近一周"),
    /**
     * 近半年
     */
    HALF_YEAR(3, "近半年")
    ;
    private int code;
    private String message;

    TodoItemTimeTypeEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
