package com.gic.enterprise.constant.applet;
/**
 * 数据资产类型
 * @ClassName: AppletDataIconEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/25 3:22 PM 
 */
public enum AppletDataIconEnum
{
    /**
     * 商城订单
     */
    MALL_ORDER("D1", "商城订单"),
    /**
     * 卡券包
     */
    COUPON("D2", "卡券包"),
//    RED("D3", "红包"),
    /**
     * 购物车
     */
    CART("D4", "购物车"),
    /**
     * 收藏商品
     */
    COLLECT("D5", "收藏商品"),
    /**
     * 积分
     */
    INTEGRAL("D6", "积分"),
//    GIFT("D7", "礼品"),
    /**
     * 线下订单
     */
    RETAIL_ORDER("D8", "线下订单"),
    /**
     * 微盟订单
     */
    WM_ORDER("D9", "微盟订单");

    private String code;
    private String message;

    private AppletDataIconEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
