 package com.gic.enterprise.dto;

import java.io.Serializable;

/**
 * 余额支付返回DTO
 * @Description:
 * @author zhiwj
 * @date 2019/8/27 10:21
 */
public class BalancePayReturnDTO implements Serializable {

    private static final long serialVersionUID = -2460741925812861784L;
    /**
     * 验证码
     */
    private String authCode;
    /**
     * 交易流水号
     */
    private String payInfoSerialNumber;
    /**
     * 订单流水号
     */
    private String orderSerialNumber;

    /**
     * 实付金额
     */
    private Double totalFeePaid;

    /**
     * 商户id
     */
    private Integer enterpriseId;

    /**
     * 支付状态 业务结果 1成功 2失败 0等待 3取消
     */
    private Integer resultCode;
    /**
     * 描述
     */
    private String productDescription;


    public String getAuthCode() {
        return authCode;
    }

    public void setAuthCode(String authCode) {
        this.authCode = authCode;
    }

    public String getPayInfoSerialNumber() {
        return payInfoSerialNumber;
    }

    public void setPayInfoSerialNumber(String payInfoSerialNumber) {
        this.payInfoSerialNumber = payInfoSerialNumber;
    }

    public void setOrderSerialNumber(String orderSerialNumber) {
        this.orderSerialNumber = orderSerialNumber;
    }

    public String getOrderSerialNumber() {
        return orderSerialNumber;
    }

    public Double getTotalFeePaid() {
        return totalFeePaid;
    }

    public void setTotalFeePaid(Double totalFeePaid) {
        this.totalFeePaid = totalFeePaid;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getResultCode() {
        return resultCode;
    }

    public void setResultCode(Integer resultCode) {
        this.resultCode = resultCode;
    }

    public void setProductDescription(String productDescription) {
        this.productDescription = productDescription;
    }

    public String getProductDescription() {
        return productDescription;
    }

    @Override
    public String toString() {
        return "BalancePayReturnDTO{" +
                "authCode='" + authCode + '\'' +
                ", payInfoSerialNumber='" + payInfoSerialNumber + '\'' +
                ", orderSerialNumber='" + orderSerialNumber + '\'' +
                ", totalFeePaid=" + totalFeePaid +
                ", enterpriseId=" + enterpriseId +
                ", resultCode=" + resultCode +
                ", productDescription='" + productDescription + '\'' +
                '}';
    }
}
