package com.gic.enterprise.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * 小程序装修-顶部导航
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/6/2 1:57 PM 
 */
public class CustomGuideTopDTO implements Serializable{
    private static final long serialVersionUID = 8618674958994205102L;

    /**
     *
     */
    private Integer guideTopId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 导航颜色，#ffffff
     */
    private String guideTopColor;

    /**
     * 标题颜色1:黑色 2:白色
     */
    private Integer titleColor;

    /**
     * 小程序appid
     */
    private String appid;

    /**
     * 0:未删除
     */
    private Integer deleteFlag;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public Integer getGuideTopId() {
        return guideTopId;
    }

    public CustomGuideTopDTO setGuideTopId(Integer guideTopId) {
        this.guideTopId = guideTopId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public CustomGuideTopDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public String getGuideTopColor() {
        return guideTopColor;
    }

    public CustomGuideTopDTO setGuideTopColor(String guideTopColor) {
        this.guideTopColor = guideTopColor;
        return this;
    }

    public Integer getTitleColor() {
        return titleColor;
    }

    public CustomGuideTopDTO setTitleColor(Integer titleColor) {
        this.titleColor = titleColor;
        return this;
    }

    public String getAppid() {
        return appid;
    }

    public CustomGuideTopDTO setAppid(String appid) {
        this.appid = appid;
        return this;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public CustomGuideTopDTO setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public CustomGuideTopDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public CustomGuideTopDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    @Override
    public String toString() {
        return "CustomGuideTopDTO{" +
                "guideTopId=" + guideTopId +
                ", enterpriseId=" + enterpriseId +
                ", guideTopColor='" + guideTopColor + '\'' +
                ", titleColor=" + titleColor +
                ", appid='" + appid + '\'' +
                ", deleteFlag=" + deleteFlag +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
