package com.gic.enterprise.dto;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-10-29 9:24
 */
public class DownloadLogDTO implements Serializable {
    private static final long serialVersionUID = 3673607268249706671L;
    /**
     *
     */
    private Integer downloadLogId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 报告id
     */
    private String reportId;

    /**
     * 下载中心id
     */
    private Integer downloadReportId;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 数据内容
     */
    private String dataContent;

    /**
     * 报告类型  1：完整数据， 2：脱敏数据， 3：二维码
     */
    private Integer dataType;

    /**
     * 数据总量
     */
    private Integer dataCount;

    /**
     * 下载用户id
     */
    private Integer downloadUserId;

    /**
     * 下载人员名
     */
    private String downloadUserName;

    /**
     * 下载时间
     */
    private Date downloadTime;

    /**
     *
     */
    private String projectCode;

    /**
     *
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public Integer getDownloadLogId() {
        return downloadLogId;
    }

    public void setDownloadLogId(Integer downloadLogId) {
        this.downloadLogId = downloadLogId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getReportId() {
        return reportId;
    }

    public void setReportId(String reportId) {
        this.reportId = reportId;
    }

    public Integer getDownloadReportId() {
        return downloadReportId;
    }

    public void setDownloadReportId(Integer downloadReportId) {
        this.downloadReportId = downloadReportId;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getDataContent() {
        return dataContent;
    }

    public void setDataContent(String dataContent) {
        this.dataContent = dataContent;
    }

    public Integer getDataType() {
        return dataType;
    }

    public void setDataType(Integer dataType) {
        this.dataType = dataType;
    }

    public Integer getDataCount() {
        return dataCount;
    }

    public void setDataCount(Integer dataCount) {
        this.dataCount = dataCount;
    }

    public Integer getDownloadUserId() {
        return downloadUserId;
    }

    public void setDownloadUserId(Integer downloadUserId) {
        this.downloadUserId = downloadUserId;
    }

    public String getDownloadUserName() {
        return downloadUserName;
    }

    public void setDownloadUserName(String downloadUserName) {
        this.downloadUserName = downloadUserName;
    }

    public Date getDownloadTime() {
        return downloadTime;
    }

    public void setDownloadTime(Date downloadTime) {
        this.downloadTime = downloadTime;
    }

    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "DownloadLogDTO{" +
                "downloadLogId=" + downloadLogId +
                ", enterpriseId=" + enterpriseId +
                ", reportId='" + reportId + '\'' +
                ", downloadReportId=" + downloadReportId +
                ", fileName='" + fileName + '\'' +
                ", dataContent='" + dataContent + '\'' +
                ", dataType=" + dataType +
                ", dataCount=" + dataCount +
                ", downloadUserId=" + downloadUserId +
                ", downloadUserName='" + downloadUserName + '\'' +
                ", downloadTime=" + downloadTime +
                ", projectCode='" + projectCode + '\'' +
                ", status=" + status +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
