package com.gic.enterprise.dto;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;
import java.util.List;

/**
 * 自定义菜单组装json
 * @ClassName: WeChatMenuDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/29 3:42 PM 
 */
public class WeChatMenuDTO implements Serializable{
    private static final long serialVersionUID = -4659824138256697908L;
    private String type;
    private String name;
    private String key;
    private String url;
    private String appid;
    private String pagepath;

    /**
     * 这个取名是为了方便组装json
     */
    @JSONField(name = "sub_button")
    private List<WeChatMenuDTO> subButton;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    public String getPagepath() {
        return pagepath;
    }

    public void setPagepath(String pagepath) {
        this.pagepath = pagepath;
    }

    public List<WeChatMenuDTO> getSubButton() {
        return subButton;
    }

    public void setSubButton(List<WeChatMenuDTO> subButton) {
        this.subButton = subButton;
    }

    @Override
    public String toString() {
        return "WeChatMenuDTO{" +
                "type='" + type + '\'' +
                ", name='" + name + '\'' +
                ", key='" + key + '\'' +
                ", url='" + url + '\'' +
                ", appid='" + appid + '\'' +
                ", pagepath='" + pagepath + '\'' +
                ", subButton=" + subButton +
                '}';
    }
}
