package com.gic.enterprise.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * 微盟商城店铺-订单配置
 * @ClassName: WmOrderConfigDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/4/14 4:08 PM 
 */
public class WmOrderConfigDTO implements Serializable{
    private static final long serialVersionUID = -7720153967192439149L;

    /**
     *
     */
    private Integer orderConfigId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 微盟主账号(平台唯一)，用于关联配置
     */
    private String wmMainAccount;

    /**
     * 微盟订单是否进入了线下订单系统（例如ERP） 1:是 0:不是
     */
    private Integer wmOrderToOffline;

    /**
     * 在线下订单系统是否可以区分出微盟订单 1:是 0:否
     */
    private Integer offlineDifferentiateWm;

    /**
     * 订单获取方案 1:从微盟获取订单 2:从ERP获取订单
     */
    private Integer orderFromMode;

    /**
     * 1:有效
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public Integer getOrderConfigId() {
        return orderConfigId;
    }

    public WmOrderConfigDTO setOrderConfigId(Integer orderConfigId) {
        this.orderConfigId = orderConfigId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public WmOrderConfigDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public String getWmMainAccount() {
        return wmMainAccount;
    }

    public WmOrderConfigDTO setWmMainAccount(String wmMainAccount) {
        this.wmMainAccount = wmMainAccount;
        return this;
    }

    public Integer getWmOrderToOffline() {
        return wmOrderToOffline;
    }

    public WmOrderConfigDTO setWmOrderToOffline(Integer wmOrderToOffline) {
        this.wmOrderToOffline = wmOrderToOffline;
        return this;
    }

    public Integer getOfflineDifferentiateWm() {
        return offlineDifferentiateWm;
    }

    public WmOrderConfigDTO setOfflineDifferentiateWm(Integer offlineDifferentiateWm) {
        this.offlineDifferentiateWm = offlineDifferentiateWm;
        return this;
    }

    public Integer getOrderFromMode() {
        return orderFromMode;
    }

    public WmOrderConfigDTO setOrderFromMode(Integer orderFromMode) {
        this.orderFromMode = orderFromMode;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public WmOrderConfigDTO setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public WmOrderConfigDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public WmOrderConfigDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    @Override
    public String toString() {
        return "WmOrderConfigDTO{" +
                "orderConfigId=" + orderConfigId +
                ", enterpriseId=" + enterpriseId +
                ", wmMainAccount='" + wmMainAccount + '\'' +
                ", wmOrderToOffline=" + wmOrderToOffline +
                ", offlineDifferentiateWm=" + offlineDifferentiateWm +
                ", orderFromMode=" + orderFromMode +
                ", status=" + status +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
