package com.gic.enterprise.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * 微盟商城店铺
 * @ClassName: WmStoreDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/4/13 10:44 AM 
 */
public class WmStoreDTO implements Serializable{
    private static final long serialVersionUID = 7199830254908520238L;

    /**
     *
     */
    private Integer wmMallStoreId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 微盟主账号
     */
    private String wmMainAccount;

    /**
     * 微盟pid
     */
    private String wmPid;

    /**
     * 微盟store_id
     */
    private String wmStoreId;

    /**
     * 店铺名称
     */
    private String wmPidName;

    /**
     * 会员小程序ID
     */
    private String memberWechat;

    /**
     * 微盟小程序APPID
     */
    private String wmAppid;

    /**
     * 商城模式 1:微商城模式 2:智慧零售模式
     */
    private Integer mallMode;

    /**
     * 店招品牌
     */
    private Integer storeBrandId;

    /**
     * 授权状态 0:未授权 1:已授权
     */
    private Integer authStatus;

    /**
     * 0:有效
     */
    private Integer deleteFlag;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public Integer getWmMallStoreId() {
        return wmMallStoreId;
    }

    public WmStoreDTO setWmMallStoreId(Integer wmMallStoreId) {
        this.wmMallStoreId = wmMallStoreId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public WmStoreDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public String getWmMainAccount() {
        return wmMainAccount;
    }

    public WmStoreDTO setWmMainAccount(String wmMainAccount) {
        this.wmMainAccount = wmMainAccount;
        return this;
    }

    public String getWmPid() {
        return wmPid;
    }

    public WmStoreDTO setWmPid(String wmPid) {
        this.wmPid = wmPid;
        return this;
    }

    public String getWmStoreId() {
        return wmStoreId;
    }

    public WmStoreDTO setWmStoreId(String wmStoreId) {
        this.wmStoreId = wmStoreId;
        return this;
    }

    public String getWmPidName() {
        return wmPidName;
    }

    public WmStoreDTO setWmPidName(String wmPidName) {
        this.wmPidName = wmPidName;
        return this;
    }

    public Integer getMallMode() {
        return mallMode;
    }

    public WmStoreDTO setMallMode(Integer mallMode) {
        this.mallMode = mallMode;
        return this;
    }

    public Integer getStoreBrandId() {
        return storeBrandId;
    }

    public WmStoreDTO setStoreBrandId(Integer storeBrandId) {
        this.storeBrandId = storeBrandId;
        return this;
    }

    public Integer getAuthStatus() {
        return authStatus;
    }

    public WmStoreDTO setAuthStatus(Integer authStatus) {
        this.authStatus = authStatus;
        return this;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public WmStoreDTO setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public WmStoreDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public WmStoreDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public String getMemberWechat() {
        return memberWechat;
    }

    public WmStoreDTO setMemberWechat(String memberWechat) {
        this.memberWechat = memberWechat;
        return this;
    }

    public String getWmAppid() {
        return wmAppid;
    }

    public WmStoreDTO setWmAppid(String wmAppid) {
        this.wmAppid = wmAppid;
        return this;
    }

    @Override
    public String toString() {
        return "WmStoreDTO{" +
                "wmMallStoreId=" + wmMallStoreId +
                ", enterpriseId=" + enterpriseId +
                ", wmMainAccount='" + wmMainAccount + '\'' +
                ", wmPid='" + wmPid + '\'' +
                ", wmStoreId='" + wmStoreId + '\'' +
                ", wmPidName='" + wmPidName + '\'' +
                ", memberWechat='" + memberWechat + '\'' +
                ", wmAppid='" + wmAppid + '\'' +
                ", mallMode=" + mallMode +
                ", storeBrandId=" + storeBrandId +
                ", authStatus=" + authStatus +
                ", status=" + deleteFlag +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
