package com.gic.enterprise.dto.data;

import java.io.Serializable;
import java.util.Date;

/**
 * 实付配置
 * @ClassName: DataActuallyPaidConfigDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/4/17 10:27 AM 
 */
public class DataActuallyPaidConfig implements Serializable{
    private static final long serialVersionUID = -5443298335953111361L;


    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 会员业务
     */
    private Integer memberBusiness;

    /**
     * 业绩统计
     */
    private Integer performanceCount;

    /**
     * 会员业务（积分折扣（商品）、等级折扣（商品）
     */
    private Integer memberBusinessOfGoods;

    /**
     * 是否已经配置过会员业务
     */
    private boolean hasConfigMemberBusiness;
    /**
     * 是否已经配置过业绩统计
     */
    private boolean hasConfigPerformanceCount;

    /**
     * 是否已经配置过会员业务（积分折扣（商品）、等级折扣（商品）
     */
    private boolean hasConfigMemberBusinessOfGoods;

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public DataActuallyPaidConfig setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public Integer getMemberBusiness() {
        return memberBusiness;
    }

    public DataActuallyPaidConfig setMemberBusiness(Integer memberBusiness) {
        this.memberBusiness = memberBusiness;
        return this;
    }

    public Integer getPerformanceCount() {
        return performanceCount;
    }

    public DataActuallyPaidConfig setPerformanceCount(Integer performanceCount) {
        this.performanceCount = performanceCount;
        return this;
    }

    public boolean isHasConfigMemberBusiness() {
        return hasConfigMemberBusiness;
    }

    public DataActuallyPaidConfig setHasConfigMemberBusiness(boolean hasConfigMemberBusiness) {
        this.hasConfigMemberBusiness = hasConfigMemberBusiness;
        return this;
    }

    public boolean isHasConfigPerformanceCount() {
        return hasConfigPerformanceCount;
    }

    public DataActuallyPaidConfig setHasConfigPerformanceCount(boolean hasConfigPerformanceCount) {
        this.hasConfigPerformanceCount = hasConfigPerformanceCount;
        return this;
    }

    public Integer getMemberBusinessOfGoods() {
        return memberBusinessOfGoods;
    }

    public DataActuallyPaidConfig setMemberBusinessOfGoods(Integer memberBusinessOfGoods) {
        this.memberBusinessOfGoods = memberBusinessOfGoods;
        return this;
    }

    public boolean isHasConfigMemberBusinessOfGoods() {
        return hasConfigMemberBusinessOfGoods;
    }

    public DataActuallyPaidConfig setHasConfigMemberBusinessOfGoods(boolean hasConfigMemberBusinessOfGoods) {
        this.hasConfigMemberBusinessOfGoods = hasConfigMemberBusinessOfGoods;
        return this;
    }
}
