package com.gic.enterprise.dto.data;

import java.io.Serializable;
import java.util.Date;

/**
 * 实付配置
 * @ClassName: DataActuallyPaidConfigDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/4/17 10:27 AM 
 */
public class DataActuallyPaidConfigDTO implements Serializable{
    private static final long serialVersionUID = -5443298335953111361L;

    /**
     *
     */
    private Integer actuallyPaidConfigId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 1:会员业务（积分计算）2:会员业务（等级升降条件（如单笔消费满XX元、当天消费满XX元）3:基础业绩 4:会员消费 5:单效 6:会员业务（积分折扣（商品）、等级折扣（商品））
     */
    private Integer classify;

    /**
     * 1:已配置 默认全关，走应付流程
     */
    private Integer configStatus;

    /**
     * 1:已经配置过 0:未配置过
     */
    private Integer hasConfig;

    /**
     * 1:有效
     */
    private Integer deleteFlag;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public DataActuallyPaidConfigDTO() {

    }

    public Integer getActuallyPaidConfigId() {
        return actuallyPaidConfigId;
    }

    public DataActuallyPaidConfigDTO setActuallyPaidConfigId(Integer actuallyPaidConfigId) {
        this.actuallyPaidConfigId = actuallyPaidConfigId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public DataActuallyPaidConfigDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public Integer getClassify() {
        return classify;
    }

    public DataActuallyPaidConfigDTO setClassify(Integer classify) {
        this.classify = classify;
        return this;
    }

    public Integer getConfigStatus() {
        return configStatus;
    }

    public DataActuallyPaidConfigDTO setConfigStatus(Integer configStatus) {
        this.configStatus = configStatus;
        return this;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public DataActuallyPaidConfigDTO setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public DataActuallyPaidConfigDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public DataActuallyPaidConfigDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Integer getHasConfig() {
        return hasConfig;
    }

    public DataActuallyPaidConfigDTO setHasConfig(Integer hasConfig) {
        this.hasConfig = hasConfig;
        return this;
    }

    @Override
    public String toString() {
        return "DataActuallyPaidConfigDTO{" +
                "actuallyPaidConfigId=" + actuallyPaidConfigId +
                ", enterpriseId=" + enterpriseId +
                ", classify=" + classify +
                ", configStatus=" + configStatus +
                ", hasConfig=" + hasConfig +
                ", status=" + deleteFlag +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
