package com.gic.enterprise.dto.data;

import java.io.Serializable;
import java.util.Date;
/**
 *
 * @ClassName: DataGenerationConfigDTO
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:30
 */
public class DataGenerationConfigDTO implements Serializable{

    private static final long serialVersionUID = 6372096709629738302L;
    /**
     *
     */
    private Integer generationConfigId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 档位 1:第一档 2:第二档...
     */
    private Integer ageLevel;

    /**
     * 第一个区间符号 1:小于等于 2:小于 3:大于等于 4:大于
     */
    private Integer firstSign;

    /**
     * 第一个区间值
     */
    private Integer ageFirstValue;

    /**
     * 第二个区间符号 1:小于等于 2:小于 3:大于等于 4:大于不一定有值（第一档和最后一档没有值）
     */
    private Integer secondSign;

    /**
     * 第二个区间值，不一定有值（第一档和最后一档没有值）
     */
    private Integer ageSecondValue;

    /**
     * 展示名称
     */
    private String description;

    /**
     * 1:有效
     */
    private Integer deleteFlag;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     * 会员卡ID
     */
    private Long memberCardId;

    public Integer getGenerationConfigId() {
        return generationConfigId;
    }

    public DataGenerationConfigDTO setGenerationConfigId(Integer generationConfigId) {
        this.generationConfigId = generationConfigId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public DataGenerationConfigDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public Integer getAgeLevel() {
        return ageLevel;
    }

    public DataGenerationConfigDTO setAgeLevel(Integer ageLevel) {
        this.ageLevel = ageLevel;
        return this;
    }

    public Integer getFirstSign() {
        return firstSign;
    }

    public DataGenerationConfigDTO setFirstSign(Integer firstSign) {
        this.firstSign = firstSign;
        return this;
    }

    public Integer getAgeFirstValue() {
        return ageFirstValue;
    }

    public DataGenerationConfigDTO setAgeFirstValue(Integer ageFirstValue) {
        this.ageFirstValue = ageFirstValue;
        return this;
    }

    public Integer getSecondSign() {
        return secondSign;
    }

    public DataGenerationConfigDTO setSecondSign(Integer secondSign) {
        this.secondSign = secondSign;
        return this;
    }

    public Integer getAgeSecondValue() {
        return ageSecondValue;
    }

    public DataGenerationConfigDTO setAgeSecondValue(Integer ageSecondValue) {
        this.ageSecondValue = ageSecondValue;
        return this;
    }

    public String getDescription() {
        return description;
    }

    public DataGenerationConfigDTO setDescription(String description) {
        this.description = description;
        return this;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public DataGenerationConfigDTO setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public DataGenerationConfigDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public DataGenerationConfigDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Long getMemberCardId() {
        return memberCardId;
    }

    public DataGenerationConfigDTO setMemberCardId(Long memberCardId) {
        this.memberCardId = memberCardId;
        return this;
    }

    @Override
    public String toString() {
        return "DataGenerationConfigDTO{" +
                "generationConfigId=" + generationConfigId +
                ", enterpriseId=" + enterpriseId +
                ", ageLevel=" + ageLevel +
                ", firstSign=" + firstSign +
                ", ageFirstValue=" + ageFirstValue +
                ", secondSign=" + secondSign +
                ", ageSecondValue=" + ageSecondValue +
                ", description='" + description + '\'' +
                ", deleteFlag=" + deleteFlag +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", memberCardId=" + memberCardId +
                '}';
    }
}
