package com.gic.enterprise.dto.data;

import java.io.Serializable;
import java.util.Date;
/**
 *
 * @ClassName: DataPerformanceConfigDTO
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:30
 */
public class DataPerformanceConfigDTO implements Serializable{

    private static final long serialVersionUID = -4011724836821764949L;
    /**
     *
     */
    private Integer performanceConfigId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 订单数 指标 1:『『订单总数』2:『销售单数』 3:有效订单数』 4:『成交单数』
     */
    private Integer orderNumber;

    /**
     * 订单人数 1:『消费人数』 2:『有效成交人数』 3:『『成交人数』
     */
    private Integer orderPeopleNumber;

    /**
     * 1:有效
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public Integer getPerformanceConfigId() {
        return performanceConfigId;
    }

    public DataPerformanceConfigDTO setPerformanceConfigId(Integer performanceConfigId) {
        this.performanceConfigId = performanceConfigId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public DataPerformanceConfigDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public Integer getOrderNumber() {
        return orderNumber;
    }

    public DataPerformanceConfigDTO setOrderNumber(Integer orderNumber) {
        this.orderNumber = orderNumber;
        return this;
    }

    public Integer getOrderPeopleNumber() {
        return orderPeopleNumber;
    }

    public DataPerformanceConfigDTO setOrderPeopleNumber(Integer orderPeopleNumber) {
        this.orderPeopleNumber = orderPeopleNumber;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public DataPerformanceConfigDTO setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public DataPerformanceConfigDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public DataPerformanceConfigDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    @Override
    public String toString() {
        return "DataPerformanceConfigDTO{" +
                "performanceConfigId=" + performanceConfigId +
                ", enterpriseId=" + enterpriseId +
                ", orderNumber=" + orderNumber +
                ", orderPeopleNumber=" + orderPeopleNumber +
                ", status=" + status +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
