package com.gic.enterprise.dto.data;

import java.io.Serializable;
import java.util.Date;

/**
 * 单效配置
 * @ClassName: DataSingleEffectConfigDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/4/20 3:26 PM 
 */
public class DataSingleEffectConfigDTO implements Serializable{
    private static final long serialVersionUID = 5165511090745633488L;

    /**
     *
     */
    private Integer singleEffectConfigId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 订单粒度 1:订单粒度（默认） 2:订单粒度（统计到商品品牌）
     */
    private Integer orderGrain;

    /**
     * 单效销售额 指标 1:『应付总额』or『实付总额』2:『销售单应付总额』 or『销售单实付总额』 3:有效应付额』 or『有效实付额』
     */
    private Integer sale;

    /**
     * 单效吊牌价 1:『吊牌价总额』 2:『销售单吊牌价』 3:『有效吊牌价』
     */
    private Integer tag;

    /**
     * 单效订单数 1:『订单总数』 2:『销售单数』 3:『有效订单数』 4:『成交单数』
     */
    private Integer orderNumber;

    /**
     * 单效销售件数 是否剔除物料,默认是 1:是 0:否
     */
    private Integer saleNumber;

    /**
     * 单效销售件数 1:『净销售件数』 2:『销售件数』3:『有效销售件数』
     */
    private Integer saleNumberTarget;

    /**
     * 1:有效
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public Integer getSingleEffectConfigId() {
        return singleEffectConfigId;
    }

    public DataSingleEffectConfigDTO setSingleEffectConfigId(Integer singleEffectConfigId) {
        this.singleEffectConfigId = singleEffectConfigId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public DataSingleEffectConfigDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public Integer getSale() {
        return sale;
    }

    public DataSingleEffectConfigDTO setSale(Integer sale) {
        this.sale = sale;
        return this;
    }

    public Integer getTag() {
        return tag;
    }

    public DataSingleEffectConfigDTO setTag(Integer tag) {
        this.tag = tag;
        return this;
    }

    public Integer getOrderNumber() {
        return orderNumber;
    }

    public DataSingleEffectConfigDTO setOrderNumber(Integer orderNumber) {
        this.orderNumber = orderNumber;
        return this;
    }

    public Integer getSaleNumber() {
        return saleNumber;
    }

    public DataSingleEffectConfigDTO setSaleNumber(Integer saleNumber) {
        this.saleNumber = saleNumber;
        return this;
    }

    public Integer getSaleNumberTarget() {
        return saleNumberTarget;
    }

    public DataSingleEffectConfigDTO setSaleNumberTarget(Integer saleNumberTarget) {
        this.saleNumberTarget = saleNumberTarget;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public DataSingleEffectConfigDTO setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public DataSingleEffectConfigDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public DataSingleEffectConfigDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Integer getOrderGrain() {
        return orderGrain;
    }

    public DataSingleEffectConfigDTO setOrderGrain(Integer orderGrain) {
        this.orderGrain = orderGrain;
        return this;
    }

    @Override
    public String toString() {
        return "DataSingleEffectConfigDTO{" +
                "singleEffectConfigId=" + singleEffectConfigId +
                ", enterpriseId=" + enterpriseId +
                ", orderGrain=" + orderGrain +
                ", sale=" + sale +
                ", tag=" + tag +
                ", orderNumber=" + orderNumber +
                ", saleNumber=" + saleNumber +
                ", saleNumberTarget=" + saleNumberTarget +
                ", status=" + status +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
