package com.gic.enterprise.dto.market;

import java.io.Serializable;
/**
 * @ClassName: OrderBuyLicenseDTO 
 * @Description:    购买服务license信息
 * @author guojuxing 
 * @date 2019/9/29 3:52 PM 
 */
public class OrderBuyLicenseDTO implements Serializable{
    private static final long serialVersionUID = -6900139697006569736L;

    private Long licenseId;
    /**
     * 购买数量
     */
    private Integer num;
    /**
     * 修改标志 - 续费时不允许修改
     */
    private Boolean licenseEditFlag = true;

    private String licenseName;

    public Long getLicenseId() {
        return licenseId;
    }

    public void setLicenseId(Long licenseId) {
        this.licenseId = licenseId;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public Boolean isLicenseEditFlag() {
        return licenseEditFlag;
    }

    public void setLicenseEditFlag(Boolean licenseEditFlag) {
        this.licenseEditFlag = licenseEditFlag;
    }

    public String getLicenseName() {
        return licenseName;
    }

    public void setLicenseName(String licenseName) {
        this.licenseName = licenseName;
    }

    @Override
    public String toString() {
        return "OrderBuyLicenseDTO{" +
                "licenseId=" + licenseId +
                ", num=" + num +
                ", licenseEditFlag=" + licenseEditFlag +
                ", licenseName='" + licenseName + '\'' +
                '}';
    }
}
