package com.gic.enterprise.dto.rule;

import java.io.Serializable;
import java.util.List;

/**
 * 应用（规则）列表
 * @ClassName: RuleListDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/3/4 3:01 PM 
 */
public class RuleListDTO implements Serializable{
    private static final long serialVersionUID = -7830092576417787452L;

    /**
     * 规则ID
     */
    private Integer ruleId;

    /**
     * 规则名称
     */
    private String ruleName;

    /**
     * 规则类型:应用名称
     */
    private String appName;

    /**
     * 规则类型:应用code
     */
    private String appCode;

    /**
     * 是否选中有效
     */
    private Boolean select;

    /**
     * 规则下面的分类列表
     */
    private List<RuleClassifyListDTO> ruleClassifyList;

    public Integer getRuleId() {
        return ruleId;
    }

    public RuleListDTO setRuleId(Integer ruleId) {
        this.ruleId = ruleId;
        return this;
    }

    public String getRuleName() {
        return ruleName;
    }

    public RuleListDTO setRuleName(String ruleName) {
        this.ruleName = ruleName;
        return this;
    }

    public String getAppName() {
        return appName;
    }

    public RuleListDTO setAppName(String appName) {
        this.appName = appName;
        return this;
    }

    public String getAppCode() {
        return appCode;
    }

    public RuleListDTO setAppCode(String appCode) {
        this.appCode = appCode;
        return this;
    }

    public Boolean getSelect() {
        return select;
    }

    public RuleListDTO setSelect(Boolean select) {
        this.select = select;
        return this;
    }

    public List<RuleClassifyListDTO> getRuleClassifyList() {
        return ruleClassifyList;
    }

    public RuleListDTO setRuleClassifyList(List<RuleClassifyListDTO> ruleClassifyList) {
        this.ruleClassifyList = ruleClassifyList;
        return this;
    }

    @Override
    public String toString() {
        return "RuleListDTO{" +
                "ruleId=" + ruleId +
                ", ruleName='" + ruleName + '\'' +
                ", appName='" + appName + '\'' +
                ", appCode='" + appCode + '\'' +
                ", select=" + select +
                ", ruleClassifyList=" + ruleClassifyList +
                '}';
    }
}
