package com.gic.enterprise.dto.union;

import java.io.Serializable;
import java.util.Date;

/**
 * 资源操作日志
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/7 7:20 PM 
 */
public class UnionEnterpriseAuthResLogDTO implements Serializable{
    private static final long serialVersionUID = -2863505864141167299L;
    /**
     * id
     */
    private Integer unionEnterpriseAuthResLogId;

    /**
     * 联合商户授权主键ID，关联字段
     */
    private Integer unionEnterpriseAuthId;

    /**
     * 1:用户域资源 2:门店资源 3:商品资源
     */
    private Integer resourceType;

    /**
     * 日志内容
     */
    private String logContent;

    /**
     * 处理开始时间
     */
    private Date dealStartTime;

    /**
     * 处理完成时间
     */
    private Date dealEndTime;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    /**
     * 状态（0：正常；1：删除）
     */
    private Integer deleteFlag;

    public Integer getUnionEnterpriseAuthResLogId() {
        return unionEnterpriseAuthResLogId;
    }

    public UnionEnterpriseAuthResLogDTO setUnionEnterpriseAuthResLogId(Integer unionEnterpriseAuthResLogId) {
        this.unionEnterpriseAuthResLogId = unionEnterpriseAuthResLogId;
        return this;
    }

    public Integer getUnionEnterpriseAuthId() {
        return unionEnterpriseAuthId;
    }

    public UnionEnterpriseAuthResLogDTO setUnionEnterpriseAuthId(Integer unionEnterpriseAuthId) {
        this.unionEnterpriseAuthId = unionEnterpriseAuthId;
        return this;
    }

    public Integer getResourceType() {
        return resourceType;
    }

    public UnionEnterpriseAuthResLogDTO setResourceType(Integer resourceType) {
        this.resourceType = resourceType;
        return this;
    }

    public String getLogContent() {
        return logContent;
    }

    public UnionEnterpriseAuthResLogDTO setLogContent(String logContent) {
        this.logContent = logContent;
        return this;
    }

    public Date getDealStartTime() {
        return dealStartTime;
    }

    public UnionEnterpriseAuthResLogDTO setDealStartTime(Date dealStartTime) {
        this.dealStartTime = dealStartTime;
        return this;
    }

    public Date getDealEndTime() {
        return dealEndTime;
    }

    public UnionEnterpriseAuthResLogDTO setDealEndTime(Date dealEndTime) {
        this.dealEndTime = dealEndTime;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public UnionEnterpriseAuthResLogDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public UnionEnterpriseAuthResLogDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public UnionEnterpriseAuthResLogDTO setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    @Override
    public String toString() {
        return "UnionEnterpriseAuthResLogDTO{" +
                "unionEnterpriseAuthResLogId=" + unionEnterpriseAuthResLogId +
                ", unionEnterpriseAuthId=" + unionEnterpriseAuthId +
                ", resourceType=" + resourceType +
                ", logContent='" + logContent + '\'' +
                ", dealStartTime=" + dealStartTime +
                ", dealEndTime=" + dealEndTime +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", deleteFlag=" + deleteFlag +
                '}';
    }
}