package com.gic.enterprise.dto.wm;

import java.io.Serializable;
/**
 * 微盟店铺订单配置
 * @ClassName: WmOrderConfigDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/4/30 4:09 PM 
 */
public class WmOrderConfigDTO implements Serializable{
    private static final long serialVersionUID = 6885339139181658360L;

    /**
     * 微盟订单是否进入了线下订单系统（例如ERP） 1:是 0:不是
     */
    private Integer wmOrderToOffline;

    /**
     * //在线下订单系统是否可以区分出微盟订单 1:是 0:否
     */
    private Integer offlineDifferentiateWm;

    /**
     * 订单获取方案 1:从微盟获取订单 2:从ERP获取订单
     */
    private Integer orderFromMode;

    public Integer getWmOrderToOffline() {
        return wmOrderToOffline;
    }

    public WmOrderConfigDTO setWmOrderToOffline(Integer wmOrderToOffline) {
        this.wmOrderToOffline = wmOrderToOffline;
        return this;
    }

    public Integer getOfflineDifferentiateWm() {
        return offlineDifferentiateWm;
    }

    public WmOrderConfigDTO setOfflineDifferentiateWm(Integer offlineDifferentiateWm) {
        this.offlineDifferentiateWm = offlineDifferentiateWm;
        return this;
    }

    public Integer getOrderFromMode() {
        return orderFromMode;
    }

    public WmOrderConfigDTO setOrderFromMode(Integer orderFromMode) {
        this.orderFromMode = orderFromMode;
        return this;
    }

    @Override
    public String toString() {
        return "WmOrderConfigDTO{" +
                "wmOrderToOffline=" + wmOrderToOffline +
                ", offlineDifferentiateWm=" + offlineDifferentiateWm +
                ", orderFromMode=" + orderFromMode +
                '}';
    }
}
