package com.gic.enterprise.qo;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-10-24 19:19
 */
public class AuditLogQO extends PageQO {
    private static final long serialVersionUID = 6455579892866196921L;

    public interface AuditView{}

    private Integer enterpriseId;

    private String startTime;

    private String endTime;

    private String search;

    @NotNull(message = "审核id不能为空", groups = AuditView.class)
    private Integer auditLogId;
    /**@NotBlank(message = "审核人openid不能为空", groups = AuditView.class)*/
    private String openid;
    @NotNull(message = "审核结果不能为空", groups = AuditView.class)
    private Integer auditResult;
    private String auditReason;

    /**
     * 1：我发起的 2：我收到的
     */
    private Integer searchType;

    /**
     * 当前登录人
     */
    private Integer userId;

    private List<Integer> auditorList;

    /**
     * 是否是超管
     */
    private boolean isAdminUser;

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getSearch() {
        return search;
    }

    public void setSearch(String search) {
        this.search = search;
    }

    public Integer getAuditLogId() {
        return auditLogId;
    }

    public void setAuditLogId(Integer auditLogId) {
        this.auditLogId = auditLogId;
    }

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public Integer getAuditResult() {
        return auditResult;
    }

    public void setAuditResult(Integer auditResult) {
        this.auditResult = auditResult;
    }

    public String getAuditReason() {
        return auditReason;
    }

    public void setAuditReason(String auditReason) {
        this.auditReason = auditReason;
    }

    public Integer getSearchType() {
        return searchType;
    }

    public AuditLogQO setSearchType(Integer searchType) {
        this.searchType = searchType;
        return this;
    }

    public Integer getUserId() {
        return userId;
    }

    public AuditLogQO setUserId(Integer userId) {
        this.userId = userId;
        return this;
    }

    public List<Integer> getAuditorList() {
        return auditorList;
    }

    public AuditLogQO setAuditorList(List<Integer> auditorList) {
        this.auditorList = auditorList;
        return this;
    }

    public boolean isAdminUser() {
        return isAdminUser;
    }

    public AuditLogQO setAdminUser(boolean adminUser) {
        isAdminUser = adminUser;
        return this;
    }
}
