package com.gic.enterprise.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.AppletQrcodeDTO;
import com.gic.enterprise.dto.AppletQrcodePathDTO;

/**
 *
 * @ClassName: AppletQrcodeApiService
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:24
 */
public interface AppletQrcodeApiService {
    
 

    /**
     * takeAppletQrcode 
     * @Title: takeAppletQrcode
     * @Description: 
     * @author taogs 
     * @param enterpriseId
     * @param appid
     * @param path
     * @param params
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.AppletQrcodePathDTO>
     * @throws 
     */
    ServiceResponse<AppletQrcodePathDTO> takeAppletQrcode(Integer enterpriseId, String appid, String path, String params);

    
    /**
     * getAppletQrcode
     * @Title: getAppletQrcode
     * @Description: 
     * @author taogs 
 * @param id
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.AppletQrcodeDTO>
     * @throws 
     */
    ServiceResponse<AppletQrcodeDTO> getAppletQrcode(Integer id);
}
