package com.gic.enterprise.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.BillingEnterpriseSmsPackageDTO;

import java.util.List;
/**
 * 我的套餐包
 * @ClassName: BillingEnterpriseSmsPackageApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/20 2:24 PM 
 */
public interface BillingEnterpriseSmsPackageApiService {

    /**
     * 短信套餐包列表查询
     * @Title: listSmsPackage 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.BillingEnterpriseSmsPackageDTO>> 
      */
    ServiceResponse<List<BillingEnterpriseSmsPackageDTO>> listSmsPackage(Integer enterpriseId);

    /**
     * getEnterpriseSmsPackageDetail
     * @Title: getEnterpriseSmsPackageDetail
     * @Description: 
     * @author taogs 
 * @param id
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.BillingEnterpriseSmsPackageDTO>
     * @throws 
     */
    ServiceResponse<BillingEnterpriseSmsPackageDTO> getEnterpriseSmsPackageDetail(Integer id);

    /**
     * 我的套餐包状态监控 1待使用 2使用中 3无余量  4已过期
     * @Title: monitorStatus 
     * @Description:
     * @param param
      * @author guojuxing  
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> monitorStatus(String param);
}
