package com.gic.enterprise.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.CustomChatFiledDTO;
import com.gic.enterprise.dto.CustomUdeskFieldDTO;

import java.util.List;
/**
 *
 * @ClassName: CustomUdeskFieldApiService
 * @Description:
 * @author taogs
 * @date 2020/9/17 16:24
 */
public interface CustomUdeskFieldApiService {

     /**
      * listAllField 
      * @Title: listAllField
      * @Description: 
      * @author taogs 
      * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.CustomChatFiledDTO>>
      * @throws 
      */
    ServiceResponse<List<CustomChatFiledDTO>> listAllField();

   /**
    * saveEnterpriseField 
    * @Title: saveEnterpriseField
    * @Description: 
    * @author taogs 
    * @param dto
    * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
    * @throws 
    */
    ServiceResponse<Integer> saveEnterpriseField(CustomUdeskFieldDTO dto);
    /**
     * editEnterpriseField 
     * @Title: editEnterpriseField
     * @Description: 
     * @author taogs 
     * @param dto
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws 
     */
    ServiceResponse<Integer> editEnterpriseField(CustomUdeskFieldDTO dto);

   /**
    * listEnterpriseField 
    * @Title: listEnterpriseField
    * @Description: 
    * @author taogs 
    * @param enterpriseId
    * @param appId
    * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.CustomUdeskFieldDTO>>
    * @throws 
    */
    ServiceResponse<List<CustomUdeskFieldDTO>> listEnterpriseField(Integer enterpriseId, String appId);
    /**
     * listEnableEnterpriseField 
     * @Title: listEnableEnterpriseField
     * @Description: 
     * @author taogs 
     * @param enterpriseId
     * @param appId
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.CustomUdeskFieldDTO>>
     * @throws 
     */
    ServiceResponse<List<CustomUdeskFieldDTO>> listEnableEnterpriseField(Integer enterpriseId, String appId);

    /**
     * getDetail 
     * @Title: getDetail
     * @Description: 
     * @author taogs 
     * @param id
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.CustomUdeskFieldDTO>
     * @throws 
     */
    ServiceResponse<CustomUdeskFieldDTO> getDetail(Integer id);
 
     /**
      * deleteField 
      * @Title: deleteField
      * @Description: 
      * @author taogs 
      * @param id
      * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
      * @throws 
      */
    ServiceResponse<Integer> deleteField(Integer id);
    
    
   /**
    * updateStatus
    * @Title: updateStatus
    * @Description: 
    * @author taogs 
 * @param id
 * @param status
    * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
    * @throws 
    */
    ServiceResponse<Integer> updateStatus(Integer id, Integer status);
}
