package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.DownloadLogDTO;
import com.gic.enterprise.qo.DownloadLogQO;

/**
 * 下载日志
 * @ClassName: DownloadLogApiService
 * @Description:
 * @author zhiwj
 * @date 2019-10-29 9:29
 */
public interface DownloadLogApiService {

    /**
     * listDownload 
     * @Title: listDownload
     * @Description: 
     * @author taogs 
     * @param downloadLogQO
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.enterprise.dto.DownloadLogDTO>>
     * @throws 
     */
    ServiceResponse<Page<DownloadLogDTO>> listDownload(DownloadLogQO downloadLogQO);

}
