package com.gic.enterprise.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.HelpCenterDTO;

import java.util.List;
/**
 *
 * @ClassName: HelpCenterApiService
 * @Description:
 * @author taogs
 * @date 2020/9/17 16:24
 */
public interface HelpCenterApiService {
    /**
     * pageHelpCenter
     * @Title: pageHelpCenter
     * @Description:
     * @author taogs
     * @param search
     * @param mode
     * @param pageNum
     * @param pageSize
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.enterprise.dto.HelpCenterDTO>>
     * @throws
     */
    ServiceResponse<Page<HelpCenterDTO>> pageHelpCenter(String search, Integer mode, int pageNum, int pageSize);
    /**
     * saveHelpCenter
     * @Title: saveHelpCenter
     * @Description:
     * @author taogs
     * @param helpCenterDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> saveHelpCenter(HelpCenterDTO helpCenterDTO);
    /**
     * delHelpCenter
     * @Title: delHelpCenter
     * @Description:
     * @author taogs
     * @param helpId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> delHelpCenter(Integer helpId);
    /**
     * getHelpCenterById
     * @Title: getHelpCenterById
     * @Description:
     * @author taogs
     * @param helpId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.HelpCenterDTO>
     * @throws
     */
    ServiceResponse<HelpCenterDTO> getHelpCenterById(Integer helpId);
    /**
     * listHelpCenter
     * @Title: listHelpCenter
     * @Description:
     * @author taogs
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.enterprise.dto.HelpCenterDTO>>
     * @throws
     */
    ServiceResponse<List<HelpCenterDTO>> listHelpCenter();
}
