package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabAuditProcess;
import org.apache.ibatis.annotations.Param;
/**
 *
 * @ClassName: TabAuditProcessMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:37
 */
public interface TabAuditProcessMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabAuditProcess record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabAuditProcess record);

    /**
     * 根据主键查询
     *
     * @param auditProcessId 主键
     * @return 实体对象
     */
    TabAuditProcess selectByPrimaryKey(Integer auditProcessId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabAuditProcess record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabAuditProcess record);
    /**
     * getOtherTypeProcess
     * @Title: getOtherTypeProcess
     * @Description: 
     * @author taogs 
 * @param enterpriseId
 * @param auditLogId
 * @param auditorType
     * @return com.gic.enterprise.entity.TabAuditProcess
     * @throws 
     */
    TabAuditProcess getOtherTypeProcess(@Param("enterpriseId") Integer enterpriseId, @Param("auditLogId") Integer auditLogId, @Param("auditorType") Integer auditorType);
}