package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabCustomTheme;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 *
 * @ClassName: TabCustomThemeMapper
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:40
 */
public interface TabCustomThemeMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabCustomTheme record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabCustomTheme record);

    /**
     * 根据主键查询
     *
     * @param themeId 主键
     * @return 实体对象
     */
    TabCustomTheme selectByPrimaryKey(Integer themeId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabCustomTheme record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabCustomTheme record);

    /**x
     *
     * @param enterpriseId
     * @param appid
     * @return
     */
    List<TabCustomTheme> listTheme(@Param("enterpriseId") Integer enterpriseId,
                                   @Param("appid") String appid);
}