package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabDataMemberConsumeConfig;
/**
 * 
 * @ClassName: TabDataMemberConsumeConfigMapper
 * @Description:  
 * @author taogs
 * @date 2020/9/11 15:41
 */
public interface TabDataMemberConsumeConfigMapper {

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabDataMemberConsumeConfig record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabDataMemberConsumeConfig record);

    /**
     * 根据主键查询
     *
     * @param memberConsumeConfigId 主键
     * @return 实体对象
     */
    TabDataMemberConsumeConfig selectByPrimaryKey(Integer memberConsumeConfigId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabDataMemberConsumeConfig record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabDataMemberConsumeConfig record);
    /**
     * getByEnterpriseId
     * @Title: getByEnterpriseId
     * @Description: 
     * @author taogs 
 * @param enterpriseId
     * @return com.gic.enterprise.entity.TabDataMemberConsumeConfig
     * @throws 
     */
    TabDataMemberConsumeConfig getByEnterpriseId(Integer enterpriseId);
}