package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabQrcodeScenesClassify;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * 
 * @ClassName: TabQrcodeScenesClassifyMapper
 * @Description:  
 * @author taogs
 * @date 2020/9/11 15:47
 */
public interface TabQrcodeScenesClassifyMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabQrcodeScenesClassify record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabQrcodeScenesClassify record);

    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 实体对象
     */
    TabQrcodeScenesClassify selectByPrimaryKey(Integer id);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabQrcodeScenesClassify record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabQrcodeScenesClassify record);
    /**
     * listQrCodeScenesClassify
     * @Title: listQrCodeScenesClassify
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param search
     * @return java.util.List<com.gic.enterprise.entity.TabQrcodeScenesClassify>
     * @throws
     */
    List<TabQrcodeScenesClassify> listQrCodeScenesClassify(@Param("enterpriseId") Integer enterpriseId,
                                                           @Param("search") String search);
    /**
     * listByName
     * @Title: listByName
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param name
     * @return java.util.List<com.gic.enterprise.entity.TabQrcodeScenesClassify>
     * @throws
     */
    List<TabQrcodeScenesClassify> listByName(@Param("enterpriseId") Integer enterpriseId,
                                             @Param("name") String name);
}