package com.gic.enterprise.entity;

import java.util.Date;

/**
 *
 * @ClassName: TabBillingRefund
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:39
 */
public class TabBillingRefund {
    /**
     * 主键
     */
    private Integer refundId;

    /**
     * 
     */
    private Integer enterpriseId;

    /**
     * 退款支付流水号：退款成功时返回的退款支付流水号
     */
    private String refundPayNumber;

    /**
     * 业务方退款单号
     */
    private String refundSerialNumber;

    /**
     * 原始订单号
     */
    private String orderSerialNumber;

    /**
     * 订单金额
     */
    private Double orderFee;

    /**
     * 退款金额
     */
    private Double refundFee;

    /**
     * 退款状态   0：等待  1：成功   2：关闭   3：异常
     */
    private Integer refundStatus;

    /**
     * 请求方类型
     */
    private String requestCode;

    /**
     * 退款渠道 1：余额支付
     */
    private Integer refundChannel;

    /**
     * 退款成功时间
     */
    private Date timeEnd;

    /**
     * 
     */
    private Integer deleteFlag;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    /**
     * 退款理由
     */
    private String refundReason;

    public Integer getRefundId() {
        return refundId;
    }

    public void setRefundId(Integer refundId) {
        this.refundId = refundId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getRefundPayNumber() {
        return refundPayNumber;
    }

    public void setRefundPayNumber(String refundPayNumber) {
        this.refundPayNumber = refundPayNumber;
    }

    public String getRefundSerialNumber() {
        return refundSerialNumber;
    }

    public void setRefundSerialNumber(String refundSerialNumber) {
        this.refundSerialNumber = refundSerialNumber;
    }

    public String getOrderSerialNumber() {
        return orderSerialNumber;
    }

    public void setOrderSerialNumber(String orderSerialNumber) {
        this.orderSerialNumber = orderSerialNumber;
    }

    public Double getOrderFee() {
        return orderFee;
    }

    public void setOrderFee(Double orderFee) {
        this.orderFee = orderFee;
    }

    public Double getRefundFee() {
        return refundFee;
    }

    public void setRefundFee(Double refundFee) {
        this.refundFee = refundFee;
    }

    public Integer getRefundStatus() {
        return refundStatus;
    }

    public void setRefundStatus(Integer refundStatus) {
        this.refundStatus = refundStatus;
    }

    public String getRequestCode() {
        return requestCode;
    }

    public void setRequestCode(String requestCode) {
        this.requestCode = requestCode;
    }

    public Integer getRefundChannel() {
        return refundChannel;
    }

    public void setRefundChannel(Integer refundChannel) {
        this.refundChannel = refundChannel;
    }

    public Date getTimeEnd() {
        return timeEnd;
    }

    public void setTimeEnd(Date timeEnd) {
        this.timeEnd = timeEnd;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getRefundReason() {
        return refundReason;
    }

    public void setRefundReason(String refundReason) {
        this.refundReason = refundReason;
    }
}