package com.gic.enterprise.entity;

import java.util.Date;

/**
 *
 * @ClassName: TabConfigRule
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:39
 */
public class TabConfigRule {
    /**
     * 
     */
    private Integer ruleId;

    /**
     * 规则/分类/场景名称（场景名称是冗余数据）
     */
    private String ruleName;

    /**
     * 规则类型:应用名称
     */
    private String appName;

    /**
     * 规则类型:应用code
     */
    private String appCode;

    /**
     * 分类类型:icon
     */
    private String classifyIcon;

    /**
     * 分类/场景描述
     */
    private String ruleDesc;

    /**
     * 分类/场景备注
     */
    private String remark;

    /**
     * 场景手动输入名称
     */
    private String marketName;

    /**
     * 营销场景ID/code
     */
    private String marketScene;

    /**
     * 营销对象 1:会员卡域 2:服务号域 3:小程序域
     */
    private Integer marketObject;

    /**
     * 父级id
     */
    private Integer parentRuleId;

    /**
     * 层级:1:规则 2:分类 3:场景
     */
    private Integer ruleLevel;

    /**
     * 规则链id：_2_3_格式数据
     */
    private String ruleChain;

    /**
     * 状态值 1:有效 0:无效
     */
    private Integer deleteFlag;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    public Integer getRuleId() {
        return ruleId;
    }

    public TabConfigRule setRuleId(Integer ruleId) {
        this.ruleId = ruleId;
        return this;
    }

    public String getRuleName() {
        return ruleName;
    }

    public TabConfigRule setRuleName(String ruleName) {
        this.ruleName = ruleName;
        return this;
    }

    public String getAppName() {
        return appName;
    }

    public TabConfigRule setAppName(String appName) {
        this.appName = appName;
        return this;
    }

    public String getAppCode() {
        return appCode;
    }

    public TabConfigRule setAppCode(String appCode) {
        this.appCode = appCode;
        return this;
    }

    public String getClassifyIcon() {
        return classifyIcon;
    }

    public TabConfigRule setClassifyIcon(String classifyIcon) {
        this.classifyIcon = classifyIcon;
        return this;
    }

    public String getRuleDesc() {
        return ruleDesc;
    }

    public TabConfigRule setRuleDesc(String ruleDesc) {
        this.ruleDesc = ruleDesc;
        return this;
    }

    public String getRemark() {
        return remark;
    }

    public TabConfigRule setRemark(String remark) {
        this.remark = remark;
        return this;
    }

    public String getMarketScene() {
        return marketScene;
    }

    public TabConfigRule setMarketScene(String marketScene) {
        this.marketScene = marketScene;
        return this;
    }

    public Integer getMarketObject() {
        return marketObject;
    }

    public TabConfigRule setMarketObject(Integer marketObject) {
        this.marketObject = marketObject;
        return this;
    }

    public Integer getParentRuleId() {
        return parentRuleId;
    }

    public TabConfigRule setParentRuleId(Integer parentRuleId) {
        this.parentRuleId = parentRuleId;
        return this;
    }

    public Integer getRuleLevel() {
        return ruleLevel;
    }

    public TabConfigRule setRuleLevel(Integer ruleLevel) {
        this.ruleLevel = ruleLevel;
        return this;
    }

    public String getRuleChain() {
        return ruleChain;
    }

    public TabConfigRule setRuleChain(String ruleChain) {
        this.ruleChain = ruleChain;
        return this;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public TabConfigRule setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public TabConfigRule setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public TabConfigRule setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public String getMarketName() {
        return marketName;
    }

    public TabConfigRule setMarketName(String marketName) {
        this.marketName = marketName;
        return this;
    }
}