package com.gic.enterprise.entity;

import java.util.Date;

/**
 * 
 * @ClassName: TabDataSingleEffectConfig
 * @Description:  
 * @author taogs
 * @date 2020/9/11 15:42
 */
public class TabDataSingleEffectConfig {
    /**
     * 
     */
    private Integer singleEffectConfigId;

    /**
     * 
     */
    private Integer enterpriseId;

    /**
     * 订单粒度 1:订单粒度（默认） 2:订单粒度（统计到商品品牌）
     */
    private Integer orderGrain;

    /**
     * 单效销售额 指标 1:『应付总额』or『实付总额』2:『销售单应付总额』 or『销售单实付总额』 3:有效应付额』 or『有效实付额』
     */
    private Integer sale;

    /**
     * 单效吊牌价 1:『吊牌价总额』 2:『销售单吊牌价』 3:『有效吊牌价』
     */
    private Integer tag;

    /**
     * 单效订单数 1:『订单总数』 2:『销售单数』 3:『有效订单数』 4:『成交单数』
     */
    private Integer orderNumber;

    /**
     * 单效销售件数 是否剔除物料,默认是 1:是 0:否
     */
    private Integer saleNumber;

    /**
     * 单效销售件数 1:『净销售件数』 2:『销售件数』3:『有效销售件数』
     */
    private Integer saleNumberTarget;

    /**
     * 1:有效
     */
    private Integer deleteFlag;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    public Integer getSingleEffectConfigId() {
        return singleEffectConfigId;
    }

    public TabDataSingleEffectConfig setSingleEffectConfigId(Integer singleEffectConfigId) {
        this.singleEffectConfigId = singleEffectConfigId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public TabDataSingleEffectConfig setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public Integer getSale() {
        return sale;
    }

    public TabDataSingleEffectConfig setSale(Integer sale) {
        this.sale = sale;
        return this;
    }

    public Integer getTag() {
        return tag;
    }

    public TabDataSingleEffectConfig setTag(Integer tag) {
        this.tag = tag;
        return this;
    }

    public Integer getOrderNumber() {
        return orderNumber;
    }

    public TabDataSingleEffectConfig setOrderNumber(Integer orderNumber) {
        this.orderNumber = orderNumber;
        return this;
    }

    public Integer getSaleNumber() {
        return saleNumber;
    }

    public TabDataSingleEffectConfig setSaleNumber(Integer saleNumber) {
        this.saleNumber = saleNumber;
        return this;
    }

    public Integer getSaleNumberTarget() {
        return saleNumberTarget;
    }

    public TabDataSingleEffectConfig setSaleNumberTarget(Integer saleNumberTarget) {
        this.saleNumberTarget = saleNumberTarget;
        return this;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public TabDataSingleEffectConfig setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public TabDataSingleEffectConfig setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public TabDataSingleEffectConfig setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Integer getOrderGrain() {
        return orderGrain;
    }

    public TabDataSingleEffectConfig setOrderGrain(Integer orderGrain) {
        this.orderGrain = orderGrain;
        return this;
    }
}