package com.gic.enterprise.entity;

import java.util.Date;

/**
 * 
 * @ClassName: TabWmStoreCouponConfig
 * @Description:  
 * @author taogs
 * @date 2020/9/11 16:28
 */
public class TabWmStoreCouponConfig {
    /**
     * 
     */
    private Integer couponConfigId;

    /**
     * 
     */
    private Integer enterpriseId;

    /**
     * 店铺主键ID，用于关联配置
     */
    private Integer wmMallStoreId;

    /**
     * gic卡券id
     */
    private String gicCouponId;

    /**
     * gic卡券名称
     */
    private String gicCouponName;

    /**
     * 微盟卡券ID
     */
    private String wmCouponId;

    /**
     * 微盟卡券名称
     */
    private String wmCouponName;

    /**
     * gic卡券过期时间，如果是固定时间，则有值，如果未null，说明有效
     */
    private Date gicCouponExpire;

    /**
     * 0:有效
     */
    private Integer deleteFlag;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    public Integer getCouponConfigId() {
        return couponConfigId;
    }

    public TabWmStoreCouponConfig setCouponConfigId(Integer couponConfigId) {
        this.couponConfigId = couponConfigId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public TabWmStoreCouponConfig setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public Integer getWmMallStoreId() {
        return wmMallStoreId;
    }

    public TabWmStoreCouponConfig setWmMallStoreId(Integer wmMallStoreId) {
        this.wmMallStoreId = wmMallStoreId;
        return this;
    }

    public String getGicCouponId() {
        return gicCouponId;
    }

    public TabWmStoreCouponConfig setGicCouponId(String gicCouponId) {
        this.gicCouponId = gicCouponId;
        return this;
    }

    public String getWmCouponId() {
        return wmCouponId;
    }

    public TabWmStoreCouponConfig setWmCouponId(String wmCouponId) {
        this.wmCouponId = wmCouponId;
        return this;
    }

    public Date getGicCouponExpire() {
        return gicCouponExpire;
    }

    public TabWmStoreCouponConfig setGicCouponExpire(Date gicCouponExpire) {
        this.gicCouponExpire = gicCouponExpire;
        return this;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public TabWmStoreCouponConfig setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public TabWmStoreCouponConfig setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public TabWmStoreCouponConfig setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public String getGicCouponName() {
        return gicCouponName;
    }

    public TabWmStoreCouponConfig setGicCouponName(String gicCouponName) {
        this.gicCouponName = gicCouponName;
        return this;
    }

    public String getWmCouponName() {
        return wmCouponName;
    }

    public TabWmStoreCouponConfig setWmCouponName(String wmCouponName) {
        this.wmCouponName = wmCouponName;
        return this;
    }
}