package com.gic.enterprise.service;

import com.gic.enterprise.entity.TabCustomGuide;

import java.util.List;
/**
 *
 * @ClassName: CustomGuideService
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:28
 */
public interface CustomGuideService {
    /**
     * getMaxVersion
     * @Title: getMaxVersion
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param appid
     * @return int
     * @throws
     */
    int getMaxVersion(Integer enterpriseId, String appid);
    /**
     * listGuide
     * @Title: listGuide
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param version
     * @param appid
     * @return java.util.List<com.gic.enterprise.entity.TabCustomGuide>
     * @throws
     */
    List<TabCustomGuide> listGuide(Integer enterpriseId, Integer version, String appid);
    /**
     * saveGuide
     * @Title: saveGuide
     * @Description:
     * @author taogs
     * @param guide
     * @return int
     * @throws
     */
    int saveGuide(TabCustomGuide guide);
    /**
     * listGuide
     * @Title: listGuide
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @return java.util.List<com.gic.enterprise.entity.TabCustomGuide>
     * @throws
     */
    List<TabCustomGuide> listGuide(Integer enterpriseId);
}
