package com.gic.enterprise.service;

import com.gic.enterprise.dto.data.DataWechatMemberConfigDTO;
import com.gic.enterprise.entity.TabDataWechatMemberConfig;

import java.util.List;
/**
 *
 * @ClassName: DataWechatMemberConfigService
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:31
 */
public interface DataWechatMemberConfigService {

    /**
     * 新增微信会员配置
     * @Title: saveWechatMemberConfig 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  java.lang.Integer 
     */
    Integer saveWechatMemberConfig(DataWechatMemberConfigDTO dto);

    /**
     * editWechatMemberConfig 
     * @Title: editWechatMemberConfig
     * @Description: 
     * @author taogs 
     * @param dto
     * @return java.lang.Integer
     * @throws 
     */
    Integer editWechatMemberConfig(DataWechatMemberConfigDTO dto);

    /**
     * getByMemberCardId 
     * @Title: getByMemberCardId
     * @Description: 
     * @author taogs 
     * @param enterpriseId
     * @param memberCardId
     * @return com.gic.enterprise.entity.TabDataWechatMemberConfig
     * @throws 
     */
    TabDataWechatMemberConfig getByMemberCardId(Integer enterpriseId, String memberCardId);

    /**
     * listByEnterpriseId
     * @Title: listByEnterpriseId
     * @Description: 
     * @author taogs 
 * @param enterpriseId
     * @return java.util.List<com.gic.enterprise.entity.TabDataWechatMemberConfig>
     * @throws 
     */
    List<TabDataWechatMemberConfig> listByEnterpriseId(Integer enterpriseId);
}
