package com.gic.enterprise.service;

import com.gic.enterprise.dto.EnterpriseResourceRelDTO;
import com.gic.enterprise.entity.TabEnterpriseResourceRel;

import java.util.List;
/**
 *
 * @ClassName: EnterpriseResourceRelService
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:31
 */
public interface EnterpriseResourceRelService {
    /**
     * saveResource
     * @Title: saveResource
     * @Description:
     * @author taogs
     * @param dto
     * @return void
     * @throws
     */
    void saveResource(EnterpriseResourceRelDTO dto);
    /**
     * deleteResource
     * @Title: deleteResource
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param resourceCode
     * @return void
     * @throws
     */
    void deleteResource(Integer enterpriseId, String resourceCode);
    /**
     * getByEnterpriseId
     * @Title: getByEnterpriseId
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @return java.util.List<com.gic.enterprise.entity.TabEnterpriseResourceRel>
     * @throws
     */
    List<TabEnterpriseResourceRel> getByEnterpriseId(Integer enterpriseId);
}
