package com.gic.enterprise.service;

import com.gic.enterprise.dto.EnterpriseWhiteListDTO;
import com.gic.enterprise.entity.TabEnterpriseWhiteList;
import com.github.pagehelper.Page;
/**
 *
 * @ClassName: EnterpriseWhiteListService
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:32
 */
public interface EnterpriseWhiteListService {

    /**
     * 新增商户白名单
     * @Title: saveEnterpriseWhiteList 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  void 
     */
    void saveEnterpriseWhiteList(EnterpriseWhiteListDTO dto);

    /**
     * 解除白名单
     * @Title: removeEnterpriseWhiteList 
     * @Description:
     * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
     */
    void removeEnterpriseWhiteList(Integer enterpriseId);

    /**
     * pageEnterpriseWhiteList 
     * @Title: pageEnterpriseWhiteList
     * @Description: 
     * @author taogs 
     * @param search
     * @param currentPage
     * @param pageSize
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabEnterpriseWhiteList>
     * @throws 
     */
    Page<TabEnterpriseWhiteList> pageEnterpriseWhiteList(String search, Integer currentPage, Integer pageSize);

    /**
     * getEnterpriseWhiteList
     * @Title: getEnterpriseWhiteList
     * @Description: 
     * @author taogs 
 * @param enterpriseId
     * @return com.gic.enterprise.entity.TabEnterpriseWhiteList
     * @throws 
     */
    TabEnterpriseWhiteList getEnterpriseWhiteList(Integer enterpriseId);
}
