package com.gic.enterprise.service;

import com.gic.enterprise.dto.UserMessageDTO;
import com.gic.enterprise.entity.TabPushMessage;
import com.github.pagehelper.Page;

import java.util.Date;
/**
 * 
 * @ClassName: PushMessageService
 * @Description:  
 * @author taogs
 * @date 2020/9/11 15:34
 */
public interface PushMessageService {
    /**
     * savePushMesasge
     * @Title: savePushMesasge
     * @Description:
     * @author taogs
     * @param tabPushMessage
     * @return int
     * @throws
     */
    int savePushMesasge(TabPushMessage tabPushMessage);
    /**
     * getById
     * @Title: getById
     * @Description:
     * @author taogs
     * @param id
     * @return com.gic.enterprise.entity.TabPushMessage
     * @throws
     */
    TabPushMessage getById(Integer id);
    /**
     * delete
     * @Title: delete
     * @Description:
     * @author taogs
     * @param id
     * @return int
     * @throws
     */
    int delete(Integer id);
    /**
     * pagePushMesage
     * @Title: pagePushMesage
     * @Description:
     * @author taogs
     * @param search
     * @param pushStatus
     * @param startTime
     * @param endTime
     * @param pushClassifyId
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabPushMessage>
     * @throws
     */
    Page<TabPushMessage> pagePushMesage(String search, Integer pushStatus, Date startTime, Date endTime,
                                        Integer pushClassifyId);
    /**
     * pageUserMessage
     * @Title: pageUserMessage
     * @Description:
     * @author taogs
     * @param search
     * @param status
     * @param startTime
     * @param endTime
     * @param pushClassifyId
     * @param userId
     * @param pageNum
     * @param pageSize
     * @return com.github.pagehelper.Page<com.gic.enterprise.dto.UserMessageDTO>
     * @throws
     */
    Page<UserMessageDTO> pageUserMessage(String search, Integer status, Date startTime, Date endTime,
                                         Integer pushClassifyId, Integer userId, Integer pageNum, Integer pageSize);
    /**
     * readCount
     * @Title: readCount
     * @Description:
     * @author taogs
     * @param messageId
     * @return int
     * @throws
     */
    int readCount(Integer messageId);
}
