package com.gic.enterprise.service;

import com.gic.enterprise.entity.TabPushClassify;
import com.gic.enterprise.entity.TabPushType;
import com.github.pagehelper.Page;

import java.util.List;
/**
 * 
 * @ClassName: PushTypeService
 * @Description:  
 * @author taogs
 * @date 2020/9/11 15:34
 */
public interface PushTypeService {
    /**
     * savePushType
     * @Title: savePushType
     * @Description:
     * @author taogs
     * @param tabPushType
     * @return int
     * @throws
     */
    int savePushType(TabPushClassify tabPushType);
    /**
     * pagePushType
     * @Title: pagePushType
     * @Description:
     * @author taogs
     * @param search
     * @return com.github.pagehelper.Page<com.gic.enterprise.entity.TabPushClassify>
     * @throws
     */
    Page<TabPushClassify> pagePushType(String search);
    /**
     * deletePushType
     * @Title: deletePushType
     * @Description:
     * @author taogs
     * @param id
     * @return int
     * @throws
     */
    int deletePushType(Integer id);
    /**
     * getById
     * @Title: getById
     * @Description:
     * @author taogs
     * @param id
     * @return com.gic.enterprise.entity.TabPushClassify
     * @throws
     */
    TabPushClassify getById(Integer id);
    /**
     * listPushTypeByName
     * @Title: listPushTypeByName
     * @Description:
     * @author taogs
     * @param name
     * @return java.util.List<com.gic.enterprise.entity.TabPushClassify>
     * @throws
     */
    List<TabPushClassify> listPushTypeByName(String name);
    /**
     * saveClassify
     * @Title: saveClassify
     * @Description:
     * @author taogs
     * @param classify
     * @return boolean
     * @throws
     */
    boolean saveClassify(String classify);
}
