package com.gic.enterprise.service;

import com.gic.enterprise.entity.TabPushUserMessage;

import java.util.Date;
/**
 *
 * @ClassName: PushUserMessageService
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:34
 */
public interface PushUserMessageService {
    /**
     * save
     * @Title: save
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param userId
     * @param messageId
     * @param classify
     * @param title
     * @param content
     * @return int
     * @throws
     */
    int save(Integer enterpriseId, Integer userId, Integer messageId, String classify, String title, String content);
    /**
     * reCallMessage
     * @Title: reCallMessage
     * @Description:
     * @author taogs
     * @param messageId
     * @return int
     * @throws
     */
    int reCallMessage(Integer messageId);
    /**
     * totalUserMessage
     * @Title: totalUserMessage
     * @Description:
     * @author taogs
     * @param userId
     * @param search
     * @param status
     * @param startTime
     * @param endTime
     * @param pushClassifyId
     * @return int
     * @throws
     */
    int totalUserMessage(Integer userId, String search, Integer status,
                         Date startTime, Date endTime, Integer pushClassifyId);
    /**
     * readAll
     * @Title: readAll
     * @Description:
     * @author taogs
     * @param userId
     * @return int
     * @throws
     */
    int readAll(Integer userId);
    /**
     * readMessage
     * @Title: readMessage
     * @Description:
     * @author taogs
     * @param messageId
     * @return int
     * @throws
     */
    int readMessage(Integer messageId);
    /**
     * getById
     * @Title: getById
     * @Description:
     * @author taogs
     * @param id
     * @return com.gic.enterprise.entity.TabPushUserMessage
     * @throws
     */
    TabPushUserMessage getById(Integer id);
}
