package com.gic.enterprise.service;

import com.gic.enterprise.entity.TabRiskMode;

import java.util.Date;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-10-29 11:23
 */
public interface RiskModeService {
    /**
     * getById
     * @Title: getById
     * @Description:
     * @author taogs
     * @param riskModeId
     * @return com.gic.enterprise.entity.TabRiskMode
     * @throws
     */
    TabRiskMode getById(Integer riskModeId);
    /**
     * save
     * @Title: save
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param userId
     * @param duration
     * @param applyTime
     * @param applyReason
     * @return java.lang.Integer
     * @throws
     */
    Integer save(Integer enterpriseId, Integer userId, Integer duration, Date applyTime, String applyReason);
    /**
     * getLastWaitAuditByApplyUser
     * @Title: getLastWaitAuditByApplyUser
     * @Description:
     * @author taogs
     * @param enterpriseId
     * @param userId
     * @return com.gic.enterprise.entity.TabRiskMode
     * @throws
     */
    TabRiskMode getLastWaitAuditByApplyUser(Integer enterpriseId, Integer userId);
    /**
     * update
     * @Title: update
     * @Description:
     * @author taogs
     * @param lastAudit
     * @return int
     * @throws
     */
    int update(TabRiskMode lastAudit);
}
