package com.gic.enterprise.web.utils.goods;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.gic.enterprise.web.utils.ApplicationContextUtils;
import com.gic.enterprise.web.vo.EnterpriseResourceRelVO;

/**
 * 商品资源调用
 * @ClassName:  
 * @Description:  
 * @author guojuxing 
 * @date 2020/11/19 2:42 PM 
 */
public class GoodsContext {
    private static Map<Integer, AbstractGoodsStrategy> map = new HashMap<>(4);
    static {
        map.put(1, ApplicationContextUtils.getBean(FrontResource.class));
        map.put(2, ApplicationContextUtils.getBean(AppResource.class));
    }

    /**
     * 获取商品资源权限数据
     * @param enterpriseId
     * @param strategy
     * @return
     */
    public static List<EnterpriseResourceRelVO> getGoodsAuthData(Integer enterpriseId, Integer strategy) {
        return map.get(strategy).getGoodsAuthData(enterpriseId);
    }
}
