package com.gic.enterprise.web.utils.union;

import com.gic.enterprise.web.vo.union.AppletsConfigSimpleOutputVO;
import com.gic.platform.member.constant.enums.CuTypeEnum;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
/**
 * 小程序域数据
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/7 1:42 PM 
 */
public class AppletAreaData implements IUserAreaData<AppletsConfigSimpleOutputVO>{
    @Override
    public List<AppletsConfigSimpleOutputVO> getUserArea(Map<Integer, Object> areaMap, Map<String, List<String>> authDataArr) {
        //小程序域
        List<AppletsConfigSimpleOutputVO> appletAreaVoList = new ArrayList<>();
        List<AppletsConfigSimpleOutputVO> appletArea = (List<AppletsConfigSimpleOutputVO>) areaMap.get(CuTypeEnum.ACU.getType());
        List<String> appletAreaArr = authDataArr.get(String.valueOf(CuTypeEnum.ACU.getType()));
        if (appletAreaArr != null) {
            Map<Long, AppletsConfigSimpleOutputVO> appletAreaMap = appletArea.stream().collect(Collectors.toMap(AppletsConfigSimpleOutputVO::getAppletConfigId, e -> e));
            if (appletArea != null) {
                for (String cu : appletAreaArr) {
                    if (appletAreaMap.containsKey(Long.valueOf(cu))) {
                        appletAreaVoList.add(appletAreaMap.get(Long.valueOf(cu)));
                    }
                }
            }
        }
        return appletAreaVoList;
    }
}
