package com.gic.enterprise.web.utils.union;

import java.util.List;
import java.util.Map;

/**
 * 资源组里面用户域的数据
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/7 11:39 AM 
 */
public interface IUserAreaData<T> {

    /**
     * 用户域数据
     * @param areaMap 联合商户资源组下面的用户域数据
     * @param authDataArr 联合商户应用策略数据
     * @return
     */
    public List<T> getUserArea(Map<Integer, Object> areaMap, Map<String, List<String>> authDataArr);
}
