package com.gic.enterprise.web.utils.union;

import com.gic.platform.member.constant.enums.CuTypeEnum;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 用户域
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/7 1:47 PM 
 */
public class UserAeaUtils {
    private static Map<Integer, IUserAreaData> map = new HashMap<>();
    static {
        map.put(CuTypeEnum.ACU.getType(), new AppletAreaData());
        map.put(CuTypeEnum.MCU.getType(), new MemberAreaData());
        map.put(CuTypeEnum.SCU.getType(), new ServiceAreaData());
    }

    /**
     * 用户域数据
     * @param userAreaType
     * @param areaMap
     * @param authDataArr
     * @return
     */
    public static List getUserArea(Integer userAreaType, Map<Integer, Object> areaMap, Map<String, List<String>> authDataArr) {
        return map.get(userAreaType).getUserArea(areaMap, authDataArr);
    }
}
