package com.gic.enterprise.web.vo;

import java.io.Serializable;
import java.util.Date;

/**
 * 小程序配置页面
 * @ClassName: AppletPageVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/26 3:54 PM 
 */
public class AppletPageVO implements Serializable{
    private static final long serialVersionUID = -4803325917597244314L;

    /**
     *
     */
    private Integer pageId;

    /**
     *
     */
    private String title;

    /**
     * 1开启，0无效， 2关闭
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     * 人群筛选器ID（积分服务页面专用
     */
    private Long crowdWidgetId;

    /**
     * 页面序号，如果开启页面有多个，根据序号取优先级（积分服务页面专用）。序号越大，优先级越大，如果相同，则编辑时间越晚，优先级越大
     */
    private Integer serialNumber;

    /**
     * 选择了人群筛选器，区分全部人群还是部分人群 1:全部 2:部分。冗余字段，为了页面列表展示
     */
    private Integer crowdWidgetType;

    public Integer getPageId() {
        return pageId;
    }

    public void setPageId(Integer pageId) {
        this.pageId = pageId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getCrowdWidgetId() {
        return crowdWidgetId;
    }

    public AppletPageVO setCrowdWidgetId(Long crowdWidgetId) {
        this.crowdWidgetId = crowdWidgetId;
        return this;
    }

    public Integer getSerialNumber() {
        return serialNumber;
    }

    public AppletPageVO setSerialNumber(Integer serialNumber) {
        this.serialNumber = serialNumber;
        return this;
    }

    public Integer getCrowdWidgetType() {
        return crowdWidgetType;
    }

    public AppletPageVO setCrowdWidgetType(Integer crowdWidgetType) {
        this.crowdWidgetType = crowdWidgetType;
        return this;
    }

    @Override
    public String toString() {
        return "AppletPageVO{" +
                "pageId=" + pageId +
                ", title='" + title + '\'' +
                ", status=" + status +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", crowdWidgetId=" + crowdWidgetId +
                ", serialNumber=" + serialNumber +
                ", crowdWidgetType=" + crowdWidgetType +
                '}';
    }
}
