package com.gic.enterprise.web.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
/**
 *
 * @ClassName: GradeConfigListVO
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:32
 */
public class GradeConfigListVO implements Serializable{
    private static final long serialVersionUID = 2952365056441953832L;


    /** 主键id*/
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;
    /** 等级名称*/
    private String gradeName;
    /**  等级code*/
    private String gradeCode;
    /** 卡背面类型 1 纯色 2 自定义背景*/
    private Integer backgroundType;
    /**  卡面 颜色代码 或者背景图片地址*/
    private String background;
    /**  卡面文字背景颜色*/
    private String backgroundWords;
    /** 等级类型 1 常规卡  2 特殊卡*/
    private Integer gradeType;
    /** 排序*/
    private Integer sort;

    public Long getId() {
        return id;
    }

    public GradeConfigListVO setId(Long id) {
        this.id = id;
        return this;
    }

    public String getGradeName() {
        return gradeName;
    }

    public GradeConfigListVO setGradeName(String gradeName) {
        this.gradeName = gradeName;
        return this;
    }

    public String getGradeCode() {
        return gradeCode;
    }

    public GradeConfigListVO setGradeCode(String gradeCode) {
        this.gradeCode = gradeCode;
        return this;
    }

    public Integer getBackgroundType() {
        return backgroundType;
    }

    public GradeConfigListVO setBackgroundType(Integer backgroundType) {
        this.backgroundType = backgroundType;
        return this;
    }

    public String getBackground() {
        return background;
    }

    public GradeConfigListVO setBackground(String background) {
        this.background = background;
        return this;
    }

    public String getBackgroundWords() {
        return backgroundWords;
    }

    public GradeConfigListVO setBackgroundWords(String backgroundWords) {
        this.backgroundWords = backgroundWords;
        return this;
    }

    public Integer getGradeType() {
        return gradeType;
    }

    public GradeConfigListVO setGradeType(Integer gradeType) {
        this.gradeType = gradeType;
        return this;
    }

    public Integer getSort() {
        return sort;
    }

    public GradeConfigListVO setSort(Integer sort) {
        this.sort = sort;
        return this;
    }

    @Override
    public String toString() {
        return "GradeConfigListVO{" +
                "id=" + id +
                ", gradeName='" + gradeName + '\'' +
                ", gradeCode='" + gradeCode + '\'' +
                ", backgroundType=" + backgroundType +
                ", background='" + background + '\'' +
                ", backgroundWords='" + backgroundWords + '\'' +
                ", gradeType=" + gradeType +
                ", sort=" + sort +
                '}';
    }
}
