package com.gic.enterprise.web.vo;

import java.io.Serializable;
import java.util.Date;

/**
 * 首页商户信息
 * @ClassName: HomePageEnterpriseInfoVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/21 2:04 PM 
 */
public class HomePageEnterpriseInfoVO implements Serializable{
    private static final long serialVersionUID = -3804336393464091378L;

    /**
     *
     */
    private String logo;
    /**
     * 商户名称
     */
    private String enterpriseName;

    /**
     * 版本名称
     */
    private String versionName;

    /**
     * 基础服务过期时间
     */
    private Date auditTime;

    /**
     * 账户余额
     */
    private Double accountBalance;

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getVersionName() {
        return versionName;
    }

    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }

    public Date getAuditTime() {
        return auditTime;
    }

    public void setAuditTime(Date auditTime) {
        this.auditTime = auditTime;
    }

    public Double getAccountBalance() {
        return accountBalance;
    }

    public void setAccountBalance(Double accountBalance) {
        this.accountBalance = accountBalance;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    @Override
    public String toString() {
        return "HomePageEnterpriseInfoVO{" +
                "logo='" + logo + '\'' +
                ", enterpriseName='" + enterpriseName + '\'' +
                ", versionName='" + versionName + '\'' +
                ", auditTime=" + auditTime +
                ", accountBalance=" + accountBalance +
                '}';
    }
}
