package com.gic.enterprise.web.vo;


import java.io.Serializable;

/**
 * @author: liuzelin
 * @date: 2020/4/21 16:04
 * @description:
 */
public class MemberDataRightVO implements Serializable {
    private static final long serialVersionUID = 7241937734014989108L;



    private Integer serviceStoreMemberAllCount;

    private Integer openStoreMemberAllCount;

    private Integer newDayMemberCount;

    private Integer newMonthMemberCount;

    private String newDayMemberRate;

    private String newMonthMemberRate;

    /**
     * 品牌服务门店总数
     */
    private Integer brandServiceTotal;

    /**
     * 归属品牌服务门店总数
     */
    private Integer belongBrandServiceTotal;

    /**
     * 开卡门店会员总数
     */
    private Integer openCardTotal;

    public Integer getServiceStoreMemberAllCount() {
        return serviceStoreMemberAllCount;
    }

    public void setServiceStoreMemberAllCount(Integer serviceStoreMemberAllCount) {
        this.serviceStoreMemberAllCount = serviceStoreMemberAllCount;
    }

    public Integer getOpenStoreMemberAllCount() {
        return openStoreMemberAllCount;
    }

    public void setOpenStoreMemberAllCount(Integer openStoreMemberAllCount) {
        this.openStoreMemberAllCount = openStoreMemberAllCount;
    }

    public Integer getNewDayMemberCount() {
        return newDayMemberCount;
    }

    public void setNewDayMemberCount(Integer newDayMemberCount) {
        this.newDayMemberCount = newDayMemberCount;
    }

    public Integer getNewMonthMemberCount() {
        return newMonthMemberCount;
    }

    public void setNewMonthMemberCount(Integer newMonthMemberCount) {
        this.newMonthMemberCount = newMonthMemberCount;
    }

    public String getNewDayMemberRate() {
        return newDayMemberRate;
    }

    public void setNewDayMemberRate(String newDayMemberRate) {
        this.newDayMemberRate = newDayMemberRate;
    }

    public String getNewMonthMemberRate() {
        return newMonthMemberRate;
    }

    public void setNewMonthMemberRate(String newMonthMemberRate) {
        this.newMonthMemberRate = newMonthMemberRate;
    }

    public Integer getBrandServiceTotal() {
        return brandServiceTotal;
    }

    public MemberDataRightVO setBrandServiceTotal(Integer brandServiceTotal) {
        this.brandServiceTotal = brandServiceTotal;
        return this;
    }

    public Integer getBelongBrandServiceTotal() {
        return belongBrandServiceTotal;
    }

    public MemberDataRightVO setBelongBrandServiceTotal(Integer belongBrandServiceTotal) {
        this.belongBrandServiceTotal = belongBrandServiceTotal;
        return this;
    }

    public Integer getOpenCardTotal() {
        return openCardTotal;
    }

    public MemberDataRightVO setOpenCardTotal(Integer openCardTotal) {
        this.openCardTotal = openCardTotal;
        return this;
    }

    @Override
    public String toString() {
        return "MemberDataRightVO{" +
                "serviceStoreMemberAllCount=" + serviceStoreMemberAllCount +
                ", openStoreMemberAllCount=" + openStoreMemberAllCount +
                ", newDayMemberCount=" + newDayMemberCount +
                ", newMonthMemberCount=" + newMonthMemberCount +
                ", newDayMemberRate='" + newDayMemberRate + '\'' +
                ", newMonthMemberRate='" + newMonthMemberRate + '\'' +
                ", brandServiceTotal=" + brandServiceTotal +
                ", belongBrandServiceTotal=" + belongBrandServiceTotal +
                ", openCardTotal=" + openCardTotal +
                '}';
    }
}
