package com.gic.enterprise.web.vo.billing;


import java.io.Serializable;
import java.util.Date;
/**
 *
 * @ClassName: OrderDetailVO
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:33
 */
public class OrderDetailVO implements Serializable {
    private String serialNumber;
    private Date createTime;
    private Date payTime;
    private Integer payStatus;
    private String paySerialNumber;
    private Integer invoiceStatus;
    private Integer payType;
    private Double totalFee;
    private Double totalFeePaid;
    private SmsPackageOrderItemVO orderItemVO;
    private BillingCouponCardVO couponCardVO;
    private OrderApprovalVO approvalVO;

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public Integer getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(Integer payStatus) {
        this.payStatus = payStatus;
    }

    public String getPaySerialNumber() {
        return paySerialNumber;
    }

    public void setPaySerialNumber(String paySerialNumber) {
        this.paySerialNumber = paySerialNumber;
    }

    public Integer getInvoiceStatus() {
        return invoiceStatus;
    }

    public void setInvoiceStatus(Integer invoiceStatus) {
        this.invoiceStatus = invoiceStatus;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public SmsPackageOrderItemVO getOrderItemVO() {
        return orderItemVO;
    }

    public void setOrderItemVO(SmsPackageOrderItemVO orderItemVO) {
        this.orderItemVO = orderItemVO;
    }

    public BillingCouponCardVO getCouponCardVO() {
        return couponCardVO;
    }

    public void setCouponCardVO(BillingCouponCardVO couponCardVO) {
        this.couponCardVO = couponCardVO;
    }

    public OrderApprovalVO getApprovalVO() {
        return approvalVO;
    }

    public void setApprovalVO(OrderApprovalVO approvalVO) {
        this.approvalVO = approvalVO;
    }

    public Double getTotalFee() {
        return totalFee;
    }

    public void setTotalFee(Double totalFee) {
        this.totalFee = totalFee;
    }

    public Double getTotalFeePaid() {
        return totalFeePaid;
    }

    public void setTotalFeePaid(Double totalFeePaid) {
        this.totalFeePaid = totalFeePaid;
    }

    @Override
    public String toString() {
        return "OrderDetailVO{" +
                "serialNumber='" + serialNumber + '\'' +
                ", createTime=" + createTime +
                ", payTime=" + payTime +
                ", payStatus=" + payStatus +
                ", paySerialNumber='" + paySerialNumber + '\'' +
                ", invoiceStatus=" + invoiceStatus +
                ", payType=" + payType +
                ", totalFee=" + totalFee +
                ", totalFeePaid=" + totalFeePaid +
                ", orderItemVO=" + orderItemVO +
                ", couponCardVO=" + couponCardVO +
                ", approvalVO=" + approvalVO +
                '}';
    }
}
