package com.gic.enterprise.web.vo.data;

import java.io.Serializable;
/**
 *
 * @ClassName: PerformanceVO
 * @Description:
 * @author taogs
 * @date 2020/9/11 15:33
 */
public class PerformanceVO implements Serializable{

    private static final long serialVersionUID = 2575992580211890282L;
    /**
     * 订单数 指标 1:『『订单总数』2:『销售单数』 3:有效订单数』 4:『成交单数』
     */
    private Integer orderNumber;

    /**
     * 订单人数 1:『消费人数』 2:『有效成交人数』 3:『『成交人数』
     */
    private Integer orderPeopleNumber;

    public Integer getOrderNumber() {
        return orderNumber;
    }

    public PerformanceVO setOrderNumber(Integer orderNumber) {
        this.orderNumber = orderNumber;
        return this;
    }

    public Integer getOrderPeopleNumber() {
        return orderPeopleNumber;
    }

    public PerformanceVO setOrderPeopleNumber(Integer orderPeopleNumber) {
        this.orderPeopleNumber = orderPeopleNumber;
        return this;
    }

    @Override
    public String toString() {
        return "PerformanceVO{" +
                "orderNumber=" + orderNumber +
                ", orderPeopleNumber=" + orderPeopleNumber +
                '}';
    }
}
