package com.gic.enterprise.web.vo.union;

import java.io.Serializable;

/**
 * 联合商户信息
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/2 10:06 AM 
 */
public class EnterpriseInfoVO implements Serializable{
    private static final long serialVersionUID = 8476544001805274400L;

    private Integer enterpriseId;

    private String enterpriseName;

    private String companyName;

    private String logo;

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public EnterpriseInfoVO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public EnterpriseInfoVO setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
        return this;
    }

    public String getCompanyName() {
        return companyName;
    }

    public EnterpriseInfoVO setCompanyName(String companyName) {
        this.companyName = companyName;
        return this;
    }

    public String getLogo() {
        return logo;
    }

    public EnterpriseInfoVO setLogo(String logo) {
        this.logo = logo;
        return this;
    }

    @Override
    public String toString() {
        return "EnterpriseInfoVO{" +
                "enterpriseId=" + enterpriseId +
                ", enterpriseName='" + enterpriseName + '\'' +
                ", companyName='" + companyName + '\'' +
                ", logo='" + logo + '\'' +
                '}';
    }
}
