package com.gic.enterprise.web.vo.union;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.List;

/**
 * 联合商户视角-应用资源详情
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/7 6:39 PM 
 */
public class OwnEnterpriseAuthAppDetailVO implements Serializable{
    private static final long serialVersionUID = -8196570924430477499L;

    /**
     * 主键
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long applicationId;

    /**
     * 应用名称
     */
    private String name;

    /**
     * 应用图标链接
     */
    private String iconUrl;

    /**
     * 0:不授予 1:授予
     */
    private Integer appAuthStatus;

    private List<OwnerMemberCardVO> memberArea;

    private List<AppletsConfigSimpleOutputVO> appletArea;

    private List<ServiceConfigSimpleOutputVO> serviceArea;

    public Long getApplicationId() {
        return applicationId;
    }

    public OwnEnterpriseAuthAppDetailVO setApplicationId(Long applicationId) {
        this.applicationId = applicationId;
        return this;
    }

    public String getName() {
        return name;
    }

    public OwnEnterpriseAuthAppDetailVO setName(String name) {
        this.name = name;
        return this;
    }

    public String getIconUrl() {
        return iconUrl;
    }

    public OwnEnterpriseAuthAppDetailVO setIconUrl(String iconUrl) {
        this.iconUrl = iconUrl;
        return this;
    }

    public Integer getAppAuthStatus() {
        return appAuthStatus;
    }

    public OwnEnterpriseAuthAppDetailVO setAppAuthStatus(Integer appAuthStatus) {
        this.appAuthStatus = appAuthStatus;
        return this;
    }

    public List<OwnerMemberCardVO> getMemberArea() {
        return memberArea;
    }

    public OwnEnterpriseAuthAppDetailVO setMemberArea(List<OwnerMemberCardVO> memberArea) {
        this.memberArea = memberArea;
        return this;
    }

    public List<AppletsConfigSimpleOutputVO> getAppletArea() {
        return appletArea;
    }

    public OwnEnterpriseAuthAppDetailVO setAppletArea(List<AppletsConfigSimpleOutputVO> appletArea) {
        this.appletArea = appletArea;
        return this;
    }

    public List<ServiceConfigSimpleOutputVO> getServiceArea() {
        return serviceArea;
    }

    public OwnEnterpriseAuthAppDetailVO setServiceArea(List<ServiceConfigSimpleOutputVO> serviceArea) {
        this.serviceArea = serviceArea;
        return this;
    }

    @Override
    public String toString() {
        return "OwnEnterpriseAuthAppDetailVO{" +
                "applicationId=" + applicationId +
                ", name='" + name + '\'' +
                ", iconUrl='" + iconUrl + '\'' +
                ", appAuthStatus=" + appAuthStatus +
                ", memberArea=" + memberArea +
                ", appletArea=" + appletArea +
                ", serviceArea=" + serviceArea +
                '}';
    }
}
