package com.gic.enterprise.web.vo.union;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
/**
 * 会员卡
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/4 8:12 PM 
 */
public class OwnerMemberCardVO implements Serializable{
    private static final long serialVersionUID = 4076098840726182684L;

    /**
     * 会员卡基本信息表主键
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long cardConfigId;

    private Integer ownerId;

    private String cardCode;

    private String cardName;

    /**
     * 1-自有，2-共享
     */
    private Byte type;

    public Long getCardConfigId() {
        return cardConfigId;
    }

    public OwnerMemberCardVO setCardConfigId(Long cardConfigId) {
        this.cardConfigId = cardConfigId;
        return this;
    }

    public Integer getOwnerId() {
        return ownerId;
    }

    public OwnerMemberCardVO setOwnerId(Integer ownerId) {
        this.ownerId = ownerId;
        return this;
    }

    public String getCardCode() {
        return cardCode;
    }

    public OwnerMemberCardVO setCardCode(String cardCode) {
        this.cardCode = cardCode;
        return this;
    }

    public String getCardName() {
        return cardName;
    }

    public OwnerMemberCardVO setCardName(String cardName) {
        this.cardName = cardName;
        return this;
    }

    public Byte getType() {
        return type;
    }

    public OwnerMemberCardVO setType(Byte type) {
        this.type = type;
        return this;
    }

    @Override
    public String toString() {
        return "OwnerMemberCardVO{" +
                "cardConfigId=" + cardConfigId +
                ", ownerId=" + ownerId +
                ", cardCode='" + cardCode + '\'' +
                ", cardName='" + cardName + '\'' +
                ", type=" + type +
                '}';
    }
}
