package com.gic.enterprise.web.vo.union;

import java.io.Serializable;
/**
 * 联合商户列表资源对象
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/2 2:19 PM 
 */
public class UnionEnterpriseResourceVO implements Serializable{
    private static final long serialVersionUID = -2481613822106400333L;

    /**
     * 1:用户域资源 2:门店资源 3:商品资源
     */
    private Integer resourceType;

    /**
     * 授权状态 1:未授权 2:资源处理中 3:已授权 4:授权失败 5:部分失败 6:等待解除 7:资源解除中 8:已解除联合
     */
    private Integer authStatus;

    /**
     * 备注
     */
    private String remark;

    public Integer getResourceType() {
        return resourceType;
    }

    public UnionEnterpriseResourceVO setResourceType(Integer resourceType) {
        this.resourceType = resourceType;
        return this;
    }

    public Integer getAuthStatus() {
        return authStatus;
    }

    public UnionEnterpriseResourceVO setAuthStatus(Integer authStatus) {
        this.authStatus = authStatus;
        return this;
    }

    public String getRemark() {
        return remark;
    }

    public UnionEnterpriseResourceVO setRemark(String remark) {
        this.remark = remark;
        return this;
    }

    @Override
    public String toString() {
        return "UnionEnterpriseResourceVO{" +
                "resourceType=" + resourceType +
                ", authStatus=" + authStatus +
                ", remark='" + remark + '\'' +
                '}';
    }
}
