package com.gic.enterprise.web.vo.wm;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
/**
 *
 * @ClassName: WmCouponVO
 * @Description:
 * @author taogs
 * @date 2020/9/11 16:29
 */
public class WmCouponVO implements Serializable{

    private static final long serialVersionUID = -4623271971142828756L;
    /** 优惠券标题 */
    private String name;

    /** 优惠券模板ID */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long cardTemplateId;

    public String getName() {
        return name;
    }

    public WmCouponVO setName(String name) {
        this.name = name;
        return this;
    }

    public Long getCardTemplateId() {
        return cardTemplateId;
    }

    public WmCouponVO setCardTemplateId(Long cardTemplateId) {
        this.cardTemplateId = cardTemplateId;
        return this;
    }

    @Override
    public String toString() {
        return "WmCouponVO{" +
                "name='" + name + '\'' +
                ", cardTemplateId=" + cardTemplateId +
                '}';
    }
}
