package com.gic.operation.web.constants;

import com.gic.store.constant.ClerkGenderEnum;

/**帮助中心渠道
 * @Description:
 * @author taogs
 * @Date 20:18 2020/9/9
 * @Param
 * @return
*/
public enum HelpCenterEnum {
    /**
     * 微盟
     */
    WEIMENG(1, "微盟"),
    /**
     * 会员系统小程序
     */
    MEMBER(2, "会员系统小程序"),
    /**
     * 好办
     */
    HAOBAN(3, "好办"),
    /**
     * 观云台
     */
    GUANYUNTAI(4, "观云台"),
    /**
     * GIC商户后台
     */
    GIC(5, "GIC商户后台"),
    /**
     * 微商城
     */
    MALL(6, "微商城")
    ;
    private int code;
    private String message;

    HelpCenterEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
