package com.gic.operation.web.qo;

import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 情报
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/6/1 11:40 AM 
 */
public class ProductMarketQO implements Serializable{
    private static final long serialVersionUID = -6693359417336191988L;


    /**
     *
     */
    private Integer productMarketId;

    /**
     * 标题
     */
    private String title;

    /**
     * 类型（1 功能更新、2 产品推广、3 成功案例）
     */
    private Integer infoType;

    /**
     * 超链接
     */
    private String hyperLink;

    /**
     * 发布时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date releaseTime;

    public Integer getProductMarketId() {
        return productMarketId;
    }

    public ProductMarketQO setProductMarketId(Integer productMarketId) {
        this.productMarketId = productMarketId;
        return this;
    }

    public String getTitle() {
        return title;
    }

    public ProductMarketQO setTitle(String title) {
        this.title = title;
        return this;
    }

    public Integer getInfoType() {
        return infoType;
    }

    public ProductMarketQO setInfoType(Integer infoType) {
        this.infoType = infoType;
        return this;
    }

    public String getHyperLink() {
        return hyperLink;
    }

    public ProductMarketQO setHyperLink(String hyperLink) {
        this.hyperLink = hyperLink;
        return this;
    }

    public Date getReleaseTime() {
        return releaseTime;
    }

    public ProductMarketQO setReleaseTime(Date releaseTime) {
        this.releaseTime = releaseTime;
        return this;
    }

    @Override
    public String toString() {
        return "ProductMarketQO{" +
                "productMarketId=" + productMarketId +
                ", title='" + title + '\'' +
                ", infoType=" + infoType +
                ", hyperLink='" + hyperLink + '\'' +
                ", releaseTime=" + releaseTime +
                '}';
    }
}
