package com.gic.operation.web.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 短信签名
 * @ClassName: EnterpriseSmsSignVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/21 10:54 AM 
 */
public class EnterpriseSmsSignVO implements Serializable{
    private static final long serialVersionUID = -4600331112299383689L;

    /**
     * 短信签名主键id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long signId;

    /**
     * 企业主键id
     */
    private Integer enterpriseId;

    /**
     * 短信签名
     */
    private String smsSignText;

    /**
     * 腾讯云短信签名id
     */
    private String tencentSignId;

    /**是否勾选了腾讯云签名**/
    private Integer tencentUseFlag;
    /**是否勾选了大汉三通签名**/
    private Integer dhstUseFlag;

    public Long getSignId() {
        return signId;
    }

    public EnterpriseSmsSignVO setSignId(Long signId) {
        this.signId = signId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public EnterpriseSmsSignVO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public String getSmsSignText() {
        return smsSignText;
    }

    public EnterpriseSmsSignVO setSmsSignText(String smsSignText) {
        this.smsSignText = smsSignText;
        return this;
    }

    public String getTencentSignId() {
        return tencentSignId;
    }

    public EnterpriseSmsSignVO setTencentSignId(String tencentSignId) {
        this.tencentSignId = tencentSignId;
        return this;
    }

    public Integer getTencentUseFlag() {
        return tencentUseFlag;
    }

    public EnterpriseSmsSignVO setTencentUseFlag(Integer tencentUseFlag) {
        this.tencentUseFlag = tencentUseFlag;
        return this;
    }

    public Integer getDhstUseFlag() {
        return dhstUseFlag;
    }

    public EnterpriseSmsSignVO setDhstUseFlag(Integer dhstUseFlag) {
        this.dhstUseFlag = dhstUseFlag;
        return this;
    }

    @Override
    public String toString() {
        return "EnterpriseSmsSignVO{" +
                "signId=" + signId +
                ", enterpriseId=" + enterpriseId +
                ", smsSignText='" + smsSignText + '\'' +
                ", tencentSignId='" + tencentSignId + '\'' +
                ", tencentUseFlag=" + tencentUseFlag +
                ", dhstUseFlag=" + dhstUseFlag +
                '}';
    }
}
