package com.gic.operation.web.vo;

import java.io.Serializable;
import java.util.Date;

/**
 * 服务订购流水
 * @ClassName: OrderVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/21 5:14 PM 
 */
public class OrderVO implements Serializable{
    private static final long serialVersionUID = 7445538265317790826L;

    /**
     * 操作人类型(1:商户,2:运维)
     */
    private Integer operType;

    private String operName;

    /**
     * 1购买 2续费 3升级 4扩容
     */
    private Integer orderType;

    private Date createTime;

    public Integer getOperType() {
        return operType;
    }

    public void setOperType(Integer operType) {
        this.operType = operType;
    }

    public String getOperName() {
        return operName;
    }

    public void setOperName(String operName) {
        this.operName = operName;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return "OrderVO{" +
                "operType=" + operType +
                ", operName='" + operName + '\'' +
                ", orderType=" + orderType +
                ", createTime=" + createTime +
                '}';
    }
}
