package com.gic.operation.web.vo.sms;

import java.io.Serializable;

/**
 * 短信通道
 * @ClassName: SmsChannelVO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/11/10 1:42 PM 
 */
public class SmsChannelVO implements Serializable{
    private static final long serialVersionUID = -2927365477049477598L;

    /**
     * 短信通道类型(1:腾讯云, 2:大汉三通)
     */
    private Integer channelType;

    /**
     * 短信通道类型名称
     */
    private String channelName;

    /**
     * 是否要查询商户短信通道配置信息(0:不用; 1:需要)
     */
    private Integer needConfig;

    /**
     * 是否需要配置sign信息(0:不用; 1:需要)
     */
    private Integer needSignSetting;

    public Integer getNeedConfig() {
        return needConfig;
    }

    public void setNeedConfig(Integer needConfig) {
        this.needConfig = needConfig;
    }

    public Integer getNeedSignSetting() {
        return needSignSetting;
    }

    public void setNeedSignSetting(Integer needSignSetting) {
        this.needSignSetting = needSignSetting;
    }

    public Integer getChannelType() {
        return channelType;
    }

    public SmsChannelVO setChannelType(Integer channelType) {
        this.channelType = channelType;
        return this;
    }

    public String getChannelName() {
        return channelName;
    }

    public SmsChannelVO setChannelName(String channelName) {
        this.channelName = channelName;
        return this;
    }

    @Override
    public String toString() {
        return "SmsChannelVO{" +
                "channelType=" + channelType +
                ", channelName='" + channelName + '\'' +
                '}';
    }
}
